/*
 *  Print Dialog for Canon LIPS/PS/LIPSLX/UFR2/CAPT Printer.
 *  Copyright (C) 2004-2008 CANON INC.
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

GtkWidget*
create_MainDlg (void)
{
  GtkWidget *MainDlg;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *frame1;
  GtkWidget *vbox31;
  GtkWidget *hbox2;
  GtkWidget *PrinterNameLabel;
  GtkWidget *PrinterName_combo;
  GList *PrinterName_combo_items = NULL;
  GtkWidget *PrinterName_combo_entry;
  GtkWidget *hbuttonbox2;
  GtkWidget *Property_button;
  GtkWidget *hbuttonbox15;
  GtkWidget *SetDefault_button;
  GtkWidget *label1;
  GtkWidget *hbox1;
  GtkWidget *frame2;
  GtkWidget *vbox2;
  GtkWidget *AllPage_radiobutton;
  GSList *AllPage_radiobutton_group = NULL;
  GtkWidget *OddPages_radiobutton;
  GtkWidget *EvenPages_radiobutton;
  GtkWidget *hbox3;
  GtkWidget *SelPages_radiobutton;
  GtkWidget *PageSelection_entry;
  GtkWidget *label2;
  GtkWidget *frame3;
  GtkWidget *vbox3;
  GtkWidget *hbox4;
  GtkWidget *label3;
  GtkObject *Copies_spinbutton_adj;
  GtkWidget *Copies_spinbutton;
  GtkWidget *Copies_label;
  GtkWidget *hbox5;
  GtkWidget *label4;
  GtkWidget *ReverseOrder_checkbutton;
  GtkWidget *label5;
  GtkWidget *label6;
  GtkWidget *CopiesLabel;
  GtkWidget *dialog_action_area1;
  GtkWidget *hbuttonbox1;
  GtkWidget *MainOK_button;
  GtkWidget *MainSave_button;
  GtkWidget *MainCancel_button;

  MainDlg = gtk_dialog_new ();
  gtk_window_set_resizable (GTK_WINDOW (MainDlg), FALSE);

  dialog_vbox1 = GTK_DIALOG (MainDlg)->vbox;
  gtk_widget_show (dialog_vbox1);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, TRUE, TRUE, 0);

  frame1 = gtk_frame_new (NULL);
  gtk_widget_show (frame1);
  gtk_box_pack_start (GTK_BOX (vbox1), frame1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox31 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox31);
  gtk_container_add (GTK_CONTAINER (frame1), vbox31);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox31), hbox2, TRUE, TRUE, 0);

  PrinterNameLabel = gtk_label_new (_("Name:"));
  gtk_widget_show (PrinterNameLabel);
  gtk_box_pack_start (GTK_BOX (hbox2), PrinterNameLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PrinterNameLabel), 7.45058e-09, 0.5);

  PrinterName_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (PrinterName_combo)->popwin),
                     "GladeParentKey", PrinterName_combo);
  gtk_widget_show (PrinterName_combo);
  gtk_box_pack_start (GTK_BOX (hbox2), PrinterName_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PrinterName_combo), 5);
  PrinterName_combo_items = g_list_append (PrinterName_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (PrinterName_combo), PrinterName_combo_items);
  g_list_free (PrinterName_combo_items);

  PrinterName_combo_entry = GTK_COMBO (PrinterName_combo)->entry;
  gtk_widget_show (PrinterName_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (PrinterName_combo_entry), FALSE);

  hbuttonbox2 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox2);
  gtk_box_pack_start (GTK_BOX (hbox2), hbuttonbox2, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox2), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox2), 30);

  Property_button = gtk_button_new_with_mnemonic (_("Properties"));
  gtk_widget_show (Property_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), Property_button);
  GTK_WIDGET_SET_FLAGS (Property_button, GTK_CAN_DEFAULT);

  hbuttonbox15 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox15);
  gtk_box_pack_start (GTK_BOX (vbox31), hbuttonbox15, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox15), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox15), 30);

  SetDefault_button = gtk_button_new_with_mnemonic (_("Set as Default"));
  gtk_widget_show (SetDefault_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox15), SetDefault_button);
  GTK_WIDGET_SET_FLAGS (SetDefault_button, GTK_CAN_DEFAULT);

  label1 = gtk_label_new (_("Printer"));
  gtk_widget_show (label1);
  gtk_frame_set_label_widget (GTK_FRAME (frame1), label1);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, TRUE, TRUE, 0);

  frame2 = gtk_frame_new (NULL);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (hbox1), frame2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame2), 5);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (frame2), vbox2);

  AllPage_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("All pages"));
  gtk_widget_show (AllPage_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox2), AllPage_radiobutton, TRUE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (AllPage_radiobutton), AllPage_radiobutton_group);
  AllPage_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (AllPage_radiobutton));
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (AllPage_radiobutton), TRUE);

  OddPages_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Odd Pages"));
  gtk_widget_show (OddPages_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox2), OddPages_radiobutton, TRUE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (OddPages_radiobutton), AllPage_radiobutton_group);
  AllPage_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (OddPages_radiobutton));

  EvenPages_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Even Pages"));
  gtk_widget_show (EvenPages_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox2), EvenPages_radiobutton, TRUE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (EvenPages_radiobutton), AllPage_radiobutton_group);
  AllPage_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (EvenPages_radiobutton));

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox3, FALSE, FALSE, 0);

  SelPages_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Pages "));
  gtk_widget_show (SelPages_radiobutton);
  gtk_box_pack_start (GTK_BOX (hbox3), SelPages_radiobutton, FALSE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (SelPages_radiobutton), AllPage_radiobutton_group);
  AllPage_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (SelPages_radiobutton));

  PageSelection_entry = gtk_entry_new ();
  gtk_widget_show (PageSelection_entry);
  gtk_box_pack_start (GTK_BOX (hbox3), PageSelection_entry, FALSE, FALSE, 5);

  label2 = gtk_label_new (_("Print pages"));
  gtk_widget_show (label2);
  gtk_frame_set_label_widget (GTK_FRAME (frame2), label2);
  gtk_label_set_justify (GTK_LABEL (label2), GTK_JUSTIFY_LEFT);

  frame3 = gtk_frame_new (NULL);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (hbox1), frame3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 5);

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox3);
  gtk_container_add (GTK_CONTAINER (frame3), vbox3);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox4, TRUE, TRUE, 0);

  label3 = gtk_label_new (_("Number of copies: "));
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (hbox4), label3, FALSE, FALSE, 0);
  gtk_widget_set_size_request (label3, 130, -1);
  gtk_misc_set_alignment (GTK_MISC (label3), 0.05, 0.5);

  Copies_spinbutton_adj = gtk_adjustment_new (1000, 1, 2000, 1, 10, 10);
  Copies_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (Copies_spinbutton_adj), 1, 0);
  gtk_widget_show (Copies_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox4), Copies_spinbutton, TRUE, TRUE, 5);

  Copies_label = gtk_label_new (_("[1 to 9999]"));
  gtk_widget_show (Copies_label);
  gtk_box_pack_start (GTK_BOX (hbox4), Copies_label, FALSE, FALSE, 0);

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox5, FALSE, FALSE, 0);

  label4 = gtk_label_new ("");
  gtk_widget_show (label4);
  gtk_box_pack_start (GTK_BOX (hbox5), label4, TRUE, TRUE, 0);

  ReverseOrder_checkbutton = gtk_check_button_new_with_mnemonic (_("Reverse Order"));
  gtk_widget_show (ReverseOrder_checkbutton);
  gtk_box_pack_start (GTK_BOX (hbox5), ReverseOrder_checkbutton, TRUE, TRUE, 0);

  label5 = gtk_label_new ("");
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (vbox3), label5, TRUE, TRUE, 0);

  label6 = gtk_label_new ("");
  gtk_widget_show (label6);
  gtk_box_pack_start (GTK_BOX (vbox3), label6, TRUE, TRUE, 0);

  CopiesLabel = gtk_label_new (_("Copies"));
  gtk_widget_show (CopiesLabel);
  gtk_frame_set_label_widget (GTK_FRAME (frame3), CopiesLabel);
  gtk_label_set_justify (GTK_LABEL (CopiesLabel), GTK_JUSTIFY_LEFT);

  dialog_action_area1 = GTK_DIALOG (MainDlg)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox1);
  gtk_container_add (GTK_CONTAINER (dialog_action_area1), hbuttonbox1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_END);

  MainOK_button = gtk_button_new_with_mnemonic (_("Print"));
  gtk_widget_show (MainOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), MainOK_button);
  GTK_WIDGET_SET_FLAGS (MainOK_button, GTK_CAN_DEFAULT);

  MainSave_button = gtk_button_new_with_mnemonic (_("Save"));
  gtk_widget_show (MainSave_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), MainSave_button);
  GTK_WIDGET_SET_FLAGS (MainSave_button, GTK_CAN_DEFAULT);

  MainCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (MainCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), MainCancel_button);
  GTK_WIDGET_SET_FLAGS (MainCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) MainDlg, "delete_event",
                    G_CALLBACK (on_MainDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) MainDlg, "destroy",
                    G_CALLBACK (on_MainDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) PrinterName_combo_entry, "changed",
                    G_CALLBACK (on_PrinterName_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) Property_button, "clicked",
                    G_CALLBACK (on_Property_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) SetDefault_button, "clicked",
                    G_CALLBACK (on_SetDefault_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) AllPage_radiobutton, "toggled",
                    G_CALLBACK (on_AllPage_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) OddPages_radiobutton, "toggled",
                    G_CALLBACK (on_OddPages_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) EvenPages_radiobutton, "toggled",
                    G_CALLBACK (on_EvenPages_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) SelPages_radiobutton, "toggled",
                    G_CALLBACK (on_SelPages_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PageSelection_entry, "changed",
                    G_CALLBACK (on_PageSelection_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) PageSelection_entry, "focus_out_event",
                    G_CALLBACK (on_PageSelection_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) Copies_spinbutton, "value_changed",
                    G_CALLBACK (on_Copies_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) ReverseOrder_checkbutton, "toggled",
                    G_CALLBACK (on_ReverseOrder_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) MainOK_button, "clicked",
                    G_CALLBACK (on_MainOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) MainSave_button, "clicked",
                    G_CALLBACK (on_MainSave_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) MainCancel_button, "clicked",
                    G_CALLBACK (on_MainCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (MainDlg, MainDlg, "MainDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (MainDlg, dialog_vbox1, "dialog_vbox1");
  GLADE_HOOKUP_OBJECT (MainDlg, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (MainDlg, frame1, "frame1");
  GLADE_HOOKUP_OBJECT (MainDlg, vbox31, "vbox31");
  GLADE_HOOKUP_OBJECT (MainDlg, hbox2, "hbox2");
  GLADE_HOOKUP_OBJECT (MainDlg, PrinterNameLabel, "PrinterNameLabel");
  GLADE_HOOKUP_OBJECT (MainDlg, PrinterName_combo, "PrinterName_combo");
  GLADE_HOOKUP_OBJECT (MainDlg, PrinterName_combo_entry, "PrinterName_combo_entry");
  GLADE_HOOKUP_OBJECT (MainDlg, hbuttonbox2, "hbuttonbox2");
  GLADE_HOOKUP_OBJECT (MainDlg, Property_button, "Property_button");
  GLADE_HOOKUP_OBJECT (MainDlg, hbuttonbox15, "hbuttonbox15");
  GLADE_HOOKUP_OBJECT (MainDlg, SetDefault_button, "SetDefault_button");
  GLADE_HOOKUP_OBJECT (MainDlg, label1, "label1");
  GLADE_HOOKUP_OBJECT (MainDlg, hbox1, "hbox1");
  GLADE_HOOKUP_OBJECT (MainDlg, frame2, "frame2");
  GLADE_HOOKUP_OBJECT (MainDlg, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (MainDlg, AllPage_radiobutton, "AllPage_radiobutton");
  GLADE_HOOKUP_OBJECT (MainDlg, OddPages_radiobutton, "OddPages_radiobutton");
  GLADE_HOOKUP_OBJECT (MainDlg, EvenPages_radiobutton, "EvenPages_radiobutton");
  GLADE_HOOKUP_OBJECT (MainDlg, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (MainDlg, SelPages_radiobutton, "SelPages_radiobutton");
  GLADE_HOOKUP_OBJECT (MainDlg, PageSelection_entry, "PageSelection_entry");
  GLADE_HOOKUP_OBJECT (MainDlg, label2, "label2");
  GLADE_HOOKUP_OBJECT (MainDlg, frame3, "frame3");
  GLADE_HOOKUP_OBJECT (MainDlg, vbox3, "vbox3");
  GLADE_HOOKUP_OBJECT (MainDlg, hbox4, "hbox4");
  GLADE_HOOKUP_OBJECT (MainDlg, label3, "label3");
  GLADE_HOOKUP_OBJECT (MainDlg, Copies_spinbutton, "Copies_spinbutton");
  GLADE_HOOKUP_OBJECT (MainDlg, Copies_label, "Copies_label");
  GLADE_HOOKUP_OBJECT (MainDlg, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (MainDlg, label4, "label4");
  GLADE_HOOKUP_OBJECT (MainDlg, ReverseOrder_checkbutton, "ReverseOrder_checkbutton");
  GLADE_HOOKUP_OBJECT (MainDlg, label5, "label5");
  GLADE_HOOKUP_OBJECT (MainDlg, label6, "label6");
  GLADE_HOOKUP_OBJECT (MainDlg, CopiesLabel, "CopiesLabel");
  GLADE_HOOKUP_OBJECT_NO_REF (MainDlg, dialog_action_area1, "dialog_action_area1");
  GLADE_HOOKUP_OBJECT (MainDlg, hbuttonbox1, "hbuttonbox1");
  GLADE_HOOKUP_OBJECT (MainDlg, MainOK_button, "MainOK_button");
  GLADE_HOOKUP_OBJECT (MainDlg, MainSave_button, "MainSave_button");
  GLADE_HOOKUP_OBJECT (MainDlg, MainCancel_button, "MainCancel_button");

  return MainDlg;
}

GtkWidget*
create_PropertiesDlg (void)
{
  GtkWidget *PropertiesDlg;
  GtkWidget *dialog_vbox2;
  GtkWidget *vbox4;
  GtkWidget *PropDlg_notebook;
  GtkWidget *vbox5;
  GtkWidget *PaperSetting_frame;
  GtkWidget *vbox30;
  GtkWidget *PaperSize_frame;
  GtkWidget *hbox36;
  GtkWidget *label95;
  GtkWidget *PaperSize_combo;
  GList *PaperSize_combo_items = NULL;
  GtkWidget *PaperSize_combo_entry;
  GtkWidget *frame4;
  GtkWidget *table2;
  GtkWidget *Landscape_radiobutton;
  GSList *Landscape_radiobutton_group = NULL;
  GtkWidget *Portrait_radiobutton;
  GtkWidget *ReversePortrait_radiobutton;
  GtkWidget *ReverseLandscape_radiobutton;
  GtkWidget *label96;
  GtkWidget *frame5;
  GtkWidget *table3;
  GtkWidget *Nup_combo;
  GList *Nup_combo_items = NULL;
  GtkWidget *Nup_combo_entry;
  GtkWidget *label127;
  GtkWidget *label97;
  GtkWidget *frame6;
  GtkWidget *table4;
  GtkWidget *label21;
  GtkWidget *BrightnessValue_label;
  GtkWidget *GammaValue_label;
  GtkWidget *BrightnessValue_hscale;
  GtkWidget *label20;
  GtkWidget *GammaValue_hscale;
  GtkWidget *label128;
  GtkWidget *Banner_frame;
  GtkWidget *table5;
  GtkWidget *label25;
  GtkWidget *label24;
  GtkWidget *BannerEnd_combo;
  GList *BannerEnd_combo_items = NULL;
  GtkWidget *BannerEnd_combo_entry;
  GtkWidget *BannerStart_combo;
  GList *BannerStart_combo_items = NULL;
  GtkWidget *BannerStart_combo_entry;
  GtkWidget *label129;
  GtkWidget *label7;
  GtkWidget *vbox13;
  GtkWidget *frame14;
  GtkWidget *vbox14;
  GtkWidget *table19;
  GtkWidget *label55;
  GtkWidget *hbuttonbox9;
  GtkWidget *BookletSetting_button;
  GtkWidget *Sided1Print_radiobutton;
  GSList *Sided1Print_radiobutton_group = NULL;
  GtkWidget *Sided2Print_radiobutton;
  GtkWidget *BookletPrint_radiobutton;
  GtkWidget *hseparator4;
  GtkWidget *Finishing_frame;
  GtkWidget *vbox15;
  GtkWidget *BindingLocation_label;
  GtkWidget *BindingLocation_hbox;
  GtkWidget *BindingLocation_combo;
  GList *BindingLocation_combo_items = NULL;
  GtkWidget *BindingLocation_combo_entry;
  GtkWidget *hbuttonbox8;
  GtkWidget *Gutter_button;
  GtkWidget *FinishingSel_hbox;
  GtkWidget *label130;
  GtkWidget *FinCollate_combo;
  GList *FinCollate_combo_items = NULL;
  GtkWidget *FinCollate_combo_entry;
  GtkWidget *table10;
  GtkWidget *label58;
  GtkWidget *FinHolePanch_checkbutton;
  GtkWidget *FinOffset_checkbutton;
  GtkWidget *FinRotate_checkbutton;
  GtkWidget *FinZfold_checkbutton;
  GtkWidget *FinCfold_checkbutton;
  GtkWidget *FinCfoldSetting_combo;
  GtkWidget *FinCfoldSetting_combo_entry;
  GtkWidget *FinStaple_hbox;
  GtkWidget *label131;
  GtkWidget *label132;
  GtkWidget *StaplePosition_combo;
  GList *StaplePosition_combo_items = NULL;
  GtkWidget *StaplePosition_combo_entry;
  GtkWidget *OffsetCopyNum_frame;
  GtkWidget *vbox74;
  GtkWidget *hbox84;
  GtkWidget *label219;
  GtkWidget *label220;
  GtkObject *OffsetCopyNum_spinbutton_adj;
  GtkWidget *OffsetCopyNum_spinbutton;
  GtkWidget *label221;
  GtkWidget *FinBooklet_frame;
  GtkWidget *vbox16;
  GtkWidget *SaddleStich_checkbutton;
  GtkWidget *UseTrimmer_checkbutton;
  GtkWidget *TrimWidthAdjusting_frame;
  GtkWidget *table25;
  GtkWidget *label255;
  GtkWidget *TrimDeviceSetting_radiobutton;
  GSList *TrimDeviceSetting_radiobutton_group = NULL;
  GtkWidget *TrimManualSetting_radiobutton;
  GtkWidget *TrimWidthAdjusting_label;
  GtkWidget *TrimWidth_hbox;
  GtkWidget *label258;
  GtkWidget *label256;
  GtkObject *TrimWidth_spinbutton_adj;
  GtkWidget *TrimWidth_spinbutton;
  GtkWidget *label257;
  GtkWidget *label162;
  GtkWidget *PaperDisit_frame;
  GtkWidget *hbox39;
  GtkWidget *label98;
  GtkWidget *PaperDisti_combo;
  GList *PaperDisti_combo_items = NULL;
  GtkWidget *PaperDisti_combo_entry;
  GtkWidget *SpecialPrintMode_frame;
  GtkWidget *SpecialPrintMode_hbox;
  GtkWidget *SpecialPrintMode_label;
  GtkWidget *SpecialPrintMode_combo;
  GList *SpecialPrintMode_combo_items = NULL;
  GtkWidget *SpecialPrintMode_combo_entry;
  GtkWidget *SpecialPrintAdjustmentA_frame;
  GtkWidget *SpecialPrintAdjustmentA_hbox;
  GtkWidget *SpecialPrintAdjustmentA_label;
  GtkWidget *SpecialPrintAdjustmentA_combo;
  GtkWidget *SpecialPrintAdjustmentA_combo_entry;
  GtkWidget *SpecialPrintAdjustmentB_frame;
  GtkWidget *SpecialPrintAdjustmentB_hbox;
  GtkWidget *SpecialPrintAdjustmentB_label;
  GtkWidget *SpecialPrintAdjustmentB_combo;
  GtkWidget *SpecialPrintAdjustmentB_combo_entry;
  GtkWidget *hseparator20;
  GtkWidget *FinOutputSide_frame;
  GtkWidget *hbox72;
  GtkWidget *label160;
  GtkWidget *OutputSide_combo;
  GList *OutputSide_combo_items = NULL;
  GtkWidget *OutputSide_combo_entry;
  GtkWidget *ImgSpecialProc_frame;
  GtkWidget *ImgSpecialProc_vbox;
  GtkWidget *ImgSpecialProc_hbox;
  GtkWidget *ImgSpecialProc_label;
  GtkWidget *ImgSpecialProc_combo;
  GList *ImgSpecialProc_combo_items = NULL;
  GtkWidget *ImgSpecialProc_combo_entry;
  GtkWidget *AdvancedSettings_frame;
  GtkWidget *vbox82;
  GtkWidget *hseparator30;
  GtkWidget *label253;
  GtkWidget *hbuttonbox27;
  GtkWidget *AdvancedSettings_button;
  GtkWidget *label252;
  GtkWidget *OHPPrintMode_frame;
  GtkWidget *OHPPrintMode_hbox;
  GtkWidget *OHPPrintMode_label;
  GtkWidget *OHPPrintMode_combo;
  GList *OHPPrintMode_combo_items = NULL;
  GtkWidget *OHPPrintMode_combo_entry;
  GtkWidget *FinDetails_frame;
  GtkWidget *vbox56;
  GtkWidget *hseparator19;
  GtkWidget *label161;
  GtkWidget *hbuttonbox19;
  GtkWidget *FinDetail_button;
  GtkWidget *label8;
  GtkWidget *vbox39;
  GtkWidget *PaperSourceSettings_frame;
  GtkWidget *vbox17;
  GtkWidget *SelectBy_frame;
  GtkWidget *table20;
  GtkWidget *label139;
  GtkWidget *PaperSource_radiobutton;
  GSList *PaperSource_radiobutton_group = NULL;
  GtkWidget *PaperType_radiobutton;
  GtkWidget *label163;
  GtkWidget *PaperSource_frame;
  GtkWidget *hbox38;
  GtkWidget *PaperSourceLabel;
  GtkWidget *PaperSource_combo;
  GList *PaperSource_combo_items = NULL;
  GtkWidget *PaperSource_combo_entry;
  GtkWidget *PaperType_frame;
  GtkWidget *hbox37;
  GtkWidget *PaperTypeLabel;
  GtkWidget *PaperType_combo;
  GList *PaperType_combo_items = NULL;
  GtkWidget *PaperType_combo_entry;
  GtkWidget *Interleaf_frame;
  GtkWidget *Interleaf_vbox;
  GtkWidget *Interleaf_top_hseparator;
  GtkWidget *Interleaf_hbox1;
  GtkWidget *Interleaf_checkbutton;
  GtkWidget *InterleafMediaType_combo;
  GList *InterleafMediaType_combo_items = NULL;
  GtkWidget *InterleafMediaType_combo_entry;
  GtkWidget *Interlaf_hbox2;
  GtkWidget *InterleafDummy_label;
  GtkWidget *PrintInterleaf_checkbutton;
  GtkWidget *Interleaf_btm_hseparator;
  GtkWidget *Inserter_checkbutton;
  GtkWidget *FrontBackCoverSettings_frame;
  GtkWidget *vbox69;
  GtkWidget *hbuttonbox24;
  GtkWidget *FrontBackCvrSet_button;
  GtkWidget *label9;
  GtkWidget *vbox43;
  GtkWidget *frame20;
  GtkWidget *vbox19;
  GtkWidget *vbox40;
  GtkWidget *QualityReso_frame;
  GtkWidget *hbox40;
  GtkWidget *ResolutionLabel;
  GtkWidget *QualityReso_combo;
  GList *QualityReso_combo_items = NULL;
  GtkWidget *QualityReso_combo_entry;
  GtkWidget *ColorMode_frame;
  GtkWidget *hbox20;
  GtkWidget *label68;
  GtkWidget *ColorMode_combo;
  GList *ColorMode_combo_items = NULL;
  GtkWidget *ColorMode_Combo_entry;
  GtkWidget *ColorHalftone_hbox;
  GtkWidget *label164;
  GtkWidget *QualityClrHalftone_combo;
  GList *QualityClrHalftone_combo_items = NULL;
  GtkWidget *QualityClrHalftone_combo_entry;
  GtkWidget *Halftone_hbox;
  GtkWidget *label103;
  GtkWidget *QualityHalftone_combo;
  GList *QualityHalftone_combo_items = NULL;
  GtkWidget *QualityHalftone_combo_entry;
  GtkWidget *TonerSave_hbox;
  GtkWidget *label100;
  GtkWidget *QualityTonerSave_combo;
  GList *QualityTonerSave_combo_items = NULL;
  GtkWidget *QualityTonerSave_combo_entry;
  GtkWidget *DraftMode_hbox;
  GtkWidget *QualityDraftMode_label;
  GtkWidget *QualityDraftMode_combo;
  GList *QualityDraftMode_combo_items = NULL;
  GtkWidget *QualityDraftMode_combo_entry;
  GtkWidget *QualityGrayComp_frame;
  GtkWidget *hbox54;
  GtkWidget *GrayCompensationLabel;
  GtkWidget *QualityGrayComp_combo;
  GList *QualityGrayComp_combo_items = NULL;
  GtkWidget *QualityGrayComp_combo_entry;
  GtkWidget *TonerVolumeAdjustment_frame;
  GtkWidget *TonerVolumeAdjustment_hbox;
  GtkWidget *TonerVolumeAdjustment_label;
  GtkWidget *TonerVolumeAdjustment_combo;
  GtkWidget *TonerVolumeAdjustment_combo_entry;
  GtkWidget *LineControl_frame;
  GtkWidget *LineControl_hbox;
  GtkWidget *LineControl_label;
  GtkWidget *LineControl_combo;
  GtkWidget *LineControl_combo_entry;
  GtkWidget *vbox61;
  GtkWidget *QualityGradeSmooth_frame;
  GtkWidget *hbox77;
  GtkWidget *label168;
  GtkWidget *QualityGradeSmooth_combo;
  GList *QualityGradeSmooth_combo_items = NULL;
  GtkWidget *QualityGradeSmooth_combo_entry;
  GtkWidget *QualityImgRefine_frame;
  GtkWidget *hbox78;
  GtkWidget *label169;
  GtkWidget *QualityImgRefine_combo;
  GList *QualityImgRefine_combo_items = NULL;
  GtkWidget *QualityImgRefine_combo_entry;
  GtkWidget *QualityLineRefine_frame;
  GtkWidget *hbox79;
  GtkWidget *label170;
  GtkWidget *QualityLineRefine_combo;
  GList *QualityLineRefine_combo_items = NULL;
  GtkWidget *QualityLineRefine_combo_entry;
  GtkWidget *ImageCompression_frame;
  GtkWidget *hbox83;
  GtkWidget *label214;
  GtkWidget *ImageCompression_combo;
  GList *ImageCompression_combo_items = NULL;
  GtkWidget *ImageCompression_combo_entry;
  GtkWidget *SpotColorMatching_hbox;
  GtkWidget *SpotColorMatching_label;
  GtkWidget *SpotColorMatching_combo;
  GList *SpotColorMatching_combo_items = NULL;
  GtkWidget *SpotColorMatching_combo_entry;
  GtkWidget *AdvancedSmooth_hbox;
  GtkWidget *AdvancedSmooth_label;
  GtkWidget *AdvancedSmooth_combo;
  GList *AdvancedSmooth_combo_items = NULL;
  GtkWidget *AdvancedSmooth_combo_entry;
  GtkWidget *QualityProfileSettings_vbox;
  GtkWidget *QualityProfileSettingDummy_label;
  GtkWidget *hbuttonbox22;
  GtkWidget *ProfileSettings_button;
  GtkWidget *QualityCAPT_vbox;
  GtkWidget *hseparator15;
  GtkWidget *MonoDensity5_table;
  GtkWidget *label154;
  GtkWidget *Capt21TonerDensity1_radiobutton;
  GSList *Capt21TonerDensity1_radiobutton_group = NULL;
  GtkWidget *Capt21TonerDensity2_radiobutton;
  GtkWidget *Capt21TonerDensity3_radiobutton;
  GtkWidget *Capt21TonerDensity4_radiobutton;
  GtkWidget *Capt21TonerDensity5_radiobutton;
  GtkWidget *label155;
  GtkWidget *label153;
  GtkWidget *TonerDensity16_frame;
  GtkWidget *vbox59;
  GtkWidget *label166;
  GtkWidget *table22;
  GtkWidget *Black_label1;
  GtkWidget *Black_label2;
  GtkWidget *Black_label3;
  GtkWidget *Yellow_label1;
  GtkWidget *Yellow_label2;
  GtkWidget *Yellow_label3;
  GtkWidget *Magenta_label1;
  GtkWidget *Magenta_label2;
  GtkWidget *Magenta_label3;
  GtkWidget *Cyan_label1;
  GtkWidget *Cyan_label2;
  GtkWidget *Cyan_label3;
  GtkWidget *Cyan_hscale;
  GtkWidget *Magenta_hscale;
  GtkWidget *Yellow_hscale;
  GtkWidget *Black_hscale;
  GtkWidget *Cyan_drawingarea;
  GtkWidget *Magenta_drawingarea;
  GtkWidget *Yellow_drawingarea;
  GtkWidget *Black_drawingarea;
  GtkWidget *Capt21TonerSave_checkbutton;
  GtkWidget *KeepGray_frame;
  GtkWidget *vbox58;
  GtkWidget *hseparator22;
  GtkWidget *hbox76;
  GtkWidget *label165;
  GtkWidget *QualityKeepGray_combo;
  GList *QualityKeepGray_combo_items = NULL;
  GtkWidget *QualityKeepGray_combo_entry;
  GtkWidget *SmallSizeCurl_hbox;
  GtkWidget *QualitySmallSizeCurl_label;
  GtkWidget *QualitySmallSizeCurl_combo;
  GList *QualitySmallSizeCurl_combo_items = NULL;
  GtkWidget *QualitySmallSizeCurl_combo_entry;
  GtkWidget *Sharpness_table;
  GtkWidget *Sharpness_checkbutton;
  GtkWidget *Sharpness_drawingarea;
  GtkWidget *label241;
  GtkWidget *label240;
  GtkWidget *Sharpness_hscale;
  GtkWidget *Sharpness_label;
  GtkWidget *label10;
  GtkWidget *vbox42;
  GtkWidget *OutputMethod_frame;
  GtkWidget *vbox20;
  GtkWidget *hbox25;
  GtkWidget *label72;
  GtkWidget *OutputMethod_combo;
  GList *OutputMethod_combo_items = NULL;
  GtkWidget *OutputMethod_combo_entry;
  GtkWidget *OutputMethod_button;
  GtkWidget *DeviceSetting_frame;
  GtkWidget *vbox44;
  GtkWidget *OutputOption_table;
  GtkWidget *label126;
  GtkWidget *OutputOption_combo;
  GList *OutputOption_combo_items = NULL;
  GtkWidget *OutputOption_combo_entry;
  GtkWidget *SaddleFinisherG1_checkbutton;
  GtkWidget *PaperFolding_checkbutton;
  GtkWidget *PuncherUnit_checkbutton;
  GtkWidget *TrimmerUnit_checkbutton;
  GtkWidget *SourceOption_vbox;
  GtkWidget *hbox73;
  GtkWidget *PaperSourceOptionLabel;
  GtkWidget *SourceOption_combo;
  GList *SourceOption_combo_items = NULL;
  GtkWidget *SourceOption_combo_entry;
  GtkWidget *hseparator21;
  GtkWidget *DocInsertUnit_checkbutton;
  GtkWidget *DuplexUnit_checkbutton;
  GtkWidget *Staple_checkbutton;
  GtkWidget *EnableTrustPrint_checkbutton;
  GtkWidget *JobAccounting_frame;
  GtkWidget *vbox45;
  GtkWidget *hseparator13;
  GtkWidget *hbox69;
  GtkWidget *JobAccouting_checkbutton;
  GtkWidget *hbuttonbox18;
  GtkWidget *JobAccount_button;
  GtkWidget *hbox70;
  GtkWidget *label151;
  GtkWidget *AllowPasswd_checkbutton;
  GtkWidget *DisableJobAccounting_box;
  GtkWidget *label167;
  GtkWidget *DisableJobAccountingBW_checkbutton;
  GtkWidget *label171;
  GtkWidget *label116;
  GtkWidget *vbox22;
  GtkWidget *vbox41;
  GtkWidget *frame41;
  GtkWidget *CaptPaperSource_hbox;
  GtkWidget *label120;
  GtkWidget *CaptPaperSource_combo;
  GList *CaptPaperSource_combo_items = NULL;
  GtkWidget *CaptPaperSource_combo_entry;
  GtkWidget *frame40;
  GtkWidget *CaptPaperType_hbox;
  GtkWidget *label119;
  GtkWidget *CaptPaperType_combo;
  GList *CaptPaperType_combo_items = NULL;
  GtkWidget *CaptPaperType_combo_entry;
  GtkWidget *CaptFin_frame;
  GtkWidget *CaptCollate_checkbutton;
  GtkWidget *label172;
  GtkWidget *CaptQuality_frame;
  GtkWidget *vbox23;
  GtkWidget *table14;
  GtkWidget *label74;
  GtkWidget *CaptHalftoneP1_radiobutton;
  GSList *CaptHalftoneP1_radiobutton_group = NULL;
  GtkWidget *CaptHalftoneP2_radiobutton;
  GtkWidget *CaptHalftoneSmooth_radiobutton;
  GtkWidget *label173;
  GtkWidget *CaptDetail_frame;
  GtkWidget *vbox25;
  GtkWidget *TonerDensity_frame;
  GtkWidget *TonerDensity_hbox;
  GtkWidget *label82;
  GtkWidget *CaptTonerDensity1_radiobutton;
  GSList *CaptTonerDensity1_radiobutton_group = NULL;
  GtkWidget *CaptTonerDensity2_radiobutton;
  GtkWidget *CaptTonerDensity3_radiobutton;
  GtkWidget *CaptTonerDensity4_radiobutton;
  GtkWidget *CaptTonerDensity5_radiobutton;
  GtkWidget *label83;
  GtkWidget *label175;
  GtkWidget *CaptTonerSave_checkbutton;
  GtkWidget *hseparator14;
  GtkWidget *ImgRefinement_checkbutton;
  GtkWidget *label174;
  GtkWidget *label122;
  GtkWidget *vbox36;
  GtkWidget *hbox6;
  GtkWidget *label12;
  GtkWidget *Filter_combo;
  GList *Filter_combo_items = NULL;
  GtkWidget *Filter_combo_entry;
  GtkWidget *FilterImage_frame;
  GtkWidget *vbox37;
  GtkWidget *ImgColorSetting_frame;
  GtkWidget *vbox7;
  GtkWidget *table6;
  GtkWidget *SaturationValue_label;
  GtkWidget *label27;
  GtkWidget *label29;
  GtkWidget *Hue_hscale;
  GtkWidget *Saturation_hscale;
  GtkWidget *HueValue_label;
  GtkWidget *hbuttonbox4;
  GtkWidget *ColorDefault_button;
  GtkWidget *label177;
  GtkWidget *hbox7;
  GtkWidget *frame9;
  GtkWidget *vbox8;
  GtkWidget *hbox8;
  GtkWidget *Resolution_radiobutton;
  GSList *Resolution_radiobutton_group = NULL;
  GtkWidget *ResolutionValue_label;
  GtkWidget *ImgReso_hscale;
  GtkWidget *hbox9;
  GtkWidget *Scale_radiobutton;
  GtkWidget *ScaleValue_label;
  GtkWidget *ImgPercent_hscale;
  GtkWidget *hbox71;
  GtkWidget *PageScale_radiobutton;
  GtkWidget *PageScaleValue_label;
  GtkWidget *ImgPagePercent_hscale;
  GtkWidget *label178;
  GtkWidget *frame10;
  GtkWidget *table7;
  GtkWidget *ImgPositionTL_radiobutton;
  GSList *ImgPositionTL_radiobutton_group = NULL;
  GtkWidget *ImgPositionTC_radiobutton;
  GtkWidget *ImgPositionTR_radiobutton;
  GtkWidget *ImgPositionCL_radiobutton;
  GtkWidget *ImgPositionCC_radiobutton;
  GtkWidget *ImgPositionCR_radiobutton;
  GtkWidget *ImgPositionBL_radiobutton;
  GtkWidget *ImgPositionBC_radiobutton;
  GtkWidget *ImgPositionBR_radiobutton;
  GtkWidget *label179;
  GtkWidget *label176;
  GtkWidget *FilterText_frame;
  GtkWidget *vbox38;
  GtkWidget *frame11;
  GtkWidget *table8;
  GtkWidget *hseparator3;
  GtkWidget *hseparator2;
  GtkWidget *hseparator1;
  GtkWidget *label36;
  GtkObject *TextColumns_spinbutton_adj;
  GtkWidget *TextColumns_spinbutton;
  GtkWidget *label34;
  GtkWidget *label35;
  GtkWidget *label38;
  GtkWidget *label37;
  GtkObject *TextCPI_spinbutton_adj;
  GtkWidget *TextCPI_spinbutton;
  GtkObject *TextLPI_spinbutton_adj;
  GtkWidget *TextLPI_spinbutton;
  GtkWidget *label39;
  GtkWidget *label181;
  GtkWidget *frame12;
  GtkWidget *vbox10;
  GtkWidget *hbox10;
  GtkWidget *label40;
  GtkWidget *CustomMargin_checkbutton;
  GtkWidget *Margin_table;
  GtkWidget *label;
  GtkWidget *label43;
  GtkWidget *label44;
  GtkWidget *MarginTopValue_label;
  GtkWidget *MarginBottomValue_label;
  GtkWidget *MarginLeftValue_label;
  GtkWidget *MarginRightValue_label;
  GtkObject *MarginBottom_spinbutton_adj;
  GtkWidget *MarginBottom_spinbutton;
  GtkObject *MarginLeft_spinbutton_adj;
  GtkWidget *MarginLeft_spinbutton;
  GtkObject *MarginRight_spinbutton_adj;
  GtkWidget *MarginRight_spinbutton;
  GtkObject *MarginTop_spinbutton_adj;
  GtkWidget *MarginTop_spinbutton;
  GtkWidget *MarginTop_label;
  GtkWidget *label182;
  GtkWidget *PrettyPrint_checkbutton;
  GtkWidget *label180;
  GtkWidget *FilterHPGL2_frame;
  GtkWidget *frame13;
  GtkWidget *vbox12;
  GtkWidget *HPGL2BlackPen_checkbutton;
  GtkWidget *HPGL2FitPlot_checkbutton;
  GtkWidget *hbox11;
  GtkWidget *label51;
  GtkObject *HPGL2PenWidth_spinbutton_adj;
  GtkWidget *HPGL2PenWidth_spinbutton;
  GtkWidget *label52;
  GtkWidget *label183;
  GtkWidget *label114;
  GtkWidget *label123;
  GtkWidget *dialog_action_area2;
  GtkWidget *hbuttonbox3;
  GtkWidget *PropOK_button;
  GtkWidget *PropSave_button;
  GtkWidget *PropCancel_button;

  PropertiesDlg = gtk_dialog_new ();
  gtk_window_set_modal (GTK_WINDOW (PropertiesDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (PropertiesDlg), FALSE);

  dialog_vbox2 = GTK_DIALOG (PropertiesDlg)->vbox;
  gtk_widget_show (dialog_vbox2);

  vbox4 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox4);
  gtk_box_pack_start (GTK_BOX (dialog_vbox2), vbox4, TRUE, TRUE, 0);

  PropDlg_notebook = gtk_notebook_new ();
  gtk_widget_show (PropDlg_notebook);
  gtk_box_pack_start (GTK_BOX (vbox4), PropDlg_notebook, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PropDlg_notebook), 6);

  vbox5 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox5);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox5);

  PaperSetting_frame = gtk_frame_new (NULL);
  gtk_widget_show (PaperSetting_frame);
  gtk_box_pack_start (GTK_BOX (vbox5), PaperSetting_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperSetting_frame), GTK_SHADOW_NONE);

  vbox30 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox30);
  gtk_container_add (GTK_CONTAINER (PaperSetting_frame), vbox30);

  PaperSize_frame = gtk_frame_new (NULL);
  gtk_widget_show (PaperSize_frame);
  gtk_box_pack_start (GTK_BOX (vbox30), PaperSize_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperSize_frame), GTK_SHADOW_NONE);

  hbox36 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox36);
  gtk_container_add (GTK_CONTAINER (PaperSize_frame), hbox36);

  label95 = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (label95);
  gtk_box_pack_start (GTK_BOX (hbox36), label95, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label95), 7.45058e-09, 0.5);

  PaperSize_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (PaperSize_combo)->popwin),
                     "GladeParentKey", PaperSize_combo);
  gtk_widget_show (PaperSize_combo);
  gtk_box_pack_start (GTK_BOX (hbox36), PaperSize_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PaperSize_combo), 5);
  PaperSize_combo_items = g_list_append (PaperSize_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (PaperSize_combo), PaperSize_combo_items);
  g_list_free (PaperSize_combo_items);

  PaperSize_combo_entry = GTK_COMBO (PaperSize_combo)->entry;
  gtk_widget_show (PaperSize_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (PaperSize_combo_entry), FALSE);

  frame4 = gtk_frame_new (NULL);
  gtk_widget_show (frame4);
  gtk_box_pack_start (GTK_BOX (vbox5), frame4, FALSE, FALSE, 3);
  gtk_container_set_border_width (GTK_CONTAINER (frame4), 5);

  table2 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (frame4), table2);

  Landscape_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Landscape"));
  gtk_widget_show (Landscape_radiobutton);
  gtk_table_attach (GTK_TABLE (table2), Landscape_radiobutton, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Landscape_radiobutton), Landscape_radiobutton_group);
  Landscape_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Landscape_radiobutton));

  Portrait_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Portrait"));
  gtk_widget_show (Portrait_radiobutton);
  gtk_table_attach (GTK_TABLE (table2), Portrait_radiobutton, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Portrait_radiobutton), Landscape_radiobutton_group);
  Landscape_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Portrait_radiobutton));
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (Portrait_radiobutton), TRUE);

  ReversePortrait_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Reverse Portrait"));
  gtk_widget_show (ReversePortrait_radiobutton);
  gtk_table_attach (GTK_TABLE (table2), ReversePortrait_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ReversePortrait_radiobutton), Landscape_radiobutton_group);
  Landscape_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ReversePortrait_radiobutton));

  ReverseLandscape_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Reverse Landscape"));
  gtk_widget_show (ReverseLandscape_radiobutton);
  gtk_table_attach (GTK_TABLE (table2), ReverseLandscape_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ReverseLandscape_radiobutton), Landscape_radiobutton_group);
  Landscape_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ReverseLandscape_radiobutton));

  label96 = gtk_label_new (_("Orientation"));
  gtk_widget_show (label96);
  gtk_frame_set_label_widget (GTK_FRAME (frame4), label96);
  gtk_label_set_justify (GTK_LABEL (label96), GTK_JUSTIFY_LEFT);

  frame5 = gtk_frame_new (NULL);
  gtk_widget_show (frame5);
  gtk_box_pack_start (GTK_BOX (vbox5), frame5, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame5), 5);

  table3 = gtk_table_new (1, 2, FALSE);
  gtk_widget_show (table3);
  gtk_container_add (GTK_CONTAINER (frame5), table3);

  Nup_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (Nup_combo)->popwin),
                     "GladeParentKey", Nup_combo);
  gtk_widget_show (Nup_combo);
  gtk_table_attach (GTK_TABLE (table3), Nup_combo, 1, 2, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Nup_combo), 5);
  Nup_combo_items = g_list_append (Nup_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (Nup_combo), Nup_combo_items);
  g_list_free (Nup_combo_items);

  Nup_combo_entry = GTK_COMBO (Nup_combo)->entry;
  gtk_widget_show (Nup_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (Nup_combo_entry), FALSE);

  label127 = gtk_label_new ("");
  gtk_widget_show (label127);
  gtk_table_attach (GTK_TABLE (table3), label127, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label127), 0, 0.5);

  label97 = gtk_label_new (_("Pages per sheet"));
  gtk_widget_show (label97);
  gtk_frame_set_label_widget (GTK_FRAME (frame5), label97);
  gtk_label_set_justify (GTK_LABEL (label97), GTK_JUSTIFY_LEFT);

  frame6 = gtk_frame_new (NULL);
  gtk_widget_show (frame6);
  gtk_box_pack_start (GTK_BOX (vbox5), frame6, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame6), 5);

  table4 = gtk_table_new (2, 3, FALSE);
  gtk_widget_show (table4);
  gtk_container_add (GTK_CONTAINER (frame6), table4);

  label21 = gtk_label_new (_("Gamma(1 to 10000)"));
  gtk_widget_show (label21);
  gtk_table_attach (GTK_TABLE (table4), label21, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label21), 0, 0.5);

  BrightnessValue_label = gtk_label_new ("");
  gtk_widget_show (BrightnessValue_label);
  gtk_table_attach (GTK_TABLE (table4), BrightnessValue_label, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (BrightnessValue_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (BrightnessValue_label), 1, 0.5);

  GammaValue_label = gtk_label_new ("");
  gtk_widget_show (GammaValue_label);
  gtk_table_attach (GTK_TABLE (table4), GammaValue_label, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (GammaValue_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (GammaValue_label), 1, 0.5);

  BrightnessValue_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (100, 0, 200, 5, 0, 0)));
  gtk_widget_show (BrightnessValue_hscale);
  gtk_table_attach (GTK_TABLE (table4), BrightnessValue_hscale, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 5, 5);
  gtk_widget_set_size_request (BrightnessValue_hscale, 100, -1);
  gtk_scale_set_draw_value (GTK_SCALE (BrightnessValue_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (BrightnessValue_hscale), 0);

  label20 = gtk_label_new (_("Brightness(0 to 200)%"));
  gtk_widget_show (label20);
  gtk_table_attach (GTK_TABLE (table4), label20, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label20), 0, 0.5);

  GammaValue_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (1000, 1, 10000, 50, 0, 0)));
  gtk_widget_show (GammaValue_hscale);
  gtk_table_attach (GTK_TABLE (table4), GammaValue_hscale, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 5, 5);
  gtk_widget_set_size_request (GammaValue_hscale, 100, -1);
  gtk_scale_set_draw_value (GTK_SCALE (GammaValue_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (GammaValue_hscale), 0);

  label128 = gtk_label_new (_("Brightness and Gamma"));
  gtk_widget_show (label128);
  gtk_frame_set_label_widget (GTK_FRAME (frame6), label128);
  gtk_label_set_justify (GTK_LABEL (label128), GTK_JUSTIFY_LEFT);

  Banner_frame = gtk_frame_new (NULL);
  gtk_widget_show (Banner_frame);
  gtk_box_pack_start (GTK_BOX (vbox5), Banner_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Banner_frame), 5);

  table5 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table5);
  gtk_container_add (GTK_CONTAINER (Banner_frame), table5);

  label25 = gtk_label_new (_("End:"));
  gtk_widget_show (label25);
  gtk_table_attach (GTK_TABLE (table5), label25, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label25), 0, 0.5);

  label24 = gtk_label_new (_("Start:"));
  gtk_widget_show (label24);
  gtk_table_attach (GTK_TABLE (table5), label24, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label24), 0, 0.5);

  BannerEnd_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BannerEnd_combo)->popwin),
                     "GladeParentKey", BannerEnd_combo);
  gtk_widget_show (BannerEnd_combo);
  gtk_table_attach (GTK_TABLE (table5), BannerEnd_combo, 1, 2, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 5, 3);
  gtk_container_set_border_width (GTK_CONTAINER (BannerEnd_combo), 5);
  BannerEnd_combo_items = g_list_append (BannerEnd_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BannerEnd_combo), BannerEnd_combo_items);
  g_list_free (BannerEnd_combo_items);

  BannerEnd_combo_entry = GTK_COMBO (BannerEnd_combo)->entry;
  gtk_widget_show (BannerEnd_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BannerEnd_combo_entry), FALSE);

  BannerStart_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BannerStart_combo)->popwin),
                     "GladeParentKey", BannerStart_combo);
  gtk_widget_show (BannerStart_combo);
  gtk_table_attach (GTK_TABLE (table5), BannerStart_combo, 1, 2, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 5, 3);
  gtk_container_set_border_width (GTK_CONTAINER (BannerStart_combo), 5);
  BannerStart_combo_items = g_list_append (BannerStart_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BannerStart_combo), BannerStart_combo_items);
  g_list_free (BannerStart_combo_items);

  BannerStart_combo_entry = GTK_COMBO (BannerStart_combo)->entry;
  gtk_widget_show (BannerStart_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BannerStart_combo_entry), FALSE);

  label129 = gtk_label_new (_("Banner"));
  gtk_widget_show (label129);
  gtk_frame_set_label_widget (GTK_FRAME (Banner_frame), label129);
  gtk_label_set_justify (GTK_LABEL (label129), GTK_JUSTIFY_LEFT);

  label7 = gtk_label_new (_("General"));
  gtk_widget_show (label7);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 0), label7);

  vbox13 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox13);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox13);

  frame14 = gtk_frame_new (NULL);
  gtk_widget_show (frame14);
  gtk_box_pack_start (GTK_BOX (vbox13), frame14, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame14), GTK_SHADOW_NONE);

  vbox14 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox14);
  gtk_container_add (GTK_CONTAINER (frame14), vbox14);

  table19 = gtk_table_new (3, 3, FALSE);
  gtk_widget_show (table19);
  gtk_box_pack_start (GTK_BOX (vbox14), table19, FALSE, FALSE, 0);

  label55 = gtk_label_new (_("Print Style:"));
  gtk_widget_show (label55);
  gtk_table_attach (GTK_TABLE (table19), label55, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label55), 7.45058e-09, 0.5);

  hbuttonbox9 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox9);
  gtk_table_attach (GTK_TABLE (table19), hbuttonbox9, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox9), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox9), 1);

  BookletSetting_button = gtk_button_new_with_mnemonic (_("Booklet..."));
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), BookletSetting_button);
  GTK_WIDGET_SET_FLAGS (BookletSetting_button, GTK_CAN_DEFAULT);

  Sided1Print_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("1-sided Printing"));
  gtk_widget_show (Sided1Print_radiobutton);
  gtk_table_attach (GTK_TABLE (table19), Sided1Print_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Sided1Print_radiobutton), 5);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Sided1Print_radiobutton), Sided1Print_radiobutton_group);
  Sided1Print_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Sided1Print_radiobutton));

  Sided2Print_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("2-sided Printing"));
  gtk_table_attach (GTK_TABLE (table19), Sided2Print_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Sided2Print_radiobutton), 5);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Sided2Print_radiobutton), Sided1Print_radiobutton_group);
  Sided1Print_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Sided2Print_radiobutton));

  BookletPrint_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Booklet Printing"));
  gtk_table_attach (GTK_TABLE (table19), BookletPrint_radiobutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BookletPrint_radiobutton), 5);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (BookletPrint_radiobutton), Sided1Print_radiobutton_group);
  Sided1Print_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (BookletPrint_radiobutton));

  hseparator4 = gtk_hseparator_new ();
  gtk_widget_show (hseparator4);
  gtk_box_pack_start (GTK_BOX (vbox14), hseparator4, FALSE, FALSE, 0);

  Finishing_frame = gtk_frame_new (NULL);
  gtk_widget_show (Finishing_frame);
  gtk_box_pack_start (GTK_BOX (vbox14), Finishing_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (Finishing_frame), GTK_SHADOW_NONE);

  vbox15 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox15);
  gtk_container_add (GTK_CONTAINER (Finishing_frame), vbox15);

  BindingLocation_label = gtk_label_new (_("Binding Location:"));
  gtk_box_pack_start (GTK_BOX (vbox15), BindingLocation_label, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (BindingLocation_label), 7.45058e-09, 0.5);

  BindingLocation_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox15), BindingLocation_hbox, FALSE, FALSE, 0);

  BindingLocation_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BindingLocation_combo)->popwin),
                     "GladeParentKey", BindingLocation_combo);
  gtk_widget_show (BindingLocation_combo);
  gtk_box_pack_start (GTK_BOX (BindingLocation_hbox), BindingLocation_combo, FALSE, FALSE, 4);
  BindingLocation_combo_items = g_list_append (BindingLocation_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BindingLocation_combo), BindingLocation_combo_items);
  g_list_free (BindingLocation_combo_items);

  BindingLocation_combo_entry = GTK_COMBO (BindingLocation_combo)->entry;
  gtk_widget_show (BindingLocation_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BindingLocation_combo_entry), FALSE);

  hbuttonbox8 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox8);
  gtk_box_pack_start (GTK_BOX (BindingLocation_hbox), hbuttonbox8, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox8), GTK_BUTTONBOX_END);

  Gutter_button = gtk_button_new_with_mnemonic (_("Gutter..."));
  gtk_widget_show (Gutter_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox8), Gutter_button);
  GTK_WIDGET_SET_FLAGS (Gutter_button, GTK_CAN_DEFAULT);

  FinishingSel_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox15), FinishingSel_hbox, FALSE, FALSE, 0);

  label130 = gtk_label_new (_("Finishing:"));
  gtk_widget_show (label130);
  gtk_box_pack_start (GTK_BOX (FinishingSel_hbox), label130, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label130), 0, 0.5);

  FinCollate_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FinCollate_combo)->popwin),
                     "GladeParentKey", FinCollate_combo);
  gtk_widget_show (FinCollate_combo);
  gtk_box_pack_start (GTK_BOX (FinishingSel_hbox), FinCollate_combo, FALSE, FALSE, 5);
  FinCollate_combo_items = g_list_append (FinCollate_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FinCollate_combo), FinCollate_combo_items);
  g_list_free (FinCollate_combo_items);

  FinCollate_combo_entry = GTK_COMBO (FinCollate_combo)->entry;
  gtk_widget_show (FinCollate_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FinCollate_combo_entry), FALSE);

  table10 = gtk_table_new (3, 3, FALSE);
  gtk_widget_show (table10);
  gtk_box_pack_start (GTK_BOX (vbox15), table10, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (table10), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table10), 20);

  label58 = gtk_label_new ("");
  gtk_widget_show (label58);
  gtk_table_attach (GTK_TABLE (table10), label58, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label58), 0, 0.5);

  FinHolePanch_checkbutton = gtk_check_button_new_with_mnemonic (_("Hole Punch"));
  gtk_table_attach (GTK_TABLE (table10), FinHolePanch_checkbutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  FinOffset_checkbutton = gtk_check_button_new_with_mnemonic (_("Offset"));
  gtk_table_attach (GTK_TABLE (table10), FinOffset_checkbutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 1);

  FinRotate_checkbutton = gtk_check_button_new_with_mnemonic (_("Rotate"));
  gtk_table_attach (GTK_TABLE (table10), FinRotate_checkbutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  FinZfold_checkbutton = gtk_check_button_new_with_mnemonic (_("Z-fold"));
  gtk_table_attach (GTK_TABLE (table10), FinZfold_checkbutton, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  FinCfold_checkbutton = gtk_check_button_new_with_mnemonic (_("C-fold"));
  gtk_table_attach (GTK_TABLE (table10), FinCfold_checkbutton, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  FinCfoldSetting_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FinCfoldSetting_combo)->popwin),
                     "GladeParentKey", FinCfoldSetting_combo);
  gtk_table_attach (GTK_TABLE (table10), FinCfoldSetting_combo, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  FinCfoldSetting_combo_entry = GTK_COMBO (FinCfoldSetting_combo)->entry;
  gtk_widget_show (FinCfoldSetting_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FinCfoldSetting_combo_entry), FALSE);

  FinStaple_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox15), FinStaple_hbox, FALSE, TRUE, 0);

  label131 = gtk_label_new ("");
  gtk_widget_show (label131);
  gtk_box_pack_start (GTK_BOX (FinStaple_hbox), label131, TRUE, TRUE, 0);

  label132 = gtk_label_new (_("Staple Position:"));
  gtk_widget_show (label132);
  gtk_box_pack_start (GTK_BOX (FinStaple_hbox), label132, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label132), 1, 0.5);

  StaplePosition_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (StaplePosition_combo)->popwin),
                     "GladeParentKey", StaplePosition_combo);
  gtk_widget_show (StaplePosition_combo);
  gtk_box_pack_start (GTK_BOX (FinStaple_hbox), StaplePosition_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (StaplePosition_combo), 5);
  StaplePosition_combo_items = g_list_append (StaplePosition_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (StaplePosition_combo), StaplePosition_combo_items);
  g_list_free (StaplePosition_combo_items);

  StaplePosition_combo_entry = GTK_COMBO (StaplePosition_combo)->entry;
  gtk_widget_show (StaplePosition_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (StaplePosition_combo_entry), FALSE);

  OffsetCopyNum_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox15), OffsetCopyNum_frame, TRUE, TRUE, 0);
  gtk_widget_set_sensitive (OffsetCopyNum_frame, FALSE);
  gtk_frame_set_shadow_type (GTK_FRAME (OffsetCopyNum_frame), GTK_SHADOW_NONE);

  vbox74 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox74);
  gtk_container_add (GTK_CONTAINER (OffsetCopyNum_frame), vbox74);

  hbox84 = gtk_hbox_new (FALSE, 5);
  gtk_widget_show (hbox84);
  gtk_box_pack_start (GTK_BOX (vbox74), hbox84, TRUE, TRUE, 0);

  label219 = gtk_label_new ("");
  gtk_widget_show (label219);
  gtk_box_pack_start (GTK_BOX (hbox84), label219, TRUE, FALSE, 0);

  label220 = gtk_label_new (_("Number of Copies for Offset:  "));
  gtk_widget_show (label220);
  gtk_box_pack_start (GTK_BOX (hbox84), label220, FALSE, FALSE, 0);

  OffsetCopyNum_spinbutton_adj = gtk_adjustment_new (1, 1, 9999, 1, 10, 10);
  OffsetCopyNum_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (OffsetCopyNum_spinbutton_adj), 1, 0);
  gtk_widget_show (OffsetCopyNum_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox84), OffsetCopyNum_spinbutton, FALSE, FALSE, 5);
  gtk_widget_set_size_request (OffsetCopyNum_spinbutton, 55, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (OffsetCopyNum_spinbutton), TRUE);

  label221 = gtk_label_new (_("(1 to 9999)"));
  gtk_widget_show (label221);
  gtk_box_pack_start (GTK_BOX (hbox84), label221, FALSE, FALSE, 0);

  FinBooklet_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), FinBooklet_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (FinBooklet_frame), GTK_SHADOW_NONE);

  vbox16 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox16);
  gtk_container_add (GTK_CONTAINER (FinBooklet_frame), vbox16);

  SaddleStich_checkbutton = gtk_check_button_new_with_mnemonic (_("Saddle Stitch"));
  gtk_box_pack_start (GTK_BOX (vbox16), SaddleStich_checkbutton, FALSE, FALSE, 0);

  UseTrimmer_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Trimmer"));
  gtk_box_pack_start (GTK_BOX (vbox16), UseTrimmer_checkbutton, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (UseTrimmer_checkbutton, FALSE);

  TrimWidthAdjusting_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox16), TrimWidthAdjusting_frame, TRUE, TRUE, 1);
  gtk_container_set_border_width (GTK_CONTAINER (TrimWidthAdjusting_frame), 5);

  table25 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table25);
  gtk_container_add (GTK_CONTAINER (TrimWidthAdjusting_frame), table25);
  gtk_container_set_border_width (GTK_CONTAINER (table25), 5);

  label255 = gtk_label_new ("");
  gtk_widget_show (label255);
  gtk_table_attach (GTK_TABLE (table25), label255, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label255), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label255), 0, 0.5);

  TrimDeviceSetting_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Device Setting "));
  gtk_widget_show (TrimDeviceSetting_radiobutton);
  gtk_table_attach (GTK_TABLE (table25), TrimDeviceSetting_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (TrimDeviceSetting_radiobutton), TrimDeviceSetting_radiobutton_group);
  TrimDeviceSetting_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (TrimDeviceSetting_radiobutton));

  TrimManualSetting_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Manual Setting"));
  gtk_widget_show (TrimManualSetting_radiobutton);
  gtk_table_attach (GTK_TABLE (table25), TrimManualSetting_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (TrimManualSetting_radiobutton), TrimDeviceSetting_radiobutton_group);
  TrimDeviceSetting_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (TrimManualSetting_radiobutton));

  TrimWidthAdjusting_label = gtk_label_new (_("Adjust Trim Width by"));
  gtk_widget_show (TrimWidthAdjusting_label);
  gtk_frame_set_label_widget (GTK_FRAME (TrimWidthAdjusting_frame), TrimWidthAdjusting_label);
  gtk_label_set_justify (GTK_LABEL (TrimWidthAdjusting_label), GTK_JUSTIFY_LEFT);

  TrimWidth_hbox = gtk_hbox_new (FALSE, 5);
  gtk_box_pack_start (GTK_BOX (vbox16), TrimWidth_hbox, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (TrimWidth_hbox), 5);

  label258 = gtk_label_new ("");
  gtk_widget_show (label258);
  gtk_box_pack_start (GTK_BOX (TrimWidth_hbox), label258, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label258), GTK_JUSTIFY_LEFT);

  label256 = gtk_label_new (_("Trim Width:"));
  gtk_widget_show (label256);
  gtk_box_pack_start (GTK_BOX (TrimWidth_hbox), label256, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label256), GTK_JUSTIFY_LEFT);

  TrimWidth_spinbutton_adj = gtk_adjustment_new (0, 0, 100, 0.1, 10, 10);
  TrimWidth_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (TrimWidth_spinbutton_adj), 1, 1);
  gtk_widget_show (TrimWidth_spinbutton);
  gtk_box_pack_start (GTK_BOX (TrimWidth_hbox), TrimWidth_spinbutton, FALSE, FALSE, 0);
  gtk_widget_set_size_request (TrimWidth_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (TrimWidth_spinbutton), TRUE);

  label257 = gtk_label_new (_("mm (-10.3 to 10.2)"));
  gtk_widget_show (label257);
  gtk_box_pack_start (GTK_BOX (TrimWidth_hbox), label257, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label257), GTK_JUSTIFY_LEFT);

  label162 = gtk_label_new ("");
  gtk_widget_show (label162);
  gtk_box_pack_start (GTK_BOX (vbox16), label162, FALSE, FALSE, 0);

  PaperDisit_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), PaperDisit_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperDisit_frame), GTK_SHADOW_NONE);

  hbox39 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox39);
  gtk_container_add (GTK_CONTAINER (PaperDisit_frame), hbox39);

  label98 = gtk_label_new (_("Paper Output:"));
  gtk_widget_show (label98);
  gtk_box_pack_start (GTK_BOX (hbox39), label98, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label98), 7.45058e-09, 0.5);

  PaperDisti_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (PaperDisti_combo)->popwin),
                     "GladeParentKey", PaperDisti_combo);
  gtk_widget_show (PaperDisti_combo);
  gtk_box_pack_start (GTK_BOX (hbox39), PaperDisti_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PaperDisti_combo), 5);
  PaperDisti_combo_items = g_list_append (PaperDisti_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (PaperDisti_combo), PaperDisti_combo_items);
  g_list_free (PaperDisti_combo_items);

  PaperDisti_combo_entry = GTK_COMBO (PaperDisti_combo)->entry;
  gtk_widget_show (PaperDisti_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (PaperDisti_combo_entry), FALSE);

  SpecialPrintMode_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), SpecialPrintMode_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (SpecialPrintMode_frame), GTK_SHADOW_NONE);

  SpecialPrintMode_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (SpecialPrintMode_hbox);
  gtk_container_add (GTK_CONTAINER (SpecialPrintMode_frame), SpecialPrintMode_hbox);

  SpecialPrintMode_label = gtk_label_new (_("Special Print Mode:"));
  gtk_widget_show (SpecialPrintMode_label);
  gtk_box_pack_start (GTK_BOX (SpecialPrintMode_hbox), SpecialPrintMode_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SpecialPrintMode_label), 0, 0.5);

  SpecialPrintMode_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (SpecialPrintMode_combo)->popwin),
                     "GladeParentKey", SpecialPrintMode_combo);
  gtk_widget_show (SpecialPrintMode_combo);
  gtk_box_pack_start (GTK_BOX (SpecialPrintMode_hbox), SpecialPrintMode_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SpecialPrintMode_combo), 5);
  SpecialPrintMode_combo_items = g_list_append (SpecialPrintMode_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (SpecialPrintMode_combo), SpecialPrintMode_combo_items);
  g_list_free (SpecialPrintMode_combo_items);

  SpecialPrintMode_combo_entry = GTK_COMBO (SpecialPrintMode_combo)->entry;
  gtk_widget_show (SpecialPrintMode_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (SpecialPrintMode_combo_entry), FALSE);

  SpecialPrintAdjustmentA_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), SpecialPrintAdjustmentA_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (SpecialPrintAdjustmentA_frame), GTK_SHADOW_NONE);

  SpecialPrintAdjustmentA_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (SpecialPrintAdjustmentA_hbox);
  gtk_container_add (GTK_CONTAINER (SpecialPrintAdjustmentA_frame), SpecialPrintAdjustmentA_hbox);

  SpecialPrintAdjustmentA_label = gtk_label_new (_("Special Print Adjustment A:"));
  gtk_widget_show (SpecialPrintAdjustmentA_label);
  gtk_box_pack_start (GTK_BOX (SpecialPrintAdjustmentA_hbox), SpecialPrintAdjustmentA_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SpecialPrintAdjustmentA_label), 0, 0.5);

  SpecialPrintAdjustmentA_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (SpecialPrintAdjustmentA_combo)->popwin),
                     "GladeParentKey", SpecialPrintAdjustmentA_combo);
  gtk_widget_show (SpecialPrintAdjustmentA_combo);
  gtk_box_pack_start (GTK_BOX (SpecialPrintAdjustmentA_hbox), SpecialPrintAdjustmentA_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SpecialPrintAdjustmentA_combo), 5);

  SpecialPrintAdjustmentA_combo_entry = GTK_COMBO (SpecialPrintAdjustmentA_combo)->entry;
  gtk_widget_show (SpecialPrintAdjustmentA_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (SpecialPrintAdjustmentA_combo_entry), FALSE);

  SpecialPrintAdjustmentB_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), SpecialPrintAdjustmentB_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (SpecialPrintAdjustmentB_frame), GTK_SHADOW_NONE);

  SpecialPrintAdjustmentB_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (SpecialPrintAdjustmentB_hbox);
  gtk_container_add (GTK_CONTAINER (SpecialPrintAdjustmentB_frame), SpecialPrintAdjustmentB_hbox);

  SpecialPrintAdjustmentB_label = gtk_label_new (_("Special Print Adjustment B:"));
  gtk_widget_show (SpecialPrintAdjustmentB_label);
  gtk_box_pack_start (GTK_BOX (SpecialPrintAdjustmentB_hbox), SpecialPrintAdjustmentB_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SpecialPrintAdjustmentB_label), 0, 0.5);

  SpecialPrintAdjustmentB_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (SpecialPrintAdjustmentB_combo)->popwin),
                     "GladeParentKey", SpecialPrintAdjustmentB_combo);
  gtk_widget_show (SpecialPrintAdjustmentB_combo);
  gtk_box_pack_start (GTK_BOX (SpecialPrintAdjustmentB_hbox), SpecialPrintAdjustmentB_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SpecialPrintAdjustmentB_combo), 5);

  SpecialPrintAdjustmentB_combo_entry = GTK_COMBO (SpecialPrintAdjustmentB_combo)->entry;
  gtk_widget_show (SpecialPrintAdjustmentB_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (SpecialPrintAdjustmentB_combo_entry), FALSE);

  hseparator20 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox14), hseparator20, FALSE, FALSE, 0);

  FinOutputSide_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), FinOutputSide_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinOutputSide_frame), 3);
  gtk_frame_set_shadow_type (GTK_FRAME (FinOutputSide_frame), GTK_SHADOW_NONE);

  hbox72 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox72);
  gtk_container_add (GTK_CONTAINER (FinOutputSide_frame), hbox72);

  label160 = gtk_label_new (_("Face Up/Face Down:"));
  gtk_widget_show (label160);
  gtk_box_pack_start (GTK_BOX (hbox72), label160, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label160), 7.45058e-09, 0.5);

  OutputSide_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (OutputSide_combo)->popwin),
                     "GladeParentKey", OutputSide_combo);
  gtk_widget_show (OutputSide_combo);
  gtk_box_pack_start (GTK_BOX (hbox72), OutputSide_combo, FALSE, FALSE, 0);
  OutputSide_combo_items = g_list_append (OutputSide_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (OutputSide_combo), OutputSide_combo_items);
  g_list_free (OutputSide_combo_items);

  OutputSide_combo_entry = GTK_COMBO (OutputSide_combo)->entry;
  gtk_widget_show (OutputSide_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (OutputSide_combo_entry), FALSE);

  ImgSpecialProc_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), ImgSpecialProc_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ImgSpecialProc_frame), 3);
  gtk_frame_set_shadow_type (GTK_FRAME (ImgSpecialProc_frame), GTK_SHADOW_NONE);

  ImgSpecialProc_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ImgSpecialProc_vbox);
  gtk_container_add (GTK_CONTAINER (ImgSpecialProc_frame), ImgSpecialProc_vbox);

  ImgSpecialProc_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ImgSpecialProc_hbox);
  gtk_box_pack_start (GTK_BOX (ImgSpecialProc_vbox), ImgSpecialProc_hbox, TRUE, TRUE, 0);

  ImgSpecialProc_label = gtk_label_new (_("Image Special Process:"));
  gtk_widget_show (ImgSpecialProc_label);
  gtk_box_pack_start (GTK_BOX (ImgSpecialProc_hbox), ImgSpecialProc_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ImgSpecialProc_label), 0, 0.5);

  ImgSpecialProc_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ImgSpecialProc_combo)->popwin),
                     "GladeParentKey", ImgSpecialProc_combo);
  gtk_widget_show (ImgSpecialProc_combo);
  gtk_box_pack_start (GTK_BOX (ImgSpecialProc_hbox), ImgSpecialProc_combo, FALSE, FALSE, 0);
  ImgSpecialProc_combo_items = g_list_append (ImgSpecialProc_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ImgSpecialProc_combo), ImgSpecialProc_combo_items);
  g_list_free (ImgSpecialProc_combo_items);

  ImgSpecialProc_combo_entry = GTK_COMBO (ImgSpecialProc_combo)->entry;
  gtk_widget_show (ImgSpecialProc_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ImgSpecialProc_combo_entry), FALSE);

  AdvancedSettings_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), AdvancedSettings_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (AdvancedSettings_frame), GTK_SHADOW_NONE);

  vbox82 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox82);
  gtk_container_add (GTK_CONTAINER (AdvancedSettings_frame), vbox82);

  hseparator30 = gtk_hseparator_new ();
  gtk_widget_show (hseparator30);
  gtk_box_pack_start (GTK_BOX (vbox82), hseparator30, TRUE, TRUE, 0);

  label253 = gtk_label_new ("");
  gtk_widget_show (label253);
  gtk_box_pack_start (GTK_BOX (vbox82), label253, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label253), GTK_JUSTIFY_LEFT);

  hbuttonbox27 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox27);
  gtk_box_pack_start (GTK_BOX (vbox82), hbuttonbox27, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox27), GTK_BUTTONBOX_END);

  AdvancedSettings_button = gtk_button_new_with_mnemonic (_("Advanced Settings"));
  gtk_widget_show (AdvancedSettings_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox27), AdvancedSettings_button);
  GTK_WIDGET_SET_FLAGS (AdvancedSettings_button, GTK_CAN_DEFAULT);

  label252 = gtk_label_new ("");
  gtk_widget_show (label252);
  gtk_frame_set_label_widget (GTK_FRAME (AdvancedSettings_frame), label252);
  gtk_label_set_justify (GTK_LABEL (label252), GTK_JUSTIFY_LEFT);

  OHPPrintMode_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox14), OHPPrintMode_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (OHPPrintMode_frame), GTK_SHADOW_NONE);

  OHPPrintMode_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (OHPPrintMode_hbox);
  gtk_container_add (GTK_CONTAINER (OHPPrintMode_frame), OHPPrintMode_hbox);

  OHPPrintMode_label = gtk_label_new (_("Transparencies Printing:"));
  gtk_widget_show (OHPPrintMode_label);
  gtk_box_pack_start (GTK_BOX (OHPPrintMode_hbox), OHPPrintMode_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (OHPPrintMode_label), 7.45058e-09, 0.5);

  OHPPrintMode_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (OHPPrintMode_combo)->popwin),
                     "GladeParentKey", OHPPrintMode_combo);
  gtk_widget_show (OHPPrintMode_combo);
  gtk_box_pack_start (GTK_BOX (OHPPrintMode_hbox), OHPPrintMode_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (OHPPrintMode_combo), 5);
  OHPPrintMode_combo_items = g_list_append (OHPPrintMode_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (OHPPrintMode_combo), OHPPrintMode_combo_items);
  g_list_free (OHPPrintMode_combo_items);

  OHPPrintMode_combo_entry = GTK_COMBO (OHPPrintMode_combo)->entry;
  gtk_widget_show (OHPPrintMode_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (OHPPrintMode_combo_entry), FALSE);

  FinDetails_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox13), FinDetails_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (FinDetails_frame), GTK_SHADOW_NONE);

  vbox56 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox56);
  gtk_container_add (GTK_CONTAINER (FinDetails_frame), vbox56);

  hseparator19 = gtk_hseparator_new ();
  gtk_widget_show (hseparator19);
  gtk_box_pack_start (GTK_BOX (vbox56), hseparator19, FALSE, FALSE, 0);

  label161 = gtk_label_new ("");
  gtk_widget_show (label161);
  gtk_box_pack_start (GTK_BOX (vbox56), label161, TRUE, TRUE, 0);

  hbuttonbox19 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox19);
  gtk_box_pack_start (GTK_BOX (vbox56), hbuttonbox19, FALSE, FALSE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox19), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox19), 30);

  FinDetail_button = gtk_button_new_with_mnemonic (_("Finishing Details"));
  gtk_widget_show (FinDetail_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox19), FinDetail_button);
  GTK_WIDGET_SET_FLAGS (FinDetail_button, GTK_CAN_DEFAULT);

  label8 = gtk_label_new (_("Finishing"));
  gtk_widget_show (label8);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 1), label8);

  vbox39 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox39);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox39);

  PaperSourceSettings_frame = gtk_frame_new (NULL);
  gtk_widget_show (PaperSourceSettings_frame);
  gtk_box_pack_start (GTK_BOX (vbox39), PaperSourceSettings_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperSourceSettings_frame), GTK_SHADOW_NONE);

  vbox17 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox17);
  gtk_container_add (GTK_CONTAINER (PaperSourceSettings_frame), vbox17);

  SelectBy_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox17), SelectBy_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SelectBy_frame), 3);

  table20 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table20);
  gtk_container_add (GTK_CONTAINER (SelectBy_frame), table20);

  label139 = gtk_label_new ("");
  gtk_widget_show (label139);
  gtk_table_attach (GTK_TABLE (table20), label139, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label139), 0, 0.5);

  PaperSource_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Paper Source  "));
  gtk_widget_show (PaperSource_radiobutton);
  gtk_table_attach (GTK_TABLE (table20), PaperSource_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (PaperSource_radiobutton), PaperSource_radiobutton_group);
  PaperSource_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (PaperSource_radiobutton));

  PaperType_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Paper Type"));
  gtk_widget_show (PaperType_radiobutton);
  gtk_table_attach (GTK_TABLE (table20), PaperType_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (PaperType_radiobutton), PaperSource_radiobutton_group);
  PaperSource_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (PaperType_radiobutton));

  label163 = gtk_label_new (_("Select by"));
  gtk_widget_show (label163);
  gtk_frame_set_label_widget (GTK_FRAME (SelectBy_frame), label163);
  gtk_label_set_justify (GTK_LABEL (label163), GTK_JUSTIFY_LEFT);

  PaperSource_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox17), PaperSource_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperSource_frame), GTK_SHADOW_NONE);

  hbox38 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox38);
  gtk_container_add (GTK_CONTAINER (PaperSource_frame), hbox38);

  PaperSourceLabel = gtk_label_new (_("Paper Source:"));
  gtk_widget_show (PaperSourceLabel);
  gtk_box_pack_start (GTK_BOX (hbox38), PaperSourceLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PaperSourceLabel), 7.45058e-09, 0.5);

  PaperSource_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (PaperSource_combo)->popwin),
                     "GladeParentKey", PaperSource_combo);
  gtk_widget_show (PaperSource_combo);
  gtk_box_pack_start (GTK_BOX (hbox38), PaperSource_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PaperSource_combo), 5);
  PaperSource_combo_items = g_list_append (PaperSource_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (PaperSource_combo), PaperSource_combo_items);
  g_list_free (PaperSource_combo_items);

  PaperSource_combo_entry = GTK_COMBO (PaperSource_combo)->entry;
  gtk_widget_show (PaperSource_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (PaperSource_combo_entry), FALSE);

  PaperType_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox17), PaperType_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PaperType_frame), GTK_SHADOW_NONE);

  hbox37 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox37);
  gtk_container_add (GTK_CONTAINER (PaperType_frame), hbox37);

  PaperTypeLabel = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PaperTypeLabel);
  gtk_box_pack_start (GTK_BOX (hbox37), PaperTypeLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PaperTypeLabel), 7.45058e-09, 0.5);

  PaperType_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (PaperType_combo)->popwin),
                     "GladeParentKey", PaperType_combo);
  gtk_widget_show (PaperType_combo);
  gtk_box_pack_start (GTK_BOX (hbox37), PaperType_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PaperType_combo), 5);
  PaperType_combo_items = g_list_append (PaperType_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (PaperType_combo), PaperType_combo_items);
  g_list_free (PaperType_combo_items);

  PaperType_combo_entry = GTK_COMBO (PaperType_combo)->entry;
  gtk_widget_show (PaperType_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (PaperType_combo_entry), FALSE);

  Interleaf_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox17), Interleaf_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (Interleaf_frame), GTK_SHADOW_NONE);

  Interleaf_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (Interleaf_vbox);
  gtk_container_add (GTK_CONTAINER (Interleaf_frame), Interleaf_vbox);

  Interleaf_top_hseparator = gtk_hseparator_new ();
  gtk_widget_show (Interleaf_top_hseparator);
  gtk_box_pack_start (GTK_BOX (Interleaf_vbox), Interleaf_top_hseparator, TRUE, TRUE, 0);

  Interleaf_hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (Interleaf_hbox1);
  gtk_box_pack_start (GTK_BOX (Interleaf_vbox), Interleaf_hbox1, TRUE, TRUE, 0);

  Interleaf_checkbutton = gtk_check_button_new_with_mnemonic (_("Insert Interleaf Sheets"));
  gtk_widget_show (Interleaf_checkbutton);
  gtk_box_pack_start (GTK_BOX (Interleaf_hbox1), Interleaf_checkbutton, TRUE, TRUE, 0);

  InterleafMediaType_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (InterleafMediaType_combo)->popwin),
                     "GladeParentKey", InterleafMediaType_combo);
  gtk_widget_show (InterleafMediaType_combo);
  gtk_box_pack_start (GTK_BOX (Interleaf_hbox1), InterleafMediaType_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (InterleafMediaType_combo), 5);
  InterleafMediaType_combo_items = g_list_append (InterleafMediaType_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (InterleafMediaType_combo), InterleafMediaType_combo_items);
  g_list_free (InterleafMediaType_combo_items);

  InterleafMediaType_combo_entry = GTK_COMBO (InterleafMediaType_combo)->entry;
  gtk_widget_show (InterleafMediaType_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (InterleafMediaType_combo_entry), FALSE);

  Interlaf_hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (Interlaf_hbox2);
  gtk_box_pack_start (GTK_BOX (Interleaf_vbox), Interlaf_hbox2, TRUE, TRUE, 0);

  InterleafDummy_label = gtk_label_new ("");
  gtk_widget_show (InterleafDummy_label);
  gtk_box_pack_start (GTK_BOX (Interlaf_hbox2), InterleafDummy_label, TRUE, FALSE, 0);

  PrintInterleaf_checkbutton = gtk_check_button_new_with_mnemonic (_("Print on Interleaf Sheets"));
  gtk_widget_show (PrintInterleaf_checkbutton);
  gtk_box_pack_start (GTK_BOX (Interlaf_hbox2), PrintInterleaf_checkbutton, TRUE, TRUE, 0);

  Interleaf_btm_hseparator = gtk_hseparator_new ();
  gtk_widget_show (Interleaf_btm_hseparator);
  gtk_box_pack_start (GTK_BOX (Interleaf_vbox), Interleaf_btm_hseparator, TRUE, TRUE, 0);

  Inserter_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Document Insertion Unit to Attach Cover"));
  gtk_box_pack_start (GTK_BOX (vbox17), Inserter_checkbutton, TRUE, TRUE, 0);

  FrontBackCoverSettings_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox17), FrontBackCoverSettings_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (FrontBackCoverSettings_frame), GTK_SHADOW_NONE);

  vbox69 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox69);
  gtk_container_add (GTK_CONTAINER (FrontBackCoverSettings_frame), vbox69);

  hbuttonbox24 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox24);
  gtk_box_pack_start (GTK_BOX (vbox69), hbuttonbox24, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox24), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox24), 30);

  FrontBackCvrSet_button = gtk_button_new_with_mnemonic (_("Front/Back Cover Settings..."));
  gtk_widget_show (FrontBackCvrSet_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox24), FrontBackCvrSet_button);
  GTK_WIDGET_SET_FLAGS (FrontBackCvrSet_button, GTK_CAN_DEFAULT);

  label9 = gtk_label_new (_("Paper Source"));
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 2), label9);

  vbox43 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox43);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox43);

  frame20 = gtk_frame_new (NULL);
  gtk_widget_show (frame20);
  gtk_box_pack_start (GTK_BOX (vbox43), frame20, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame20), GTK_SHADOW_NONE);

  vbox19 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox19);
  gtk_container_add (GTK_CONTAINER (frame20), vbox19);

  vbox40 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox40);
  gtk_box_pack_start (GTK_BOX (vbox19), vbox40, FALSE, FALSE, 0);

  QualityReso_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox40), QualityReso_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityReso_frame), 3);
  gtk_frame_set_shadow_type (GTK_FRAME (QualityReso_frame), GTK_SHADOW_NONE);

  hbox40 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox40);
  gtk_container_add (GTK_CONTAINER (QualityReso_frame), hbox40);

  ResolutionLabel = gtk_label_new (_("Resolution:"));
  gtk_widget_show (ResolutionLabel);
  gtk_box_pack_start (GTK_BOX (hbox40), ResolutionLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ResolutionLabel), 0.07, 0.5);

  QualityReso_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityReso_combo)->popwin),
                     "GladeParentKey", QualityReso_combo);
  gtk_widget_show (QualityReso_combo);
  gtk_box_pack_start (GTK_BOX (hbox40), QualityReso_combo, FALSE, FALSE, 0);
  QualityReso_combo_items = g_list_append (QualityReso_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityReso_combo), QualityReso_combo_items);
  g_list_free (QualityReso_combo_items);

  QualityReso_combo_entry = GTK_COMBO (QualityReso_combo)->entry;
  gtk_widget_show (QualityReso_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityReso_combo_entry), FALSE);

  ColorMode_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox40), ColorMode_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (ColorMode_frame), GTK_SHADOW_NONE);

  hbox20 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox20);
  gtk_container_add (GTK_CONTAINER (ColorMode_frame), hbox20);

  label68 = gtk_label_new (_("Color Mode:"));
  gtk_widget_show (label68);
  gtk_box_pack_start (GTK_BOX (hbox20), label68, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label68), 0.07, 0.5);

  ColorMode_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ColorMode_combo)->popwin),
                     "GladeParentKey", ColorMode_combo);
  gtk_widget_show (ColorMode_combo);
  gtk_box_pack_start (GTK_BOX (hbox20), ColorMode_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ColorMode_combo), 3);
  ColorMode_combo_items = g_list_append (ColorMode_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ColorMode_combo), ColorMode_combo_items);
  g_list_free (ColorMode_combo_items);

  ColorMode_Combo_entry = GTK_COMBO (ColorMode_combo)->entry;
  gtk_widget_show (ColorMode_Combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ColorMode_Combo_entry), FALSE);

  ColorHalftone_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox40), ColorHalftone_hbox, TRUE, TRUE, 0);

  label164 = gtk_label_new (_("Color Halftones:"));
  gtk_widget_show (label164);
  gtk_box_pack_start (GTK_BOX (ColorHalftone_hbox), label164, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label164), 0.07, 0.5);

  QualityClrHalftone_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityClrHalftone_combo)->popwin),
                     "GladeParentKey", QualityClrHalftone_combo);
  gtk_widget_show (QualityClrHalftone_combo);
  gtk_box_pack_start (GTK_BOX (ColorHalftone_hbox), QualityClrHalftone_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityClrHalftone_combo), 5);
  QualityClrHalftone_combo_items = g_list_append (QualityClrHalftone_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityClrHalftone_combo), QualityClrHalftone_combo_items);
  g_list_free (QualityClrHalftone_combo_items);

  QualityClrHalftone_combo_entry = GTK_COMBO (QualityClrHalftone_combo)->entry;
  gtk_widget_show (QualityClrHalftone_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityClrHalftone_combo_entry), FALSE);

  Halftone_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox40), Halftone_hbox, TRUE, TRUE, 0);

  label103 = gtk_label_new (_(" B & W Halftones:"));
  gtk_widget_show (label103);
  gtk_box_pack_start (GTK_BOX (Halftone_hbox), label103, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label103), 0.07, 0.5);

  QualityHalftone_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityHalftone_combo)->popwin),
                     "GladeParentKey", QualityHalftone_combo);
  gtk_widget_show (QualityHalftone_combo);
  gtk_box_pack_start (GTK_BOX (Halftone_hbox), QualityHalftone_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityHalftone_combo), 5);
  QualityHalftone_combo_items = g_list_append (QualityHalftone_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityHalftone_combo), QualityHalftone_combo_items);
  g_list_free (QualityHalftone_combo_items);

  QualityHalftone_combo_entry = GTK_COMBO (QualityHalftone_combo)->entry;
  gtk_widget_show (QualityHalftone_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityHalftone_combo_entry), FALSE);

  TonerSave_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), TonerSave_hbox, TRUE, TRUE, 0);

  label100 = gtk_label_new (_("Toner Save:"));
  gtk_widget_show (label100);
  gtk_box_pack_start (GTK_BOX (TonerSave_hbox), label100, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label100), 0.07, 0.5);

  QualityTonerSave_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityTonerSave_combo)->popwin),
                     "GladeParentKey", QualityTonerSave_combo);
  gtk_widget_show (QualityTonerSave_combo);
  gtk_box_pack_start (GTK_BOX (TonerSave_hbox), QualityTonerSave_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityTonerSave_combo), 5);
  QualityTonerSave_combo_items = g_list_append (QualityTonerSave_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityTonerSave_combo), QualityTonerSave_combo_items);
  g_list_free (QualityTonerSave_combo_items);

  QualityTonerSave_combo_entry = GTK_COMBO (QualityTonerSave_combo)->entry;
  gtk_widget_show (QualityTonerSave_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityTonerSave_combo_entry), FALSE);

  DraftMode_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), DraftMode_hbox, TRUE, TRUE, 0);

  QualityDraftMode_label = gtk_label_new (_("Draft Mode:"));
  gtk_widget_show (QualityDraftMode_label);
  gtk_box_pack_start (GTK_BOX (DraftMode_hbox), QualityDraftMode_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (QualityDraftMode_label), 0.07, 0.5);

  QualityDraftMode_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityDraftMode_combo)->popwin),
                     "GladeParentKey", QualityDraftMode_combo);
  gtk_widget_show (QualityDraftMode_combo);
  gtk_box_pack_start (GTK_BOX (DraftMode_hbox), QualityDraftMode_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityDraftMode_combo), 5);
  QualityDraftMode_combo_items = g_list_append (QualityDraftMode_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityDraftMode_combo), QualityDraftMode_combo_items);
  g_list_free (QualityDraftMode_combo_items);

  QualityDraftMode_combo_entry = GTK_COMBO (QualityDraftMode_combo)->entry;
  gtk_widget_show (QualityDraftMode_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityDraftMode_combo_entry), FALSE);

  QualityGrayComp_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox19), QualityGrayComp_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (QualityGrayComp_frame), GTK_SHADOW_NONE);

  hbox54 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox54);
  gtk_container_add (GTK_CONTAINER (QualityGrayComp_frame), hbox54);

  GrayCompensationLabel = gtk_label_new (_("Gray Compensation:"));
  gtk_widget_show (GrayCompensationLabel);
  gtk_box_pack_start (GTK_BOX (hbox54), GrayCompensationLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (GrayCompensationLabel), 0.07, 0.5);

  QualityGrayComp_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityGrayComp_combo)->popwin),
                     "GladeParentKey", QualityGrayComp_combo);
  gtk_widget_show (QualityGrayComp_combo);
  gtk_box_pack_start (GTK_BOX (hbox54), QualityGrayComp_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityGrayComp_combo), 3);
  QualityGrayComp_combo_items = g_list_append (QualityGrayComp_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityGrayComp_combo), QualityGrayComp_combo_items);
  g_list_free (QualityGrayComp_combo_items);

  QualityGrayComp_combo_entry = GTK_COMBO (QualityGrayComp_combo)->entry;
  gtk_widget_show (QualityGrayComp_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityGrayComp_combo_entry), FALSE);

  TonerVolumeAdjustment_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox19), TonerVolumeAdjustment_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (TonerVolumeAdjustment_frame), GTK_SHADOW_NONE);

  TonerVolumeAdjustment_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (TonerVolumeAdjustment_hbox);
  gtk_container_add (GTK_CONTAINER (TonerVolumeAdjustment_frame), TonerVolumeAdjustment_hbox);

  TonerVolumeAdjustment_label = gtk_label_new (_("Toner Volume Adjustment:"));
  gtk_widget_show (TonerVolumeAdjustment_label);
  gtk_box_pack_start (GTK_BOX (TonerVolumeAdjustment_hbox), TonerVolumeAdjustment_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (TonerVolumeAdjustment_label), 0.07, 0.5);

  TonerVolumeAdjustment_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (TonerVolumeAdjustment_combo)->popwin),
                     "GladeParentKey", TonerVolumeAdjustment_combo);
  gtk_widget_show (TonerVolumeAdjustment_combo);
  gtk_box_pack_start (GTK_BOX (TonerVolumeAdjustment_hbox), TonerVolumeAdjustment_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (TonerVolumeAdjustment_combo), 3);

  TonerVolumeAdjustment_combo_entry = GTK_COMBO (TonerVolumeAdjustment_combo)->entry;
  gtk_widget_show (TonerVolumeAdjustment_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (TonerVolumeAdjustment_combo_entry), FALSE);

  LineControl_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox19), LineControl_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (LineControl_frame), GTK_SHADOW_NONE);

  LineControl_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (LineControl_hbox);
  gtk_container_add (GTK_CONTAINER (LineControl_frame), LineControl_hbox);

  LineControl_label = gtk_label_new (_("Line Control:"));
  gtk_widget_show (LineControl_label);
  gtk_box_pack_start (GTK_BOX (LineControl_hbox), LineControl_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (LineControl_label), 0.07, 0.5);

  LineControl_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (LineControl_combo)->popwin),
                     "GladeParentKey", LineControl_combo);
  gtk_widget_show (LineControl_combo);
  gtk_box_pack_start (GTK_BOX (LineControl_hbox), LineControl_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (LineControl_combo), 3);

  LineControl_combo_entry = GTK_COMBO (LineControl_combo)->entry;
  gtk_widget_show (LineControl_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (LineControl_combo_entry), FALSE);

  vbox61 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox61);
  gtk_box_pack_start (GTK_BOX (vbox19), vbox61, TRUE, TRUE, 0);

  QualityGradeSmooth_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox61), QualityGradeSmooth_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (QualityGradeSmooth_frame), GTK_SHADOW_NONE);

  hbox77 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox77);
  gtk_container_add (GTK_CONTAINER (QualityGradeSmooth_frame), hbox77);

  label168 = gtk_label_new (_("Gradation Smoothing:"));
  gtk_widget_show (label168);
  gtk_box_pack_start (GTK_BOX (hbox77), label168, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label168), 0.07, 0.5);

  QualityGradeSmooth_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityGradeSmooth_combo)->popwin),
                     "GladeParentKey", QualityGradeSmooth_combo);
  gtk_widget_show (QualityGradeSmooth_combo);
  gtk_box_pack_start (GTK_BOX (hbox77), QualityGradeSmooth_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityGradeSmooth_combo), 3);
  QualityGradeSmooth_combo_items = g_list_append (QualityGradeSmooth_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityGradeSmooth_combo), QualityGradeSmooth_combo_items);
  g_list_free (QualityGradeSmooth_combo_items);

  QualityGradeSmooth_combo_entry = GTK_COMBO (QualityGradeSmooth_combo)->entry;
  gtk_widget_show (QualityGradeSmooth_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityGradeSmooth_combo_entry), FALSE);

  QualityImgRefine_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox61), QualityImgRefine_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (QualityImgRefine_frame), GTK_SHADOW_NONE);

  hbox78 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox78);
  gtk_container_add (GTK_CONTAINER (QualityImgRefine_frame), hbox78);

  label169 = gtk_label_new (_("Image Refinement:"));
  gtk_widget_show (label169);
  gtk_box_pack_start (GTK_BOX (hbox78), label169, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label169), 0.07, 0.5);

  QualityImgRefine_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityImgRefine_combo)->popwin),
                     "GladeParentKey", QualityImgRefine_combo);
  gtk_widget_show (QualityImgRefine_combo);
  gtk_box_pack_start (GTK_BOX (hbox78), QualityImgRefine_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityImgRefine_combo), 3);
  QualityImgRefine_combo_items = g_list_append (QualityImgRefine_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityImgRefine_combo), QualityImgRefine_combo_items);
  g_list_free (QualityImgRefine_combo_items);

  QualityImgRefine_combo_entry = GTK_COMBO (QualityImgRefine_combo)->entry;
  gtk_widget_show (QualityImgRefine_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityImgRefine_combo_entry), FALSE);

  QualityLineRefine_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox61), QualityLineRefine_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (QualityLineRefine_frame), GTK_SHADOW_NONE);

  hbox79 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox79);
  gtk_container_add (GTK_CONTAINER (QualityLineRefine_frame), hbox79);

  label170 = gtk_label_new (_("Line Refinement:"));
  gtk_widget_show (label170);
  gtk_box_pack_start (GTK_BOX (hbox79), label170, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label170), 0.07, 0.5);

  QualityLineRefine_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityLineRefine_combo)->popwin),
                     "GladeParentKey", QualityLineRefine_combo);
  gtk_widget_show (QualityLineRefine_combo);
  gtk_box_pack_start (GTK_BOX (hbox79), QualityLineRefine_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityLineRefine_combo), 3);
  QualityLineRefine_combo_items = g_list_append (QualityLineRefine_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityLineRefine_combo), QualityLineRefine_combo_items);
  g_list_free (QualityLineRefine_combo_items);

  QualityLineRefine_combo_entry = GTK_COMBO (QualityLineRefine_combo)->entry;
  gtk_widget_show (QualityLineRefine_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityLineRefine_combo_entry), FALSE);

  ImageCompression_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox61), ImageCompression_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (ImageCompression_frame), GTK_SHADOW_NONE);

  hbox83 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox83);
  gtk_container_add (GTK_CONTAINER (ImageCompression_frame), hbox83);

  label214 = gtk_label_new (_("Image Compression:"));
  gtk_widget_show (label214);
  gtk_box_pack_start (GTK_BOX (hbox83), label214, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label214), 0.07, 0.5);

  ImageCompression_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ImageCompression_combo)->popwin),
                     "GladeParentKey", ImageCompression_combo);
  gtk_widget_show (ImageCompression_combo);
  gtk_box_pack_start (GTK_BOX (hbox83), ImageCompression_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ImageCompression_combo), 3);
  ImageCompression_combo_items = g_list_append (ImageCompression_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ImageCompression_combo), ImageCompression_combo_items);
  g_list_free (ImageCompression_combo_items);

  ImageCompression_combo_entry = GTK_COMBO (ImageCompression_combo)->entry;
  gtk_widget_show (ImageCompression_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ImageCompression_combo_entry), FALSE);

  SpotColorMatching_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), SpotColorMatching_hbox, TRUE, TRUE, 0);

  SpotColorMatching_label = gtk_label_new (_("Spot Color Matching:"));
  gtk_widget_show (SpotColorMatching_label);
  gtk_box_pack_start (GTK_BOX (SpotColorMatching_hbox), SpotColorMatching_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SpotColorMatching_label), 0.07, 0.5);

  SpotColorMatching_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (SpotColorMatching_combo)->popwin),
                     "GladeParentKey", SpotColorMatching_combo);
  gtk_widget_show (SpotColorMatching_combo);
  gtk_box_pack_start (GTK_BOX (SpotColorMatching_hbox), SpotColorMatching_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SpotColorMatching_combo), 5);
  SpotColorMatching_combo_items = g_list_append (SpotColorMatching_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (SpotColorMatching_combo), SpotColorMatching_combo_items);
  g_list_free (SpotColorMatching_combo_items);

  SpotColorMatching_combo_entry = GTK_COMBO (SpotColorMatching_combo)->entry;
  gtk_widget_show (SpotColorMatching_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (SpotColorMatching_combo_entry), FALSE);

  AdvancedSmooth_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), AdvancedSmooth_hbox, TRUE, TRUE, 0);

  AdvancedSmooth_label = gtk_label_new (_("Advanced Smoothing:"));
  gtk_widget_show (AdvancedSmooth_label);
  gtk_box_pack_start (GTK_BOX (AdvancedSmooth_hbox), AdvancedSmooth_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (AdvancedSmooth_label), 0.07, 0.5);

  AdvancedSmooth_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (AdvancedSmooth_combo)->popwin),
                     "GladeParentKey", AdvancedSmooth_combo);
  gtk_widget_show (AdvancedSmooth_combo);
  gtk_box_pack_start (GTK_BOX (AdvancedSmooth_hbox), AdvancedSmooth_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (AdvancedSmooth_combo), 5);
  AdvancedSmooth_combo_items = g_list_append (AdvancedSmooth_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (AdvancedSmooth_combo), AdvancedSmooth_combo_items);
  g_list_free (AdvancedSmooth_combo_items);

  AdvancedSmooth_combo_entry = GTK_COMBO (AdvancedSmooth_combo)->entry;
  gtk_widget_show (AdvancedSmooth_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (AdvancedSmooth_combo_entry), FALSE);

  QualityProfileSettings_vbox = gtk_vbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), QualityProfileSettings_vbox, TRUE, TRUE, 0);

  QualityProfileSettingDummy_label = gtk_label_new ("");
  gtk_widget_show (QualityProfileSettingDummy_label);
  gtk_box_pack_start (GTK_BOX (QualityProfileSettings_vbox), QualityProfileSettingDummy_label, FALSE, TRUE, 0);

  hbuttonbox22 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox22);
  gtk_box_pack_start (GTK_BOX (QualityProfileSettings_vbox), hbuttonbox22, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox22), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox22), 30);

  ProfileSettings_button = gtk_button_new_with_mnemonic (_("Profile Settings..."));
  gtk_widget_show (ProfileSettings_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox22), ProfileSettings_button);
  GTK_WIDGET_SET_FLAGS (ProfileSettings_button, GTK_CAN_DEFAULT);

  QualityCAPT_vbox = gtk_vbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), QualityCAPT_vbox, TRUE, TRUE, 0);

  hseparator15 = gtk_hseparator_new ();
  gtk_widget_show (hseparator15);
  gtk_box_pack_start (GTK_BOX (QualityCAPT_vbox), hseparator15, FALSE, FALSE, 0);

  MonoDensity5_table = gtk_table_new (2, 8, FALSE);
  gtk_box_pack_start (GTK_BOX (QualityCAPT_vbox), MonoDensity5_table, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (MonoDensity5_table), 5);

  label154 = gtk_label_new (_("Light"));
  gtk_widget_show (label154);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), label154, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  Capt21TonerDensity1_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (Capt21TonerDensity1_radiobutton);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), Capt21TonerDensity1_radiobutton, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (Capt21TonerDensity1_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Capt21TonerDensity1_radiobutton), Capt21TonerDensity1_radiobutton_group);
  Capt21TonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Capt21TonerDensity1_radiobutton));

  Capt21TonerDensity2_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (Capt21TonerDensity2_radiobutton);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), Capt21TonerDensity2_radiobutton, 3, 4, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (Capt21TonerDensity2_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Capt21TonerDensity2_radiobutton), Capt21TonerDensity1_radiobutton_group);
  Capt21TonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Capt21TonerDensity2_radiobutton));

  Capt21TonerDensity3_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (Capt21TonerDensity3_radiobutton);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), Capt21TonerDensity3_radiobutton, 4, 5, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (Capt21TonerDensity3_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Capt21TonerDensity3_radiobutton), Capt21TonerDensity1_radiobutton_group);
  Capt21TonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Capt21TonerDensity3_radiobutton));
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (Capt21TonerDensity3_radiobutton), TRUE);

  Capt21TonerDensity4_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (Capt21TonerDensity4_radiobutton);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), Capt21TonerDensity4_radiobutton, 5, 6, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (Capt21TonerDensity4_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Capt21TonerDensity4_radiobutton), Capt21TonerDensity1_radiobutton_group);
  Capt21TonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Capt21TonerDensity4_radiobutton));

  Capt21TonerDensity5_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (Capt21TonerDensity5_radiobutton);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), Capt21TonerDensity5_radiobutton, 6, 7, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (Capt21TonerDensity5_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Capt21TonerDensity5_radiobutton), Capt21TonerDensity1_radiobutton_group);
  Capt21TonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Capt21TonerDensity5_radiobutton));

  label155 = gtk_label_new (_("Dark"));
  gtk_widget_show (label155);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), label155, 7, 8, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label153 = gtk_label_new (_("Toner Density:"));
  gtk_widget_show (label153);
  gtk_table_attach (GTK_TABLE (MonoDensity5_table), label153, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label153), 0.02, 0.5);

  TonerDensity16_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (QualityCAPT_vbox), TonerDensity16_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (TonerDensity16_frame), GTK_SHADOW_NONE);

  vbox59 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox59);
  gtk_container_add (GTK_CONTAINER (TonerDensity16_frame), vbox59);

  label166 = gtk_label_new (_("Toner Density"));
  gtk_widget_show (label166);
  gtk_box_pack_start (GTK_BOX (vbox59), label166, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (label166), 7.45058e-09, 0.5);

  table22 = gtk_table_new (8, 4, FALSE);
  gtk_widget_show (table22);
  gtk_box_pack_start (GTK_BOX (vbox59), table22, FALSE, TRUE, 0);

  Black_label1 = gtk_label_new (_("Black:"));
  gtk_widget_show (Black_label1);
  gtk_table_attach (GTK_TABLE (table22), Black_label1, 0, 1, 7, 8,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (Black_label1), 2.23517e-08, 0.5);
  gtk_misc_set_padding (GTK_MISC (Black_label1), 10, 0);

  Black_label2 = gtk_label_new (_("Light"));
  gtk_widget_show (Black_label2);
  gtk_table_attach (GTK_TABLE (table22), Black_label2, 1, 2, 7, 8,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Black_label2), 5, 0);

  Black_label3 = gtk_label_new (_("Dark"));
  gtk_widget_show (Black_label3);
  gtk_table_attach (GTK_TABLE (table22), Black_label3, 3, 4, 7, 8,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Black_label3), 5, 0);

  Yellow_label1 = gtk_label_new (_("Yellow:"));
  gtk_table_attach (GTK_TABLE (table22), Yellow_label1, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (Yellow_label1), 2.23517e-08, 0.5);
  gtk_misc_set_padding (GTK_MISC (Yellow_label1), 10, 0);

  Yellow_label2 = gtk_label_new (_("Light"));
  gtk_table_attach (GTK_TABLE (table22), Yellow_label2, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Yellow_label2), 5, 0);

  Yellow_label3 = gtk_label_new (_("Dark"));
  gtk_table_attach (GTK_TABLE (table22), Yellow_label3, 3, 4, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Yellow_label3), 5, 0);

  Magenta_label1 = gtk_label_new (_("Magenta:"));
  gtk_table_attach (GTK_TABLE (table22), Magenta_label1, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (Magenta_label1), 2.23517e-08, 0.5);
  gtk_misc_set_padding (GTK_MISC (Magenta_label1), 10, 0);

  Magenta_label2 = gtk_label_new (_("Light"));
  gtk_table_attach (GTK_TABLE (table22), Magenta_label2, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Magenta_label2), 5, 0);

  Magenta_label3 = gtk_label_new (_("Dark"));
  gtk_table_attach (GTK_TABLE (table22), Magenta_label3, 3, 4, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Magenta_label3), 5, 0);

  Cyan_label1 = gtk_label_new (_("Cyan:"));
  gtk_table_attach (GTK_TABLE (table22), Cyan_label1, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (Cyan_label1), 2.23517e-08, 0.5);
  gtk_misc_set_padding (GTK_MISC (Cyan_label1), 10, 0);

  Cyan_label2 = gtk_label_new (_("Light"));
  gtk_table_attach (GTK_TABLE (table22), Cyan_label2, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Cyan_label2), 5, 0);

  Cyan_label3 = gtk_label_new (_("Dark"));
  gtk_table_attach (GTK_TABLE (table22), Cyan_label3, 3, 4, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_padding (GTK_MISC (Cyan_label3), 5, 0);

  Cyan_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (9, 1, 16, 1, 1, 0)));
  gtk_table_attach (GTK_TABLE (table22), Cyan_hscale, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scale_set_draw_value (GTK_SCALE (Cyan_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Cyan_hscale), 0);

  Magenta_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (9, 1, 16, 1, 1, 0)));
  gtk_table_attach (GTK_TABLE (table22), Magenta_hscale, 2, 3, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scale_set_draw_value (GTK_SCALE (Magenta_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Magenta_hscale), 0);

  Yellow_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (9, 1, 16, 1, 1, 0)));
  gtk_table_attach (GTK_TABLE (table22), Yellow_hscale, 2, 3, 5, 6,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scale_set_draw_value (GTK_SCALE (Yellow_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Yellow_hscale), 0);

  Black_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (9, 1, 16, 1, 1, 0)));
  gtk_widget_show (Black_hscale);
  gtk_table_attach (GTK_TABLE (table22), Black_hscale, 2, 3, 7, 8,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scale_set_draw_value (GTK_SCALE (Black_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Black_hscale), 0);

  Cyan_drawingarea = gtk_drawing_area_new ();
  gtk_table_attach (GTK_TABLE (table22), Cyan_drawingarea, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_widget_set_size_request (Cyan_drawingarea, -1, 14);

  Magenta_drawingarea = gtk_drawing_area_new ();
  gtk_table_attach (GTK_TABLE (table22), Magenta_drawingarea, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_widget_set_size_request (Magenta_drawingarea, -1, 14);

  Yellow_drawingarea = gtk_drawing_area_new ();
  gtk_table_attach (GTK_TABLE (table22), Yellow_drawingarea, 2, 3, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_widget_set_size_request (Yellow_drawingarea, -1, 14);

  Black_drawingarea = gtk_drawing_area_new ();
  gtk_widget_show (Black_drawingarea);
  gtk_table_attach (GTK_TABLE (table22), Black_drawingarea, 2, 3, 6, 7,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_widget_set_size_request (Black_drawingarea, -1, 14);

  Capt21TonerSave_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Toner Save"));
  gtk_box_pack_start (GTK_BOX (QualityCAPT_vbox), Capt21TonerSave_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Capt21TonerSave_checkbutton), 5);

  KeepGray_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (QualityCAPT_vbox), KeepGray_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (KeepGray_frame), GTK_SHADOW_NONE);

  vbox58 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox58);
  gtk_container_add (GTK_CONTAINER (KeepGray_frame), vbox58);

  hseparator22 = gtk_hseparator_new ();
  gtk_widget_show (hseparator22);
  gtk_box_pack_start (GTK_BOX (vbox58), hseparator22, TRUE, TRUE, 0);

  hbox76 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox76);
  gtk_box_pack_start (GTK_BOX (vbox58), hbox76, TRUE, TRUE, 0);

  label165 = gtk_label_new (_("Use Pure Black"));
  gtk_widget_show (label165);
  gtk_box_pack_start (GTK_BOX (hbox76), label165, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label165), 0.07, 0.5);

  QualityKeepGray_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualityKeepGray_combo)->popwin),
                     "GladeParentKey", QualityKeepGray_combo);
  gtk_widget_show (QualityKeepGray_combo);
  gtk_box_pack_start (GTK_BOX (hbox76), QualityKeepGray_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualityKeepGray_combo), 3);
  QualityKeepGray_combo_items = g_list_append (QualityKeepGray_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualityKeepGray_combo), QualityKeepGray_combo_items);
  g_list_free (QualityKeepGray_combo_items);

  QualityKeepGray_combo_entry = GTK_COMBO (QualityKeepGray_combo)->entry;
  gtk_widget_show (QualityKeepGray_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualityKeepGray_combo_entry), FALSE);

  SmallSizeCurl_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox19), SmallSizeCurl_hbox, TRUE, TRUE, 0);

  QualitySmallSizeCurl_label = gtk_label_new (_("Small-size Curl Adjustment:"));
  gtk_widget_show (QualitySmallSizeCurl_label);
  gtk_box_pack_start (GTK_BOX (SmallSizeCurl_hbox), QualitySmallSizeCurl_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (QualitySmallSizeCurl_label), 0.07, 0.5);

  QualitySmallSizeCurl_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (QualitySmallSizeCurl_combo)->popwin),
                     "GladeParentKey", QualitySmallSizeCurl_combo);
  gtk_widget_show (QualitySmallSizeCurl_combo);
  gtk_box_pack_start (GTK_BOX (SmallSizeCurl_hbox), QualitySmallSizeCurl_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (QualitySmallSizeCurl_combo), 3);
  QualitySmallSizeCurl_combo_items = g_list_append (QualitySmallSizeCurl_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (QualitySmallSizeCurl_combo), QualitySmallSizeCurl_combo_items);
  g_list_free (QualitySmallSizeCurl_combo_items);

  QualitySmallSizeCurl_combo_entry = GTK_COMBO (QualitySmallSizeCurl_combo)->entry;
  gtk_widget_show (QualitySmallSizeCurl_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (QualitySmallSizeCurl_combo_entry), FALSE);

  Sharpness_table = gtk_table_new (2, 5, FALSE);
  gtk_box_pack_start (GTK_BOX (vbox19), Sharpness_table, TRUE, TRUE, 0);

  Sharpness_checkbutton = gtk_check_button_new_with_mnemonic (_("Sharpness:"));
  gtk_widget_show (Sharpness_checkbutton);
  gtk_table_attach (GTK_TABLE (Sharpness_table), Sharpness_checkbutton, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Sharpness_checkbutton), 5);

  Sharpness_drawingarea = gtk_drawing_area_new ();
  gtk_widget_show (Sharpness_drawingarea);
  gtk_table_attach (GTK_TABLE (Sharpness_table), Sharpness_drawingarea, 3, 4, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_widget_set_size_request (Sharpness_drawingarea, -1, 14);

  label241 = gtk_label_new (_("High"));
  gtk_widget_show (label241);
  gtk_table_attach (GTK_TABLE (Sharpness_table), label241, 4, 5, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label241), GTK_JUSTIFY_LEFT);
  gtk_misc_set_padding (GTK_MISC (label241), 5, 0);

  label240 = gtk_label_new (_("Low"));
  gtk_widget_show (label240);
  gtk_table_attach (GTK_TABLE (Sharpness_table), label240, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label240), GTK_JUSTIFY_LEFT);
  gtk_misc_set_padding (GTK_MISC (label240), 5, 0);

  Sharpness_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (0, -3, 3, 1, 1, 0)));
  gtk_widget_show (Sharpness_hscale);
  gtk_table_attach (GTK_TABLE (Sharpness_table), Sharpness_hscale, 3, 4, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scale_set_draw_value (GTK_SCALE (Sharpness_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Sharpness_hscale), 0);

  Sharpness_label = gtk_label_new (_("0"));
  gtk_widget_show (Sharpness_label);
  gtk_table_attach (GTK_TABLE (Sharpness_table), Sharpness_label, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (Sharpness_label, 25, -1);
  gtk_label_set_justify (GTK_LABEL (Sharpness_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (Sharpness_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (Sharpness_label), 5, 0);

  label10 = gtk_label_new (_("Quality"));
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 3), label10);

  vbox42 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox42);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox42);

  OutputMethod_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox42), OutputMethod_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (OutputMethod_frame), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (OutputMethod_frame), GTK_SHADOW_NONE);

  vbox20 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox20);
  gtk_container_add (GTK_CONTAINER (OutputMethod_frame), vbox20);

  hbox25 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox25);
  gtk_box_pack_start (GTK_BOX (vbox20), hbox25, TRUE, TRUE, 0);

  label72 = gtk_label_new (_("Output Method:"));
  gtk_widget_show (label72);
  gtk_box_pack_start (GTK_BOX (hbox25), label72, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label72), 7.45058e-09, 0.5);

  OutputMethod_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (OutputMethod_combo)->popwin),
                     "GladeParentKey", OutputMethod_combo);
  gtk_widget_show (OutputMethod_combo);
  gtk_box_pack_start (GTK_BOX (hbox25), OutputMethod_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (OutputMethod_combo), 5);
  OutputMethod_combo_items = g_list_append (OutputMethod_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (OutputMethod_combo), OutputMethod_combo_items);
  g_list_free (OutputMethod_combo_items);

  OutputMethod_combo_entry = GTK_COMBO (OutputMethod_combo)->entry;
  gtk_widget_show (OutputMethod_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (OutputMethod_combo_entry), FALSE);

  OutputMethod_button = gtk_button_new_with_mnemonic (_("Setting"));
  gtk_widget_show (OutputMethod_button);
  gtk_box_pack_start (GTK_BOX (hbox25), OutputMethod_button, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (OutputMethod_button), 5);

  DeviceSetting_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox42), DeviceSetting_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (DeviceSetting_frame), 5);

  vbox44 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox44);
  gtk_container_add (GTK_CONTAINER (DeviceSetting_frame), vbox44);

  OutputOption_table = gtk_table_new (5, 2, FALSE);
  gtk_box_pack_start (GTK_BOX (vbox44), OutputOption_table, FALSE, FALSE, 0);

  label126 = gtk_label_new (_("Output Option:"));
  gtk_widget_show (label126);
  gtk_table_attach (GTK_TABLE (OutputOption_table), label126, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label126), 0, 0.5);

  OutputOption_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (OutputOption_combo)->popwin),
                     "GladeParentKey", OutputOption_combo);
  gtk_widget_show (OutputOption_combo);
  gtk_table_attach (GTK_TABLE (OutputOption_table), OutputOption_combo, 1, 2, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (OutputOption_combo, 220, -1);
  gtk_container_set_border_width (GTK_CONTAINER (OutputOption_combo), 5);
  OutputOption_combo_items = g_list_append (OutputOption_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (OutputOption_combo), OutputOption_combo_items);
  g_list_free (OutputOption_combo_items);

  OutputOption_combo_entry = GTK_COMBO (OutputOption_combo)->entry;
  gtk_widget_show (OutputOption_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (OutputOption_combo_entry), FALSE);

  SaddleFinisherG1_checkbutton = gtk_check_button_new_with_mnemonic (_("Saddle Finisher-G1"));
  gtk_table_attach (GTK_TABLE (OutputOption_table), SaddleFinisherG1_checkbutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SaddleFinisherG1_checkbutton), 2);

  PaperFolding_checkbutton = gtk_check_button_new_with_mnemonic (_("Paper Folding Unit"));
  gtk_table_attach (GTK_TABLE (OutputOption_table), PaperFolding_checkbutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PaperFolding_checkbutton), 2);

  PuncherUnit_checkbutton = gtk_check_button_new_with_mnemonic (_("Puncher Unit"));
  gtk_table_attach (GTK_TABLE (OutputOption_table), PuncherUnit_checkbutton, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PuncherUnit_checkbutton), 2);

  TrimmerUnit_checkbutton = gtk_check_button_new_with_mnemonic (_("Trimmer"));
  gtk_table_attach (GTK_TABLE (OutputOption_table), TrimmerUnit_checkbutton, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (TrimmerUnit_checkbutton), 2);

  SourceOption_vbox = gtk_vbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox44), SourceOption_vbox, TRUE, TRUE, 0);

  hbox73 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox73);
  gtk_box_pack_start (GTK_BOX (SourceOption_vbox), hbox73, TRUE, TRUE, 0);

  PaperSourceOptionLabel = gtk_label_new (_("Paper Source Options:"));
  gtk_widget_show (PaperSourceOptionLabel);
  gtk_box_pack_start (GTK_BOX (hbox73), PaperSourceOptionLabel, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PaperSourceOptionLabel), 0.05, 0.5);

  SourceOption_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (SourceOption_combo)->popwin),
                     "GladeParentKey", SourceOption_combo);
  gtk_widget_show (SourceOption_combo);
  gtk_box_pack_start (GTK_BOX (hbox73), SourceOption_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (SourceOption_combo), 5);
  SourceOption_combo_items = g_list_append (SourceOption_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (SourceOption_combo), SourceOption_combo_items);
  g_list_free (SourceOption_combo_items);

  SourceOption_combo_entry = GTK_COMBO (SourceOption_combo)->entry;
  gtk_widget_show (SourceOption_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (SourceOption_combo_entry), FALSE);

  hseparator21 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (SourceOption_vbox), hseparator21, FALSE, FALSE, 0);

  DocInsertUnit_checkbutton = gtk_check_button_new_with_mnemonic (_("Document Insertion Unit"));
  gtk_box_pack_start (GTK_BOX (vbox44), DocInsertUnit_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (DocInsertUnit_checkbutton), 5);

  DuplexUnit_checkbutton = gtk_check_button_new_with_mnemonic (_("Duplex Unit"));
  gtk_box_pack_start (GTK_BOX (vbox44), DuplexUnit_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (DuplexUnit_checkbutton), 5);

  Staple_checkbutton = gtk_check_button_new_with_mnemonic (_("Staple"));
  gtk_box_pack_start (GTK_BOX (vbox44), Staple_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Staple_checkbutton), 5);

  EnableTrustPrint_checkbutton = gtk_check_button_new_with_mnemonic (_("Secure Watermark Function of Device"));
  gtk_box_pack_start (GTK_BOX (vbox44), EnableTrustPrint_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (EnableTrustPrint_checkbutton), 5);

  JobAccounting_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox44), JobAccounting_frame, FALSE, FALSE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (JobAccounting_frame), GTK_SHADOW_NONE);

  vbox45 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox45);
  gtk_container_add (GTK_CONTAINER (JobAccounting_frame), vbox45);

  hseparator13 = gtk_hseparator_new ();
  gtk_widget_show (hseparator13);
  gtk_box_pack_start (GTK_BOX (vbox45), hseparator13, FALSE, TRUE, 0);

  hbox69 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox69);
  gtk_box_pack_start (GTK_BOX (vbox45), hbox69, FALSE, FALSE, 0);

  JobAccouting_checkbutton = gtk_check_button_new_with_mnemonic (_("Job Accounting"));
  gtk_widget_show (JobAccouting_checkbutton);
  gtk_box_pack_start (GTK_BOX (hbox69), JobAccouting_checkbutton, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (JobAccouting_checkbutton), 5);

  hbuttonbox18 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox18);
  gtk_box_pack_start (GTK_BOX (hbox69), hbuttonbox18, FALSE, FALSE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox18), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox18), 30);

  JobAccount_button = gtk_button_new_with_mnemonic (_("Settings..."));
  gtk_widget_show (JobAccount_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox18), JobAccount_button);
  GTK_WIDGET_SET_FLAGS (JobAccount_button, GTK_CAN_DEFAULT);

  hbox70 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox70);
  gtk_box_pack_start (GTK_BOX (vbox45), hbox70, FALSE, FALSE, 0);

  label151 = gtk_label_new ("");
  gtk_widget_show (label151);
  gtk_box_pack_start (GTK_BOX (hbox70), label151, TRUE, TRUE, 0);

  AllowPasswd_checkbutton = gtk_check_button_new_with_mnemonic (_("Allow Password Setting"));
  gtk_widget_show (AllowPasswd_checkbutton);
  gtk_box_pack_start (GTK_BOX (hbox70), AllowPasswd_checkbutton, TRUE, TRUE, 0);
  gtk_widget_set_size_request (AllowPasswd_checkbutton, 174, -1);

  DisableJobAccounting_box = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox45), DisableJobAccounting_box, FALSE, FALSE, 0);

  label167 = gtk_label_new ("");
  gtk_widget_show (label167);
  gtk_box_pack_start (GTK_BOX (DisableJobAccounting_box), label167, TRUE, TRUE, 0);

  DisableJobAccountingBW_checkbutton = gtk_check_button_new_with_mnemonic (_("Disable Job Accounting when B&W Print"));
  gtk_widget_show (DisableJobAccountingBW_checkbutton);
  gtk_box_pack_start (GTK_BOX (DisableJobAccounting_box), DisableJobAccountingBW_checkbutton, TRUE, TRUE, 0);
  gtk_widget_set_size_request (DisableJobAccountingBW_checkbutton, 174, -1);

  label171 = gtk_label_new (_("Device Setting"));
  gtk_widget_show (label171);
  gtk_frame_set_label_widget (GTK_FRAME (DeviceSetting_frame), label171);
  gtk_label_set_justify (GTK_LABEL (label171), GTK_JUSTIFY_LEFT);

  label116 = gtk_label_new (_("Device Settings"));
  gtk_widget_show (label116);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 4), label116);

  vbox22 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox22);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox22);

  vbox41 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox41);
  gtk_box_pack_start (GTK_BOX (vbox22), vbox41, FALSE, FALSE, 0);

  frame41 = gtk_frame_new (NULL);
  gtk_widget_show (frame41);
  gtk_box_pack_start (GTK_BOX (vbox41), frame41, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame41), GTK_SHADOW_NONE);

  CaptPaperSource_hbox = gtk_hbox_new (FALSE, 0);
  gtk_container_add (GTK_CONTAINER (frame41), CaptPaperSource_hbox);

  label120 = gtk_label_new (_("Paper Source:"));
  gtk_widget_show (label120);
  gtk_box_pack_start (GTK_BOX (CaptPaperSource_hbox), label120, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label120), 7.45058e-09, 0.5);

  CaptPaperSource_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (CaptPaperSource_combo)->popwin),
                     "GladeParentKey", CaptPaperSource_combo);
  gtk_widget_show (CaptPaperSource_combo);
  gtk_box_pack_start (GTK_BOX (CaptPaperSource_hbox), CaptPaperSource_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptPaperSource_combo), 5);
  CaptPaperSource_combo_items = g_list_append (CaptPaperSource_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (CaptPaperSource_combo), CaptPaperSource_combo_items);
  g_list_free (CaptPaperSource_combo_items);

  CaptPaperSource_combo_entry = GTK_COMBO (CaptPaperSource_combo)->entry;
  gtk_widget_show (CaptPaperSource_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (CaptPaperSource_combo_entry), FALSE);

  frame40 = gtk_frame_new (NULL);
  gtk_widget_show (frame40);
  gtk_box_pack_start (GTK_BOX (vbox41), frame40, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame40), GTK_SHADOW_NONE);

  CaptPaperType_hbox = gtk_hbox_new (FALSE, 0);
  gtk_container_add (GTK_CONTAINER (frame40), CaptPaperType_hbox);

  label119 = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (label119);
  gtk_box_pack_start (GTK_BOX (CaptPaperType_hbox), label119, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label119), 7.45058e-09, 0.5);

  CaptPaperType_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (CaptPaperType_combo)->popwin),
                     "GladeParentKey", CaptPaperType_combo);
  gtk_widget_show (CaptPaperType_combo);
  gtk_box_pack_start (GTK_BOX (CaptPaperType_hbox), CaptPaperType_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptPaperType_combo), 5);
  CaptPaperType_combo_items = g_list_append (CaptPaperType_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (CaptPaperType_combo), CaptPaperType_combo_items);
  g_list_free (CaptPaperType_combo_items);

  CaptPaperType_combo_entry = GTK_COMBO (CaptPaperType_combo)->entry;
  gtk_widget_show (CaptPaperType_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (CaptPaperType_combo_entry), FALSE);

  CaptFin_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox22), CaptFin_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptFin_frame), 5);

  CaptCollate_checkbutton = gtk_check_button_new_with_mnemonic (_("Collate"));
  gtk_widget_show (CaptCollate_checkbutton);
  gtk_container_add (GTK_CONTAINER (CaptFin_frame), CaptCollate_checkbutton);
  gtk_container_set_border_width (GTK_CONTAINER (CaptCollate_checkbutton), 5);

  label172 = gtk_label_new (_(" Finishing "));
  gtk_widget_show (label172);
  gtk_frame_set_label_widget (GTK_FRAME (CaptFin_frame), label172);
  gtk_label_set_justify (GTK_LABEL (label172), GTK_JUSTIFY_LEFT);

  CaptQuality_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox22), CaptQuality_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptQuality_frame), 5);

  vbox23 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox23);
  gtk_container_add (GTK_CONTAINER (CaptQuality_frame), vbox23);

  table14 = gtk_table_new (3, 2, FALSE);
  gtk_widget_show (table14);
  gtk_box_pack_start (GTK_BOX (vbox23), table14, TRUE, TRUE, 0);

  label74 = gtk_label_new (_("Halftones:"));
  gtk_widget_show (label74);
  gtk_table_attach (GTK_TABLE (table14), label74, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label74), 0, 0.5);

  CaptHalftoneP1_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Pattern 1"));
  gtk_widget_show (CaptHalftoneP1_radiobutton);
  gtk_table_attach (GTK_TABLE (table14), CaptHalftoneP1_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptHalftoneP1_radiobutton), CaptHalftoneP1_radiobutton_group);
  CaptHalftoneP1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptHalftoneP1_radiobutton));

  CaptHalftoneP2_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Pattern 2"));
  gtk_widget_show (CaptHalftoneP2_radiobutton);
  gtk_table_attach (GTK_TABLE (table14), CaptHalftoneP2_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptHalftoneP2_radiobutton), CaptHalftoneP1_radiobutton_group);
  CaptHalftoneP1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptHalftoneP2_radiobutton));

  CaptHalftoneSmooth_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Pattern 3"));
  gtk_table_attach (GTK_TABLE (table14), CaptHalftoneSmooth_radiobutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptHalftoneSmooth_radiobutton), CaptHalftoneP1_radiobutton_group);
  CaptHalftoneP1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptHalftoneSmooth_radiobutton));

  label173 = gtk_label_new (_(" Quality "));
  gtk_widget_show (label173);
  gtk_frame_set_label_widget (GTK_FRAME (CaptQuality_frame), label173);
  gtk_label_set_justify (GTK_LABEL (label173), GTK_JUSTIFY_LEFT);

  CaptDetail_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox22), CaptDetail_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptDetail_frame), 5);

  vbox25 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox25);
  gtk_container_add (GTK_CONTAINER (CaptDetail_frame), vbox25);

  TonerDensity_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox25), TonerDensity_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (TonerDensity_frame), 2);
  gtk_frame_set_shadow_type (GTK_FRAME (TonerDensity_frame), GTK_SHADOW_NONE);

  TonerDensity_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (TonerDensity_hbox);
  gtk_container_add (GTK_CONTAINER (TonerDensity_frame), TonerDensity_hbox);

  label82 = gtk_label_new (_("Light"));
  gtk_widget_show (label82);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), label82, TRUE, TRUE, 0);

  CaptTonerDensity1_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (CaptTonerDensity1_radiobutton);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), CaptTonerDensity1_radiobutton, TRUE, TRUE, 0);
  GTK_WIDGET_UNSET_FLAGS (CaptTonerDensity1_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptTonerDensity1_radiobutton), CaptTonerDensity1_radiobutton_group);
  CaptTonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptTonerDensity1_radiobutton));

  CaptTonerDensity2_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (CaptTonerDensity2_radiobutton);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), CaptTonerDensity2_radiobutton, TRUE, TRUE, 0);
  GTK_WIDGET_UNSET_FLAGS (CaptTonerDensity2_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptTonerDensity2_radiobutton), CaptTonerDensity1_radiobutton_group);
  CaptTonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptTonerDensity2_radiobutton));

  CaptTonerDensity3_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (CaptTonerDensity3_radiobutton);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), CaptTonerDensity3_radiobutton, TRUE, TRUE, 0);
  GTK_WIDGET_UNSET_FLAGS (CaptTonerDensity3_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptTonerDensity3_radiobutton), CaptTonerDensity1_radiobutton_group);
  CaptTonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptTonerDensity3_radiobutton));
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (CaptTonerDensity3_radiobutton), TRUE);

  CaptTonerDensity4_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (CaptTonerDensity4_radiobutton);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), CaptTonerDensity4_radiobutton, TRUE, TRUE, 0);
  GTK_WIDGET_UNSET_FLAGS (CaptTonerDensity4_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptTonerDensity4_radiobutton), CaptTonerDensity1_radiobutton_group);
  CaptTonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptTonerDensity4_radiobutton));

  CaptTonerDensity5_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (CaptTonerDensity5_radiobutton);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), CaptTonerDensity5_radiobutton, TRUE, TRUE, 0);
  GTK_WIDGET_UNSET_FLAGS (CaptTonerDensity5_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (CaptTonerDensity5_radiobutton), CaptTonerDensity1_radiobutton_group);
  CaptTonerDensity1_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (CaptTonerDensity5_radiobutton));

  label83 = gtk_label_new (_("Dark"));
  gtk_widget_show (label83);
  gtk_box_pack_start (GTK_BOX (TonerDensity_hbox), label83, TRUE, TRUE, 0);

  label175 = gtk_label_new (_("Toner Density:"));
  gtk_widget_show (label175);
  gtk_frame_set_label_widget (GTK_FRAME (TonerDensity_frame), label175);
  gtk_label_set_justify (GTK_LABEL (label175), GTK_JUSTIFY_LEFT);

  CaptTonerSave_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Toner Save"));
  gtk_box_pack_start (GTK_BOX (vbox25), CaptTonerSave_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptTonerSave_checkbutton), 5);

  hseparator14 = gtk_hseparator_new ();
  gtk_widget_show (hseparator14);
  gtk_box_pack_start (GTK_BOX (vbox25), hseparator14, TRUE, TRUE, 0);

  ImgRefinement_checkbutton = gtk_check_button_new_with_mnemonic (_("Image Refinement"));
  gtk_box_pack_start (GTK_BOX (vbox25), ImgRefinement_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ImgRefinement_checkbutton), 5);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (ImgRefinement_checkbutton), TRUE);

  label174 = gtk_label_new (_(" Details "));
  gtk_widget_show (label174);
  gtk_frame_set_label_widget (GTK_FRAME (CaptDetail_frame), label174);
  gtk_label_set_justify (GTK_LABEL (label174), GTK_JUSTIFY_LEFT);

  label122 = gtk_label_new (_("Paper/Quality"));
  gtk_widget_show (label122);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 5), label122);

  vbox36 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox36);
  gtk_container_add (GTK_CONTAINER (PropDlg_notebook), vbox36);

  hbox6 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox6);
  gtk_box_pack_start (GTK_BOX (vbox36), hbox6, FALSE, FALSE, 0);

  label12 = gtk_label_new (_("Filter:"));
  gtk_widget_show (label12);
  gtk_box_pack_start (GTK_BOX (hbox6), label12, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label12), 0.0500001, 0.5);

  Filter_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (Filter_combo)->popwin),
                     "GladeParentKey", Filter_combo);
  gtk_widget_show (Filter_combo);
  gtk_box_pack_start (GTK_BOX (hbox6), Filter_combo, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Filter_combo), 5);
  Filter_combo_items = g_list_append (Filter_combo_items, (gpointer) _("None"));
  Filter_combo_items = g_list_append (Filter_combo_items, (gpointer) _("Image file options"));
  Filter_combo_items = g_list_append (Filter_combo_items, (gpointer) _("Text file options"));
  Filter_combo_items = g_list_append (Filter_combo_items, (gpointer) _("HP-GL/2 options"));
  Filter_combo_items = g_list_append (Filter_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (Filter_combo), Filter_combo_items);
  g_list_free (Filter_combo_items);

  Filter_combo_entry = GTK_COMBO (Filter_combo)->entry;
  gtk_widget_show (Filter_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (Filter_combo_entry), FALSE);

  FilterImage_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox36), FilterImage_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FilterImage_frame), 5);

  vbox37 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox37);
  gtk_container_add (GTK_CONTAINER (FilterImage_frame), vbox37);

  ImgColorSetting_frame = gtk_frame_new (NULL);
  gtk_widget_show (ImgColorSetting_frame);
  gtk_box_pack_start (GTK_BOX (vbox37), ImgColorSetting_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ImgColorSetting_frame), 5);

  vbox7 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox7);
  gtk_container_add (GTK_CONTAINER (ImgColorSetting_frame), vbox7);

  table6 = gtk_table_new (2, 3, FALSE);
  gtk_widget_show (table6);
  gtk_box_pack_start (GTK_BOX (vbox7), table6, FALSE, TRUE, 0);

  SaturationValue_label = gtk_label_new ("");
  gtk_widget_show (SaturationValue_label);
  gtk_table_attach (GTK_TABLE (table6), SaturationValue_label, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (SaturationValue_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (SaturationValue_label), 1, 0.5);

  label27 = gtk_label_new (_("Hue (-360 to 360):"));
  gtk_widget_show (label27);
  gtk_table_attach (GTK_TABLE (table6), label27, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label27), 0, 0.5);

  label29 = gtk_label_new (_("Saturation (0 to 200):"));
  gtk_widget_show (label29);
  gtk_table_attach (GTK_TABLE (table6), label29, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label29), 0, 0.5);

  Hue_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (-2.13018, -360, 360, 5, 0, 0)));
  gtk_widget_show (Hue_hscale);
  gtk_table_attach (GTK_TABLE (table6), Hue_hscale, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 5, 3);
  gtk_widget_set_size_request (Hue_hscale, 100, -1);
  gtk_scale_set_draw_value (GTK_SCALE (Hue_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Hue_hscale), 0);

  Saturation_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (100, 0, 200, 5, 0, 0)));
  gtk_widget_show (Saturation_hscale);
  gtk_table_attach (GTK_TABLE (table6), Saturation_hscale, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 5, 3);
  gtk_widget_set_size_request (Saturation_hscale, 100, -1);
  gtk_scale_set_draw_value (GTK_SCALE (Saturation_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (Saturation_hscale), 0);

  HueValue_label = gtk_label_new ("");
  gtk_widget_show (HueValue_label);
  gtk_table_attach (GTK_TABLE (table6), HueValue_label, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (HueValue_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (HueValue_label), 1, 0.5);

  hbuttonbox4 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox4);
  gtk_box_pack_start (GTK_BOX (vbox7), hbuttonbox4, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox4), 5);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox4), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (hbuttonbox4), 18);

  ColorDefault_button = gtk_button_new_with_mnemonic (_("Default configuration"));
  gtk_widget_show (ColorDefault_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), ColorDefault_button);
  GTK_WIDGET_SET_FLAGS (ColorDefault_button, GTK_CAN_DEFAULT);

  label177 = gtk_label_new (_("Color settings"));
  gtk_widget_show (label177);
  gtk_frame_set_label_widget (GTK_FRAME (ImgColorSetting_frame), label177);
  gtk_label_set_justify (GTK_LABEL (label177), GTK_JUSTIFY_LEFT);

  hbox7 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox7);
  gtk_box_pack_start (GTK_BOX (vbox37), hbox7, TRUE, TRUE, 0);

  frame9 = gtk_frame_new (NULL);
  gtk_widget_show (frame9);
  gtk_box_pack_start (GTK_BOX (hbox7), frame9, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame9), 5);

  vbox8 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox8);
  gtk_container_add (GTK_CONTAINER (frame9), vbox8);

  hbox8 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox8);
  gtk_box_pack_start (GTK_BOX (vbox8), hbox8, FALSE, FALSE, 0);

  Resolution_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Resolution (1 to 1200 ppi)"));
  gtk_widget_show (Resolution_radiobutton);
  gtk_box_pack_start (GTK_BOX (hbox8), Resolution_radiobutton, FALSE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Resolution_radiobutton), Resolution_radiobutton_group);
  Resolution_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Resolution_radiobutton));

  ResolutionValue_label = gtk_label_new ("");
  gtk_widget_show (ResolutionValue_label);
  gtk_box_pack_start (GTK_BOX (hbox8), ResolutionValue_label, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ResolutionValue_label, 30, -1);
  gtk_misc_set_alignment (GTK_MISC (ResolutionValue_label), 1, 0.5);

  ImgReso_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (128, 1, 1200, 5, 0, 0)));
  gtk_widget_show (ImgReso_hscale);
  gtk_box_pack_start (GTK_BOX (vbox8), ImgReso_hscale, FALSE, FALSE, 3);
  gtk_scale_set_draw_value (GTK_SCALE (ImgReso_hscale), FALSE);
  gtk_scale_set_digits (GTK_SCALE (ImgReso_hscale), 0);

  hbox9 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox9);
  gtk_box_pack_start (GTK_BOX (vbox8), hbox9, FALSE, FALSE, 0);

  Scale_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Scaling (1 to 800 %)"));
  gtk_widget_show (Scale_radiobutton);
  gtk_box_pack_start (GTK_BOX (hbox9), Scale_radiobutton, FALSE, FALSE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Scale_radiobutton), Resolution_radiobutton_group);
  Resolution_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Scale_radiobutton));

  ScaleValue_label = gtk_label_new ("");
  gtk_widget_show (ScaleValue_label);
  gtk_box_pack_start (GTK_BOX (hbox9), ScaleValue_label, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ScaleValue_label, 30, -1);
  gtk_misc_set_alignment (GTK_MISC (ScaleValue_label), 1, 0.5);

  ImgPercent_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (100, 1, 800, 5, 0, 0)));
  gtk_widget_show (ImgPercent_hscale);
  gtk_box_pack_start (GTK_BOX (vbox8), ImgPercent_hscale, FALSE, FALSE, 0);
  gtk_scale_set_draw_value (GTK_SCALE (ImgPercent_hscale), FALSE);

  hbox71 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox71);
  gtk_box_pack_start (GTK_BOX (vbox8), hbox71, TRUE, TRUE, 0);

  PageScale_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Page Scaling (1 to 800 %)"));
  gtk_widget_show (PageScale_radiobutton);
  gtk_box_pack_start (GTK_BOX (hbox71), PageScale_radiobutton, FALSE, FALSE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (PageScale_radiobutton), Resolution_radiobutton_group);
  Resolution_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (PageScale_radiobutton));

  PageScaleValue_label = gtk_label_new ("");
  gtk_widget_show (PageScaleValue_label);
  gtk_box_pack_start (GTK_BOX (hbox71), PageScaleValue_label, TRUE, TRUE, 0);
  gtk_widget_set_size_request (PageScaleValue_label, 30, -1);
  gtk_misc_set_alignment (GTK_MISC (PageScaleValue_label), 1, 0.5);

  ImgPagePercent_hscale = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (100, 1, 800, 5, 0, 0)));
  gtk_widget_show (ImgPagePercent_hscale);
  gtk_box_pack_start (GTK_BOX (vbox8), ImgPagePercent_hscale, TRUE, TRUE, 0);
  gtk_scale_set_draw_value (GTK_SCALE (ImgPagePercent_hscale), FALSE);

  label178 = gtk_label_new (_("Image size"));
  gtk_widget_show (label178);
  gtk_frame_set_label_widget (GTK_FRAME (frame9), label178);
  gtk_label_set_justify (GTK_LABEL (label178), GTK_JUSTIFY_LEFT);

  frame10 = gtk_frame_new (NULL);
  gtk_widget_show (frame10);
  gtk_box_pack_start (GTK_BOX (hbox7), frame10, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame10), 5);

  table7 = gtk_table_new (3, 3, FALSE);
  gtk_widget_show (table7);
  gtk_container_add (GTK_CONTAINER (frame10), table7);

  ImgPositionTL_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionTL_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionTL_radiobutton, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionTL_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionTL_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionTL_radiobutton));
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (ImgPositionTL_radiobutton), TRUE);

  ImgPositionTC_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionTC_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionTC_radiobutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionTC_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionTC_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionTC_radiobutton));

  ImgPositionTR_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionTR_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionTR_radiobutton, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionTR_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionTR_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionTR_radiobutton));

  ImgPositionCL_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionCL_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionCL_radiobutton, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionCL_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionCL_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionCL_radiobutton));

  ImgPositionCC_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionCC_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionCC_radiobutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionCC_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionCC_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionCC_radiobutton));

  ImgPositionCR_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionCR_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionCR_radiobutton, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionCR_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionCR_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionCR_radiobutton));

  ImgPositionBL_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionBL_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionBL_radiobutton, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionBL_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionBL_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionBL_radiobutton));

  ImgPositionBC_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionBC_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionBC_radiobutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionBC_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionBC_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionBC_radiobutton));

  ImgPositionBR_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, "");
  gtk_widget_show (ImgPositionBR_radiobutton);
  gtk_table_attach (GTK_TABLE (table7), ImgPositionBR_radiobutton, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (ImgPositionBR_radiobutton, GTK_CAN_FOCUS);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (ImgPositionBR_radiobutton), ImgPositionTL_radiobutton_group);
  ImgPositionTL_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (ImgPositionBR_radiobutton));

  label179 = gtk_label_new (_("Image position"));
  gtk_widget_show (label179);
  gtk_frame_set_label_widget (GTK_FRAME (frame10), label179);
  gtk_label_set_justify (GTK_LABEL (label179), GTK_JUSTIFY_LEFT);

  label176 = gtk_label_new (_("Image"));
  gtk_widget_show (label176);
  gtk_frame_set_label_widget (GTK_FRAME (FilterImage_frame), label176);
  gtk_label_set_justify (GTK_LABEL (label176), GTK_JUSTIFY_LEFT);

  FilterText_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox36), FilterText_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FilterText_frame), 5);

  vbox38 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox38);
  gtk_container_add (GTK_CONTAINER (FilterText_frame), vbox38);

  frame11 = gtk_frame_new (NULL);
  gtk_widget_show (frame11);
  gtk_box_pack_start (GTK_BOX (vbox38), frame11, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame11), 5);

  table8 = gtk_table_new (4, 3, FALSE);
  gtk_widget_show (table8);
  gtk_container_add (GTK_CONTAINER (frame11), table8);

  hseparator3 = gtk_hseparator_new ();
  gtk_widget_show (hseparator3);
  gtk_table_attach (GTK_TABLE (table8), hseparator3, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  hseparator2 = gtk_hseparator_new ();
  gtk_widget_show (hseparator2);
  gtk_table_attach (GTK_TABLE (table8), hseparator2, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_show (hseparator1);
  gtk_table_attach (GTK_TABLE (table8), hseparator1, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label36 = gtk_label_new ("");
  gtk_widget_show (label36);
  gtk_table_attach (GTK_TABLE (table8), label36, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label36), 0, 0.5);

  TextColumns_spinbutton_adj = gtk_adjustment_new (1, 1, 10, 1, 10, 10);
  TextColumns_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (TextColumns_spinbutton_adj), 1, 0);
  gtk_widget_show (TextColumns_spinbutton);
  gtk_table_attach (GTK_TABLE (table8), TextColumns_spinbutton, 2, 3, 3, 4,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);

  label34 = gtk_label_new ("");
  gtk_widget_show (label34);
  gtk_table_attach (GTK_TABLE (table8), label34, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label34), 0, 0.5);

  label35 = gtk_label_new ("");
  gtk_widget_show (label35);
  gtk_table_attach (GTK_TABLE (table8), label35, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label35), 0, 0.5);

  label38 = gtk_label_new (_("Lines per inch:"));
  gtk_widget_show (label38);
  gtk_table_attach (GTK_TABLE (table8), label38, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label38), 1, 0.5);

  label37 = gtk_label_new (_("Char per inch:"));
  gtk_widget_show (label37);
  gtk_table_attach (GTK_TABLE (table8), label37, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label37), 1, 0.5);

  TextCPI_spinbutton_adj = gtk_adjustment_new (10, 1, 99, 1, 10, 10);
  TextCPI_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (TextCPI_spinbutton_adj), 1, 0);
  gtk_widget_show (TextCPI_spinbutton);
  gtk_table_attach (GTK_TABLE (table8), TextCPI_spinbutton, 2, 3, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);

  TextLPI_spinbutton_adj = gtk_adjustment_new (6, 1, 99, 1, 10, 10);
  TextLPI_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (TextLPI_spinbutton_adj), 1, 0);
  gtk_widget_show (TextLPI_spinbutton);
  gtk_table_attach (GTK_TABLE (table8), TextLPI_spinbutton, 2, 3, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);

  label39 = gtk_label_new (_("Columns:"));
  gtk_widget_show (label39);
  gtk_table_attach (GTK_TABLE (table8), label39, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label39), 1, 0.5);

  label181 = gtk_label_new (_("Text format"));
  gtk_widget_show (label181);
  gtk_frame_set_label_widget (GTK_FRAME (frame11), label181);
  gtk_label_set_justify (GTK_LABEL (label181), GTK_JUSTIFY_LEFT);

  frame12 = gtk_frame_new (NULL);
  gtk_widget_show (frame12);
  gtk_box_pack_start (GTK_BOX (vbox38), frame12, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame12), 5);

  vbox10 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox10);
  gtk_container_add (GTK_CONTAINER (frame12), vbox10);

  hbox10 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox10);
  gtk_box_pack_start (GTK_BOX (vbox10), hbox10, TRUE, TRUE, 0);

  label40 = gtk_label_new ("");
  gtk_widget_show (label40);
  gtk_box_pack_start (GTK_BOX (hbox10), label40, TRUE, TRUE, 0);

  CustomMargin_checkbutton = gtk_check_button_new_with_mnemonic (_("Use custom margins"));
  gtk_widget_show (CustomMargin_checkbutton);
  gtk_box_pack_start (GTK_BOX (hbox10), CustomMargin_checkbutton, TRUE, TRUE, 0);

  Margin_table = gtk_table_new (4, 3, FALSE);
  gtk_widget_show (Margin_table);
  gtk_box_pack_start (GTK_BOX (vbox10), Margin_table, TRUE, TRUE, 0);
  gtk_widget_set_sensitive (Margin_table, FALSE);

  label = gtk_label_new (_("Bottom:"));
  gtk_widget_show (label);
  gtk_table_attach (GTK_TABLE (Margin_table), label, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label), 0, 0.5);

  label43 = gtk_label_new (_("Left:"));
  gtk_widget_show (label43);
  gtk_table_attach (GTK_TABLE (Margin_table), label43, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label43), 0, 0.5);

  label44 = gtk_label_new (_("Right:"));
  gtk_widget_show (label44);
  gtk_table_attach (GTK_TABLE (Margin_table), label44, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label44), 0, 0.5);

  MarginTopValue_label = gtk_label_new ("");
  gtk_widget_show (MarginTopValue_label);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginTopValue_label, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MarginTopValue_label), 0, 0.5);

  MarginBottomValue_label = gtk_label_new ("");
  gtk_widget_show (MarginBottomValue_label);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginBottomValue_label, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MarginBottomValue_label), 0, 0.5);

  MarginLeftValue_label = gtk_label_new ("");
  gtk_widget_show (MarginLeftValue_label);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginLeftValue_label, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MarginLeftValue_label), 0, 0.5);

  MarginRightValue_label = gtk_label_new ("");
  gtk_widget_show (MarginRightValue_label);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginRightValue_label, 2, 3, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MarginRightValue_label), 0, 0.5);

  MarginBottom_spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  MarginBottom_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (MarginBottom_spinbutton_adj), 1, 0);
  gtk_widget_show (MarginBottom_spinbutton);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginBottom_spinbutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 3);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (MarginBottom_spinbutton), TRUE);

  MarginLeft_spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  MarginLeft_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (MarginLeft_spinbutton_adj), 1, 0);
  gtk_widget_show (MarginLeft_spinbutton);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginLeft_spinbutton, 1, 2, 2, 3,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 3);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (MarginLeft_spinbutton), TRUE);

  MarginRight_spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  MarginRight_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (MarginRight_spinbutton_adj), 1, 0);
  gtk_widget_show (MarginRight_spinbutton);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginRight_spinbutton, 1, 2, 3, 4,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 3);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (MarginRight_spinbutton), TRUE);

  MarginTop_spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  MarginTop_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (MarginTop_spinbutton_adj), 1, 0);
  gtk_widget_show (MarginTop_spinbutton);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginTop_spinbutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 3);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (MarginTop_spinbutton), TRUE);

  MarginTop_label = gtk_label_new (_("Top:"));
  gtk_widget_show (MarginTop_label);
  gtk_table_attach (GTK_TABLE (Margin_table), MarginTop_label, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MarginTop_label), 0, 0.5);

  label182 = gtk_label_new (_("Page margin"));
  gtk_widget_show (label182);
  gtk_frame_set_label_widget (GTK_FRAME (frame12), label182);
  gtk_label_set_justify (GTK_LABEL (label182), GTK_JUSTIFY_LEFT);

  PrettyPrint_checkbutton = gtk_check_button_new_with_mnemonic (_("Pretty Print"));
  gtk_widget_show (PrettyPrint_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox38), PrettyPrint_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (PrettyPrint_checkbutton), 5);

  label180 = gtk_label_new (_("Text"));
  gtk_widget_show (label180);
  gtk_frame_set_label_widget (GTK_FRAME (FilterText_frame), label180);
  gtk_label_set_justify (GTK_LABEL (label180), GTK_JUSTIFY_LEFT);

  FilterHPGL2_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox36), FilterHPGL2_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FilterHPGL2_frame), 5);

  frame13 = gtk_frame_new (NULL);
  gtk_widget_show (frame13);
  gtk_container_add (GTK_CONTAINER (FilterHPGL2_frame), frame13);
  gtk_frame_set_shadow_type (GTK_FRAME (frame13), GTK_SHADOW_NONE);

  vbox12 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox12);
  gtk_container_add (GTK_CONTAINER (frame13), vbox12);

  HPGL2BlackPen_checkbutton = gtk_check_button_new_with_mnemonic (_("Plot in Black Pen"));
  gtk_widget_show (HPGL2BlackPen_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox12), HPGL2BlackPen_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (HPGL2BlackPen_checkbutton), 3);

  HPGL2FitPlot_checkbutton = gtk_check_button_new_with_mnemonic (_("Fit To Page"));
  gtk_widget_show (HPGL2FitPlot_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox12), HPGL2FitPlot_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (HPGL2FitPlot_checkbutton), 3);

  hbox11 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox11);
  gtk_box_pack_start (GTK_BOX (vbox12), hbox11, TRUE, TRUE, 0);

  label51 = gtk_label_new (_("Pen width (0 to 10.0 mm) "));
  gtk_widget_show (label51);
  gtk_box_pack_start (GTK_BOX (hbox11), label51, TRUE, TRUE, 5);
  gtk_misc_set_alignment (GTK_MISC (label51), 7.45058e-09, 0.5);

  HPGL2PenWidth_spinbutton_adj = gtk_adjustment_new (1, 0, 10, 0.1, 1, 1);
  HPGL2PenWidth_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (HPGL2PenWidth_spinbutton_adj), 1, 1);
  gtk_widget_show (HPGL2PenWidth_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox11), HPGL2PenWidth_spinbutton, FALSE, FALSE, 0);

  label52 = gtk_label_new (_("[mm]"));
  gtk_widget_show (label52);
  gtk_box_pack_start (GTK_BOX (hbox11), label52, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label52), 0.2, 0.5);

  label183 = gtk_label_new (_("HP-GL/2"));
  gtk_widget_show (label183);
  gtk_frame_set_label_widget (GTK_FRAME (FilterHPGL2_frame), label183);
  gtk_label_set_justify (GTK_LABEL (label183), GTK_JUSTIFY_LEFT);

  label114 = gtk_label_new ("");
  gtk_widget_show (label114);
  gtk_box_pack_start (GTK_BOX (vbox36), label114, TRUE, TRUE, 0);

  label123 = gtk_label_new (_("Filter"));
  gtk_widget_show (label123);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (PropDlg_notebook), gtk_notebook_get_nth_page (GTK_NOTEBOOK (PropDlg_notebook), 6), label123);

  dialog_action_area2 = GTK_DIALOG (PropertiesDlg)->action_area;
  gtk_widget_show (dialog_action_area2);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area2), GTK_BUTTONBOX_END);

  hbuttonbox3 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox3);
  gtk_container_add (GTK_CONTAINER (dialog_action_area2), hbuttonbox3);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox3), 5);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox3), GTK_BUTTONBOX_END);

  PropOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (PropOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), PropOK_button);
  GTK_WIDGET_SET_FLAGS (PropOK_button, GTK_CAN_DEFAULT);

  PropSave_button = gtk_button_new_with_mnemonic (_("Save"));
  gtk_widget_show (PropSave_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), PropSave_button);
  GTK_WIDGET_SET_FLAGS (PropSave_button, GTK_CAN_DEFAULT);

  PropCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (PropCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), PropCancel_button);
  GTK_WIDGET_SET_FLAGS (PropCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) PropertiesDlg, "delete_event",
                    G_CALLBACK (on_PropertiesDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) PropertiesDlg, "destroy",
                    G_CALLBACK (on_PropertiesDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) PaperSize_combo_entry, "changed",
                    G_CALLBACK (on_PaperSize_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) Landscape_radiobutton, "toggled",
                    G_CALLBACK (on_Landscape_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Portrait_radiobutton, "toggled",
                    G_CALLBACK (on_Portrait_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ReversePortrait_radiobutton, "toggled",
                    G_CALLBACK (on_ReversePortrait_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ReverseLandscape_radiobutton, "toggled",
                    G_CALLBACK (on_ReverseLandscape_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Nup_combo_entry, "changed",
                    G_CALLBACK (on_Nup_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) BannerEnd_combo_entry, "changed",
                    G_CALLBACK (on_BannerEnd_combo_entry_changed),
                    NULL);
  g_signal_connect_after ((gpointer) BannerStart_combo_entry, "changed",
                          G_CALLBACK (on_BannerStart_combo_entry_changed),
                          NULL);
  g_signal_connect ((gpointer) BookletSetting_button, "clicked",
                    G_CALLBACK (on_BookletSetting_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) Sided1Print_radiobutton, "toggled",
                    G_CALLBACK (on_Sided1Print_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Sided2Print_radiobutton, "toggled",
                    G_CALLBACK (on_Sided2Print_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) BookletPrint_radiobutton, "toggled",
                    G_CALLBACK (on_BookletPrint_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) BindingLocation_combo_entry, "changed",
                    G_CALLBACK (on_BindingLocation_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) Gutter_button, "clicked",
                    G_CALLBACK (on_Gutter_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) FinCollate_combo_entry, "changed",
                    G_CALLBACK (on_FinCollate_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FinHolePanch_checkbutton, "toggled",
                    G_CALLBACK (on_FinHolePanch_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinOffset_checkbutton, "toggled",
                    G_CALLBACK (on_FinOffset_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinRotate_checkbutton, "toggled",
                    G_CALLBACK (on_FinRotate_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinZfold_checkbutton, "toggled",
                    G_CALLBACK (on_FinZfold_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinCfold_checkbutton, "toggled",
                    G_CALLBACK (on_FinCfold_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinCfoldSetting_combo_entry, "changed",
                    G_CALLBACK (on_FinCfoldSetting_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) StaplePosition_combo_entry, "changed",
                    G_CALLBACK (on_StaplePosition_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) OffsetCopyNum_spinbutton, "value_changed",
                    G_CALLBACK (on_OffsetCopyNum_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) SaddleStich_checkbutton, "toggled",
                    G_CALLBACK (on_SaddleStich_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) UseTrimmer_checkbutton, "toggled",
                    G_CALLBACK (on_UseTrimmer_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) TrimDeviceSetting_radiobutton, "toggled",
                    G_CALLBACK (on_TrimDeviceSetting_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) TrimManualSetting_radiobutton, "toggled",
                    G_CALLBACK (on_TrimManualSetting_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) TrimWidth_spinbutton, "value_changed",
                    G_CALLBACK (on_TrimWidth_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) PaperDisti_combo_entry, "changed",
                    G_CALLBACK (on_PaperDisti_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) SpecialPrintMode_combo_entry, "changed",
                    G_CALLBACK (on_SpecialPrintMode_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) SpecialPrintAdjustmentA_combo_entry, "changed",
                    G_CALLBACK (on_SpecialPrintAdjustmentA_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) SpecialPrintAdjustmentB_combo_entry, "changed",
                    G_CALLBACK (on_SpecialPrintAdjustmentB_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) OutputSide_combo_entry, "changed",
                    G_CALLBACK (on_OutputSide_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ImgSpecialProc_combo_entry, "changed",
                    G_CALLBACK (on_ImgSpecialProc_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) AdvancedSettings_button, "clicked",
                    G_CALLBACK (on_AdvancedSettings_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) OHPPrintMode_combo_entry, "changed",
                    G_CALLBACK (on_OHPPrintMode_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_button, "clicked",
                    G_CALLBACK (on_FinDetail_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) PaperSource_radiobutton, "toggled",
                    G_CALLBACK (on_PaperSource_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PaperType_radiobutton, "toggled",
                    G_CALLBACK (on_PaperType_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PaperSource_combo_entry, "changed",
                    G_CALLBACK (on_PaperSource_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) PaperType_combo_entry, "changed",
                    G_CALLBACK (on_PaperType_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) Interleaf_checkbutton, "toggled",
                    G_CALLBACK (on_Interleaf_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) InterleafMediaType_combo_entry, "changed",
                    G_CALLBACK (on_InterleafMediaType_changed),
                    NULL);
  g_signal_connect ((gpointer) PrintInterleaf_checkbutton, "toggled",
                    G_CALLBACK (on_PrintInterleaf_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Inserter_checkbutton, "toggled",
                    G_CALLBACK (on_Inserter_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FrontBackCvrSet_button, "clicked",
                    G_CALLBACK (on_FrontBackCoverSettings_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) QualityReso_combo_entry, "changed",
                    G_CALLBACK (on_QualityReso_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ColorMode_Combo_entry, "changed",
                    G_CALLBACK (on_ColorMode_Combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityClrHalftone_combo_entry, "changed",
                    G_CALLBACK (on_QualityClrHalftone_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityHalftone_combo_entry, "changed",
                    G_CALLBACK (on_QualityHalftone_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityTonerSave_combo_entry, "changed",
                    G_CALLBACK (on_QualityTonerSave_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityDraftMode_combo_entry, "changed",
                    G_CALLBACK (on_QualityDraftMode_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityGrayComp_combo_entry, "changed",
                    G_CALLBACK (on_QualityGrayComp_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) TonerVolumeAdjustment_combo_entry, "changed",
                    G_CALLBACK (on_TonerVolumeAdjustment_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) LineControl_combo_entry, "changed",
                    G_CALLBACK (on_LineControl_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityGradeSmooth_combo_entry, "changed",
                    G_CALLBACK (on_QualityGradeSmooth_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityImgRefine_combo_entry, "changed",
                    G_CALLBACK (on_QualityImgRefine_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualityLineRefine_combo_entry, "changed",
                    G_CALLBACK (on_QualityLineRefine_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ImageCompression_combo_entry, "changed",
                    G_CALLBACK (on_ImageCompression_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) SpotColorMatching_combo_entry, "changed",
                    G_CALLBACK (on_SpotColorMatching_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) AdvancedSmooth_combo_entry, "changed",
                    G_CALLBACK (on_AdvancedSmooth_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileSettings_button, "clicked",
                    G_CALLBACK (on_ProfileSettings_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerDensity1_radiobutton, "toggled",
                    G_CALLBACK (on_Capt21TonerDensity1_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerDensity2_radiobutton, "toggled",
                    G_CALLBACK (on_Capt21TonerDensity2_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerDensity3_radiobutton, "toggled",
                    G_CALLBACK (on_Capt21TonerDensity3_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerDensity4_radiobutton, "toggled",
                    G_CALLBACK (on_Capt21TonerDensity4_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerDensity5_radiobutton, "toggled",
                    G_CALLBACK (on_Capt21TonerDensity5_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Cyan_drawingarea, "configure_event",
                    G_CALLBACK (on_Cyan_drawingarea_configure_event),
                    NULL);
  g_signal_connect ((gpointer) Cyan_drawingarea, "expose_event",
                    G_CALLBACK (on_Cyan_drawingarea_expose_event),
                    NULL);
  g_signal_connect ((gpointer) Magenta_drawingarea, "expose_event",
                    G_CALLBACK (on_Magenta_drawingarea_expose_event),
                    NULL);
  g_signal_connect ((gpointer) Magenta_drawingarea, "configure_event",
                    G_CALLBACK (on_Magenta_drawingarea_configure_event),
                    NULL);
  g_signal_connect ((gpointer) Yellow_drawingarea, "configure_event",
                    G_CALLBACK (on_Yellow_drawingarea_configure_event),
                    NULL);
  g_signal_connect ((gpointer) Yellow_drawingarea, "expose_event",
                    G_CALLBACK (on_Yellow_drawingarea_expose_event),
                    NULL);
  g_signal_connect ((gpointer) Black_drawingarea, "configure_event",
                    G_CALLBACK (on_Black_drawingarea_configure_event),
                    NULL);
  g_signal_connect ((gpointer) Black_drawingarea, "expose_event",
                    G_CALLBACK (on_Black_drawingarea_expose_event),
                    NULL);
  g_signal_connect ((gpointer) Capt21TonerSave_checkbutton, "toggled",
                    G_CALLBACK (on_Capt21TonerSave_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) QualityKeepGray_combo_entry, "changed",
                    G_CALLBACK (on_QualityKeepGray_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) QualitySmallSizeCurl_combo_entry, "changed",
                    G_CALLBACK (on_QualitySmallSizeCurl_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) Sharpness_checkbutton, "toggled",
                    G_CALLBACK (on_Sharpness_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Sharpness_drawingarea, "configure_event",
                    G_CALLBACK (on_Sharpness_drawingarea_configure_event),
                    NULL);
  g_signal_connect ((gpointer) Sharpness_drawingarea, "expose_event",
                    G_CALLBACK (on_Sharpness_drawingarea_expose_event),
                    NULL);
  g_signal_connect ((gpointer) OutputMethod_combo_entry, "changed",
                    G_CALLBACK (on_OutputMethod_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) OutputMethod_button, "clicked",
                    G_CALLBACK (on_OutputMethod_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) OutputOption_combo_entry, "changed",
                    G_CALLBACK (on_OutputOption_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) SaddleFinisherG1_checkbutton, "toggled",
                    G_CALLBACK (on_SaddleFinisherG1_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PaperFolding_checkbutton, "toggled",
                    G_CALLBACK (on_PaperFolding_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PuncherUnit_checkbutton, "toggled",
                    G_CALLBACK (on_PuncherUnit_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) TrimmerUnit_checkbutton, "toggled",
                    G_CALLBACK (on_TrimmerUnit_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) SourceOption_combo_entry, "changed",
                    G_CALLBACK (on_SourceOption_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) DocInsertUnit_checkbutton, "toggled",
                    G_CALLBACK (on_DocInsertUnit_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) DuplexUnit_checkbutton, "toggled",
                    G_CALLBACK (on_DuplexUnit_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Staple_checkbutton, "toggled",
                    G_CALLBACK (on_Staple_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) EnableTrustPrint_checkbutton, "toggled",
                    G_CALLBACK (on_EnableTrustPrint_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) JobAccouting_checkbutton, "toggled",
                    G_CALLBACK (on_JobAccouting_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) JobAccount_button, "clicked",
                    G_CALLBACK (on_JobAccount_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) AllowPasswd_checkbutton, "toggled",
                    G_CALLBACK (on_AllowPasswd_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) DisableJobAccountingBW_checkbutton, "toggled",
                    G_CALLBACK (on_DisableJobAccountingBW_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptPaperSource_combo_entry, "changed",
                    G_CALLBACK (on_CaptPaperSource_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) CaptPaperType_combo_entry, "changed",
                    G_CALLBACK (on_CaptPaperType_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) CaptCollate_checkbutton, "toggled",
                    G_CALLBACK (on_CaptCollate_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptHalftoneP1_radiobutton, "toggled",
                    G_CALLBACK (on_CaptHalftoneP1_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptHalftoneP2_radiobutton, "toggled",
                    G_CALLBACK (on_CaptHalftoneP2_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptHalftoneSmooth_radiobutton, "toggled",
                    G_CALLBACK (on_CaptHalftoneSmooth_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerDensity1_radiobutton, "toggled",
                    G_CALLBACK (on_CaptTonerDensity1_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerDensity2_radiobutton, "toggled",
                    G_CALLBACK (on_CaptTonerDensity2_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerDensity3_radiobutton, "toggled",
                    G_CALLBACK (on_CaptTonerDensity3_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerDensity4_radiobutton, "toggled",
                    G_CALLBACK (on_CaptTonerDensity4_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerDensity5_radiobutton, "toggled",
                    G_CALLBACK (on_CaptTonerDensity5_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptTonerSave_checkbutton, "toggled",
                    G_CALLBACK (on_CaptTonerSave_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgRefinement_checkbutton, "toggled",
                    G_CALLBACK (on_ImgRefinement_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Filter_combo_entry, "changed",
                    G_CALLBACK (on_Filter_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ColorDefault_button, "clicked",
                    G_CALLBACK (on_ColorDefault_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) Resolution_radiobutton, "toggled",
                    G_CALLBACK (on_Resolution_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Scale_radiobutton, "toggled",
                    G_CALLBACK (on_Scale_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PageScale_radiobutton, "toggled",
                    G_CALLBACK (on_PageScale_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionTL_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionTL_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionTC_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionTC_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionTR_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionTR_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionCL_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionCL_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionCC_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionCC_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionCR_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionCR_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionBL_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionBL_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionBC_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionBC_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ImgPositionBR_radiobutton, "toggled",
                    G_CALLBACK (on_ImgPositionBR_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) TextColumns_spinbutton, "value_changed",
                    G_CALLBACK (on_TextColumns_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) TextCPI_spinbutton, "value_changed",
                    G_CALLBACK (on_TextCPI_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) TextLPI_spinbutton, "value_changed",
                    G_CALLBACK (on_TextLPI_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) CustomMargin_checkbutton, "toggled",
                    G_CALLBACK (on_CustomMargin_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) MarginBottom_spinbutton, "value_changed",
                    G_CALLBACK (on_MarginBottom_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) MarginLeft_spinbutton, "value_changed",
                    G_CALLBACK (on_MarginLeft_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) MarginRight_spinbutton, "value_changed",
                    G_CALLBACK (on_MarginRight_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) MarginTop_spinbutton, "value_changed",
                    G_CALLBACK (on_MarginTop_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) PrettyPrint_checkbutton, "toggled",
                    G_CALLBACK (on_PrettyPrint_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) HPGL2BlackPen_checkbutton, "toggled",
                    G_CALLBACK (on_HPGL2BlackPen_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) HPGL2FitPlot_checkbutton, "toggled",
                    G_CALLBACK (on_HPGL2FitPlot_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) HPGL2PenWidth_spinbutton, "value_changed",
                    G_CALLBACK (on_HPGL2PenWidth_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) PropOK_button, "clicked",
                    G_CALLBACK (on_PropOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) PropSave_button, "clicked",
                    G_CALLBACK (on_PropSave_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) PropCancel_button, "clicked",
                    G_CALLBACK (on_PropCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (PropertiesDlg, PropertiesDlg, "PropertiesDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (PropertiesDlg, dialog_vbox2, "dialog_vbox2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox4, "vbox4");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PropDlg_notebook, "PropDlg_notebook");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox5, "vbox5");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSetting_frame, "PaperSetting_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox30, "vbox30");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSize_frame, "PaperSize_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox36, "hbox36");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label95, "label95");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSize_combo, "PaperSize_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSize_combo_entry, "PaperSize_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame4, "frame4");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table2, "table2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Landscape_radiobutton, "Landscape_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Portrait_radiobutton, "Portrait_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ReversePortrait_radiobutton, "ReversePortrait_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ReverseLandscape_radiobutton, "ReverseLandscape_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label96, "label96");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame5, "frame5");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table3, "table3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Nup_combo, "Nup_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Nup_combo_entry, "Nup_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label127, "label127");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label97, "label97");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame6, "frame6");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table4, "table4");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label21, "label21");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BrightnessValue_label, "BrightnessValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, GammaValue_label, "GammaValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BrightnessValue_hscale, "BrightnessValue_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label20, "label20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, GammaValue_hscale, "GammaValue_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label128, "label128");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Banner_frame, "Banner_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table5, "table5");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label25, "label25");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label24, "label24");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BannerEnd_combo, "BannerEnd_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BannerEnd_combo_entry, "BannerEnd_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BannerStart_combo, "BannerStart_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BannerStart_combo_entry, "BannerStart_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label129, "label129");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label7, "label7");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox13, "vbox13");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame14, "frame14");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox14, "vbox14");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table19, "table19");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label55, "label55");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox9, "hbuttonbox9");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BookletSetting_button, "BookletSetting_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sided1Print_radiobutton, "Sided1Print_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sided2Print_radiobutton, "Sided2Print_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BookletPrint_radiobutton, "BookletPrint_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator4, "hseparator4");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Finishing_frame, "Finishing_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox15, "vbox15");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BindingLocation_label, "BindingLocation_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BindingLocation_hbox, "BindingLocation_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BindingLocation_combo, "BindingLocation_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, BindingLocation_combo_entry, "BindingLocation_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox8, "hbuttonbox8");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Gutter_button, "Gutter_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinishingSel_hbox, "FinishingSel_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label130, "label130");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinCollate_combo, "FinCollate_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinCollate_combo_entry, "FinCollate_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table10, "table10");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label58, "label58");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinHolePanch_checkbutton, "FinHolePanch_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinOffset_checkbutton, "FinOffset_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinRotate_checkbutton, "FinRotate_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinZfold_checkbutton, "FinZfold_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinCfold_checkbutton, "FinCfold_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinCfoldSetting_combo, "FinCfoldSetting_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinCfoldSetting_combo_entry, "FinCfoldSetting_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinStaple_hbox, "FinStaple_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label131, "label131");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label132, "label132");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, StaplePosition_combo, "StaplePosition_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, StaplePosition_combo_entry, "StaplePosition_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OffsetCopyNum_frame, "OffsetCopyNum_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox74, "vbox74");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox84, "hbox84");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label219, "label219");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label220, "label220");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OffsetCopyNum_spinbutton, "OffsetCopyNum_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label221, "label221");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinBooklet_frame, "FinBooklet_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox16, "vbox16");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SaddleStich_checkbutton, "SaddleStich_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, UseTrimmer_checkbutton, "UseTrimmer_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimWidthAdjusting_frame, "TrimWidthAdjusting_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table25, "table25");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label255, "label255");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimDeviceSetting_radiobutton, "TrimDeviceSetting_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimManualSetting_radiobutton, "TrimManualSetting_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimWidthAdjusting_label, "TrimWidthAdjusting_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimWidth_hbox, "TrimWidth_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label258, "label258");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label256, "label256");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimWidth_spinbutton, "TrimWidth_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label257, "label257");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label162, "label162");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperDisit_frame, "PaperDisit_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox39, "hbox39");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label98, "label98");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperDisti_combo, "PaperDisti_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperDisti_combo_entry, "PaperDisti_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintMode_frame, "SpecialPrintMode_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintMode_hbox, "SpecialPrintMode_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintMode_label, "SpecialPrintMode_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintMode_combo, "SpecialPrintMode_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintMode_combo_entry, "SpecialPrintMode_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentA_frame, "SpecialPrintAdjustmentA_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentA_hbox, "SpecialPrintAdjustmentA_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentA_label, "SpecialPrintAdjustmentA_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentA_combo, "SpecialPrintAdjustmentA_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentA_combo_entry, "SpecialPrintAdjustmentA_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentB_frame, "SpecialPrintAdjustmentB_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentB_hbox, "SpecialPrintAdjustmentB_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentB_label, "SpecialPrintAdjustmentB_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentB_combo, "SpecialPrintAdjustmentB_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpecialPrintAdjustmentB_combo_entry, "SpecialPrintAdjustmentB_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator20, "hseparator20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinOutputSide_frame, "FinOutputSide_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox72, "hbox72");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label160, "label160");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputSide_combo, "OutputSide_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputSide_combo_entry, "OutputSide_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_frame, "ImgSpecialProc_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_vbox, "ImgSpecialProc_vbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_hbox, "ImgSpecialProc_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_label, "ImgSpecialProc_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_combo, "ImgSpecialProc_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgSpecialProc_combo_entry, "ImgSpecialProc_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSettings_frame, "AdvancedSettings_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox82, "vbox82");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator30, "hseparator30");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label253, "label253");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox27, "hbuttonbox27");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSettings_button, "AdvancedSettings_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label252, "label252");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OHPPrintMode_frame, "OHPPrintMode_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OHPPrintMode_hbox, "OHPPrintMode_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OHPPrintMode_label, "OHPPrintMode_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OHPPrintMode_combo, "OHPPrintMode_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OHPPrintMode_combo_entry, "OHPPrintMode_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinDetails_frame, "FinDetails_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox56, "vbox56");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator19, "hseparator19");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label161, "label161");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox19, "hbuttonbox19");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FinDetail_button, "FinDetail_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label8, "label8");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox39, "vbox39");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSourceSettings_frame, "PaperSourceSettings_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox17, "vbox17");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SelectBy_frame, "SelectBy_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table20, "table20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label139, "label139");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSource_radiobutton, "PaperSource_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperType_radiobutton, "PaperType_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label163, "label163");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSource_frame, "PaperSource_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox38, "hbox38");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSourceLabel, "PaperSourceLabel");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSource_combo, "PaperSource_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSource_combo_entry, "PaperSource_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperType_frame, "PaperType_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox37, "hbox37");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperTypeLabel, "PaperTypeLabel");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperType_combo, "PaperType_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperType_combo_entry, "PaperType_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_frame, "Interleaf_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_vbox, "Interleaf_vbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_top_hseparator, "Interleaf_top_hseparator");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_hbox1, "Interleaf_hbox1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_checkbutton, "Interleaf_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, InterleafMediaType_combo, "InterleafMediaType_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, InterleafMediaType_combo_entry, "InterleafMediaType_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interlaf_hbox2, "Interlaf_hbox2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, InterleafDummy_label, "InterleafDummy_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PrintInterleaf_checkbutton, "PrintInterleaf_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Interleaf_btm_hseparator, "Interleaf_btm_hseparator");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Inserter_checkbutton, "Inserter_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FrontBackCoverSettings_frame, "FrontBackCoverSettings_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox69, "vbox69");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox24, "hbuttonbox24");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FrontBackCvrSet_button, "FrontBackCvrSet_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label9, "label9");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox43, "vbox43");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame20, "frame20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox19, "vbox19");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox40, "vbox40");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityReso_frame, "QualityReso_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox40, "hbox40");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ResolutionLabel, "ResolutionLabel");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityReso_combo, "QualityReso_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityReso_combo_entry, "QualityReso_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ColorMode_frame, "ColorMode_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox20, "hbox20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label68, "label68");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ColorMode_combo, "ColorMode_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ColorMode_Combo_entry, "ColorMode_Combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ColorHalftone_hbox, "ColorHalftone_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label164, "label164");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityClrHalftone_combo, "QualityClrHalftone_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityClrHalftone_combo_entry, "QualityClrHalftone_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Halftone_hbox, "Halftone_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label103, "label103");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityHalftone_combo, "QualityHalftone_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityHalftone_combo_entry, "QualityHalftone_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerSave_hbox, "TonerSave_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label100, "label100");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityTonerSave_combo, "QualityTonerSave_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityTonerSave_combo_entry, "QualityTonerSave_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DraftMode_hbox, "DraftMode_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityDraftMode_label, "QualityDraftMode_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityDraftMode_combo, "QualityDraftMode_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityDraftMode_combo_entry, "QualityDraftMode_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGrayComp_frame, "QualityGrayComp_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox54, "hbox54");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, GrayCompensationLabel, "GrayCompensationLabel");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGrayComp_combo, "QualityGrayComp_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGrayComp_combo_entry, "QualityGrayComp_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerVolumeAdjustment_frame, "TonerVolumeAdjustment_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerVolumeAdjustment_hbox, "TonerVolumeAdjustment_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerVolumeAdjustment_label, "TonerVolumeAdjustment_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerVolumeAdjustment_combo, "TonerVolumeAdjustment_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerVolumeAdjustment_combo_entry, "TonerVolumeAdjustment_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, LineControl_frame, "LineControl_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, LineControl_hbox, "LineControl_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, LineControl_label, "LineControl_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, LineControl_combo, "LineControl_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, LineControl_combo_entry, "LineControl_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox61, "vbox61");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGradeSmooth_frame, "QualityGradeSmooth_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox77, "hbox77");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label168, "label168");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGradeSmooth_combo, "QualityGradeSmooth_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityGradeSmooth_combo_entry, "QualityGradeSmooth_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityImgRefine_frame, "QualityImgRefine_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox78, "hbox78");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label169, "label169");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityImgRefine_combo, "QualityImgRefine_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityImgRefine_combo_entry, "QualityImgRefine_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityLineRefine_frame, "QualityLineRefine_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox79, "hbox79");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label170, "label170");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityLineRefine_combo, "QualityLineRefine_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityLineRefine_combo_entry, "QualityLineRefine_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImageCompression_frame, "ImageCompression_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox83, "hbox83");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label214, "label214");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImageCompression_combo, "ImageCompression_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImageCompression_combo_entry, "ImageCompression_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpotColorMatching_hbox, "SpotColorMatching_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpotColorMatching_label, "SpotColorMatching_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpotColorMatching_combo, "SpotColorMatching_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SpotColorMatching_combo_entry, "SpotColorMatching_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSmooth_hbox, "AdvancedSmooth_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSmooth_label, "AdvancedSmooth_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSmooth_combo, "AdvancedSmooth_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AdvancedSmooth_combo_entry, "AdvancedSmooth_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityProfileSettings_vbox, "QualityProfileSettings_vbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityProfileSettingDummy_label, "QualityProfileSettingDummy_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox22, "hbuttonbox22");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ProfileSettings_button, "ProfileSettings_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityCAPT_vbox, "QualityCAPT_vbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator15, "hseparator15");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MonoDensity5_table, "MonoDensity5_table");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label154, "label154");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerDensity1_radiobutton, "Capt21TonerDensity1_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerDensity2_radiobutton, "Capt21TonerDensity2_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerDensity3_radiobutton, "Capt21TonerDensity3_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerDensity4_radiobutton, "Capt21TonerDensity4_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerDensity5_radiobutton, "Capt21TonerDensity5_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label155, "label155");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label153, "label153");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerDensity16_frame, "TonerDensity16_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox59, "vbox59");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label166, "label166");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table22, "table22");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Black_label1, "Black_label1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Black_label2, "Black_label2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Black_label3, "Black_label3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Yellow_label1, "Yellow_label1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Yellow_label2, "Yellow_label2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Yellow_label3, "Yellow_label3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Magenta_label1, "Magenta_label1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Magenta_label2, "Magenta_label2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Magenta_label3, "Magenta_label3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Cyan_label1, "Cyan_label1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Cyan_label2, "Cyan_label2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Cyan_label3, "Cyan_label3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Cyan_hscale, "Cyan_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Magenta_hscale, "Magenta_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Yellow_hscale, "Yellow_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Black_hscale, "Black_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Cyan_drawingarea, "Cyan_drawingarea");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Magenta_drawingarea, "Magenta_drawingarea");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Yellow_drawingarea, "Yellow_drawingarea");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Black_drawingarea, "Black_drawingarea");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Capt21TonerSave_checkbutton, "Capt21TonerSave_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, KeepGray_frame, "KeepGray_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox58, "vbox58");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator22, "hseparator22");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox76, "hbox76");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label165, "label165");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityKeepGray_combo, "QualityKeepGray_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualityKeepGray_combo_entry, "QualityKeepGray_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SmallSizeCurl_hbox, "SmallSizeCurl_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualitySmallSizeCurl_label, "QualitySmallSizeCurl_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualitySmallSizeCurl_combo, "QualitySmallSizeCurl_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, QualitySmallSizeCurl_combo_entry, "QualitySmallSizeCurl_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sharpness_table, "Sharpness_table");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sharpness_checkbutton, "Sharpness_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sharpness_drawingarea, "Sharpness_drawingarea");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label241, "label241");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label240, "label240");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sharpness_hscale, "Sharpness_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Sharpness_label, "Sharpness_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label10, "label10");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox42, "vbox42");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputMethod_frame, "OutputMethod_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox20, "vbox20");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox25, "hbox25");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label72, "label72");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputMethod_combo, "OutputMethod_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputMethod_combo_entry, "OutputMethod_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputMethod_button, "OutputMethod_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DeviceSetting_frame, "DeviceSetting_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox44, "vbox44");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputOption_table, "OutputOption_table");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label126, "label126");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputOption_combo, "OutputOption_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, OutputOption_combo_entry, "OutputOption_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SaddleFinisherG1_checkbutton, "SaddleFinisherG1_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperFolding_checkbutton, "PaperFolding_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PuncherUnit_checkbutton, "PuncherUnit_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TrimmerUnit_checkbutton, "TrimmerUnit_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SourceOption_vbox, "SourceOption_vbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox73, "hbox73");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PaperSourceOptionLabel, "PaperSourceOptionLabel");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SourceOption_combo, "SourceOption_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SourceOption_combo_entry, "SourceOption_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator21, "hseparator21");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DocInsertUnit_checkbutton, "DocInsertUnit_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DuplexUnit_checkbutton, "DuplexUnit_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Staple_checkbutton, "Staple_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, EnableTrustPrint_checkbutton, "EnableTrustPrint_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, JobAccounting_frame, "JobAccounting_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox45, "vbox45");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator13, "hseparator13");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox69, "hbox69");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, JobAccouting_checkbutton, "JobAccouting_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox18, "hbuttonbox18");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, JobAccount_button, "JobAccount_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox70, "hbox70");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label151, "label151");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, AllowPasswd_checkbutton, "AllowPasswd_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DisableJobAccounting_box, "DisableJobAccounting_box");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label167, "label167");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, DisableJobAccountingBW_checkbutton, "DisableJobAccountingBW_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label171, "label171");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label116, "label116");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox22, "vbox22");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox41, "vbox41");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame41, "frame41");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperSource_hbox, "CaptPaperSource_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label120, "label120");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperSource_combo, "CaptPaperSource_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperSource_combo_entry, "CaptPaperSource_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame40, "frame40");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperType_hbox, "CaptPaperType_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label119, "label119");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperType_combo, "CaptPaperType_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptPaperType_combo_entry, "CaptPaperType_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptFin_frame, "CaptFin_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptCollate_checkbutton, "CaptCollate_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label172, "label172");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptQuality_frame, "CaptQuality_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox23, "vbox23");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table14, "table14");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label74, "label74");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptHalftoneP1_radiobutton, "CaptHalftoneP1_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptHalftoneP2_radiobutton, "CaptHalftoneP2_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptHalftoneSmooth_radiobutton, "CaptHalftoneSmooth_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label173, "label173");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptDetail_frame, "CaptDetail_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox25, "vbox25");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerDensity_frame, "TonerDensity_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TonerDensity_hbox, "TonerDensity_hbox");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label82, "label82");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerDensity1_radiobutton, "CaptTonerDensity1_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerDensity2_radiobutton, "CaptTonerDensity2_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerDensity3_radiobutton, "CaptTonerDensity3_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerDensity4_radiobutton, "CaptTonerDensity4_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerDensity5_radiobutton, "CaptTonerDensity5_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label83, "label83");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label175, "label175");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CaptTonerSave_checkbutton, "CaptTonerSave_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator14, "hseparator14");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgRefinement_checkbutton, "ImgRefinement_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label174, "label174");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label122, "label122");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox36, "vbox36");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox6, "hbox6");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label12, "label12");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Filter_combo, "Filter_combo");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Filter_combo_entry, "Filter_combo_entry");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FilterImage_frame, "FilterImage_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox37, "vbox37");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgColorSetting_frame, "ImgColorSetting_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox7, "vbox7");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table6, "table6");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, SaturationValue_label, "SaturationValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label27, "label27");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label29, "label29");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Hue_hscale, "Hue_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Saturation_hscale, "Saturation_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, HueValue_label, "HueValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox4, "hbuttonbox4");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ColorDefault_button, "ColorDefault_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label177, "label177");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox7, "hbox7");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame9, "frame9");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox8, "vbox8");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox8, "hbox8");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Resolution_radiobutton, "Resolution_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ResolutionValue_label, "ResolutionValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgReso_hscale, "ImgReso_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox9, "hbox9");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Scale_radiobutton, "Scale_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ScaleValue_label, "ScaleValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPercent_hscale, "ImgPercent_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox71, "hbox71");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PageScale_radiobutton, "PageScale_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PageScaleValue_label, "PageScaleValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPagePercent_hscale, "ImgPagePercent_hscale");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label178, "label178");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame10, "frame10");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table7, "table7");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionTL_radiobutton, "ImgPositionTL_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionTC_radiobutton, "ImgPositionTC_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionTR_radiobutton, "ImgPositionTR_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionCL_radiobutton, "ImgPositionCL_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionCC_radiobutton, "ImgPositionCC_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionCR_radiobutton, "ImgPositionCR_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionBL_radiobutton, "ImgPositionBL_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionBC_radiobutton, "ImgPositionBC_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, ImgPositionBR_radiobutton, "ImgPositionBR_radiobutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label179, "label179");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label176, "label176");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FilterText_frame, "FilterText_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox38, "vbox38");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame11, "frame11");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, table8, "table8");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator3, "hseparator3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator2, "hseparator2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hseparator1, "hseparator1");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label36, "label36");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TextColumns_spinbutton, "TextColumns_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label34, "label34");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label35, "label35");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label38, "label38");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label37, "label37");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TextCPI_spinbutton, "TextCPI_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, TextLPI_spinbutton, "TextLPI_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label39, "label39");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label181, "label181");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame12, "frame12");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox10, "vbox10");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox10, "hbox10");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label40, "label40");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, CustomMargin_checkbutton, "CustomMargin_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, Margin_table, "Margin_table");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label, "label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label43, "label43");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label44, "label44");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginTopValue_label, "MarginTopValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginBottomValue_label, "MarginBottomValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginLeftValue_label, "MarginLeftValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginRightValue_label, "MarginRightValue_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginBottom_spinbutton, "MarginBottom_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginLeft_spinbutton, "MarginLeft_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginRight_spinbutton, "MarginRight_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginTop_spinbutton, "MarginTop_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, MarginTop_label, "MarginTop_label");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label182, "label182");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PrettyPrint_checkbutton, "PrettyPrint_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label180, "label180");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, FilterHPGL2_frame, "FilterHPGL2_frame");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, frame13, "frame13");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, vbox12, "vbox12");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, HPGL2BlackPen_checkbutton, "HPGL2BlackPen_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, HPGL2FitPlot_checkbutton, "HPGL2FitPlot_checkbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbox11, "hbox11");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label51, "label51");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, HPGL2PenWidth_spinbutton, "HPGL2PenWidth_spinbutton");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label52, "label52");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label183, "label183");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label114, "label114");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, label123, "label123");
  GLADE_HOOKUP_OBJECT_NO_REF (PropertiesDlg, dialog_action_area2, "dialog_action_area2");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, hbuttonbox3, "hbuttonbox3");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PropOK_button, "PropOK_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PropSave_button, "PropSave_button");
  GLADE_HOOKUP_OBJECT (PropertiesDlg, PropCancel_button, "PropCancel_button");

  return PropertiesDlg;
}

GtkWidget*
create_BookletDlg (void)
{
  GtkWidget *BookletDlg;
  GtkWidget *dialog_vbox3;
  GtkWidget *vbox48;
  GtkWidget *frame27;
  GtkWidget *hbox31;
  GtkWidget *label86;
  GtkWidget *BookletDlgOpening_combo;
  GList *BookletDlgOpening_combo_items = NULL;
  GtkWidget *BookletDlgOpening_combo_entry;
  GtkWidget *hseparator26;
  GtkWidget *CreepUse_checkbutton;
  GtkWidget *Creep_frame;
  GtkWidget *vbox73;
  GtkWidget *DeviceSetting_radiobutton;
  GSList *DeviceSetting_radiobutton_group = NULL;
  GtkWidget *Auto_radiobutton;
  GtkWidget *Manual_radiobutton;
  GtkWidget *label207;
  GtkWidget *hbox82;
  GtkWidget *CorrectWidth_label;
  GtkObject *CorrectWidth_spinbutton_adj;
  GtkWidget *CorrectWidth_spinbutton;
  GtkWidget *CorrectRange_label;
  GtkWidget *hseparator27;
  GtkWidget *dialog_action_area3;
  GtkWidget *hbuttonbox10;
  GtkWidget *BookletDlgOK_button;
  GtkWidget *BookletDlgCancel_button;

  BookletDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (BookletDlg), _("Booklet"));
  gtk_window_set_modal (GTK_WINDOW (BookletDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (BookletDlg), FALSE);

  dialog_vbox3 = GTK_DIALOG (BookletDlg)->vbox;
  gtk_widget_show (dialog_vbox3);

  vbox48 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox48);
  gtk_box_pack_start (GTK_BOX (dialog_vbox3), vbox48, FALSE, FALSE, 5);

  frame27 = gtk_frame_new (NULL);
  gtk_widget_show (frame27);
  gtk_box_pack_start (GTK_BOX (vbox48), frame27, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame27), GTK_SHADOW_NONE);

  hbox31 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox31);
  gtk_container_add (GTK_CONTAINER (frame27), hbox31);
  gtk_widget_set_size_request (hbox31, 369, 75);

  label86 = gtk_label_new (_("Book Opening:"));
  gtk_widget_show (label86);
  gtk_box_pack_start (GTK_BOX (hbox31), label86, TRUE, TRUE, 5);
  gtk_misc_set_alignment (GTK_MISC (label86), 0, 0.5);

  BookletDlgOpening_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BookletDlgOpening_combo)->popwin),
                     "GladeParentKey", BookletDlgOpening_combo);
  gtk_widget_show (BookletDlgOpening_combo);
  gtk_box_pack_start (GTK_BOX (hbox31), BookletDlgOpening_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BookletDlgOpening_combo), 5);
  BookletDlgOpening_combo_items = g_list_append (BookletDlgOpening_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BookletDlgOpening_combo), BookletDlgOpening_combo_items);
  g_list_free (BookletDlgOpening_combo_items);

  BookletDlgOpening_combo_entry = GTK_COMBO (BookletDlgOpening_combo)->entry;
  gtk_widget_show (BookletDlgOpening_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BookletDlgOpening_combo_entry), FALSE);

  hseparator26 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox48), hseparator26, TRUE, TRUE, 0);

  CreepUse_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Creep(Displacement) Correction"));
  gtk_box_pack_start (GTK_BOX (vbox48), CreepUse_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CreepUse_checkbutton), 5);

  Creep_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox48), Creep_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Creep_frame), 5);

  vbox73 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox73);
  gtk_container_add (GTK_CONTAINER (Creep_frame), vbox73);
  gtk_container_set_border_width (GTK_CONTAINER (vbox73), 10);

  DeviceSetting_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Apply Device Settings"));
  gtk_widget_show (DeviceSetting_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox73), DeviceSetting_radiobutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (DeviceSetting_radiobutton), 4);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (DeviceSetting_radiobutton), DeviceSetting_radiobutton_group);
  DeviceSetting_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (DeviceSetting_radiobutton));

  Auto_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Automatic Correction"));
  gtk_widget_show (Auto_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox73), Auto_radiobutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Auto_radiobutton), 4);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Auto_radiobutton), DeviceSetting_radiobutton_group);
  DeviceSetting_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Auto_radiobutton));

  Manual_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Manual Correction"));
  gtk_widget_show (Manual_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox73), Manual_radiobutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (Manual_radiobutton), 4);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (Manual_radiobutton), DeviceSetting_radiobutton_group);
  DeviceSetting_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (Manual_radiobutton));

  label207 = gtk_label_new (_("Displacement Correction Method"));
  gtk_widget_show (label207);
  gtk_frame_set_label_widget (GTK_FRAME (Creep_frame), label207);
  gtk_label_set_justify (GTK_LABEL (label207), GTK_JUSTIFY_LEFT);

  hbox82 = gtk_hbox_new (FALSE, 4);
  gtk_box_pack_start (GTK_BOX (vbox48), hbox82, TRUE, TRUE, 0);

  CorrectWidth_label = gtk_label_new (_("Correction Width:"));
  gtk_widget_show (CorrectWidth_label);
  gtk_box_pack_start (GTK_BOX (hbox82), CorrectWidth_label, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (CorrectWidth_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CorrectWidth_label), 0.9, 0.5);

  CorrectWidth_spinbutton_adj = gtk_adjustment_new (10, 0, 10, 0.01, 10, 10);
  CorrectWidth_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (CorrectWidth_spinbutton_adj), 1, 2);
  gtk_widget_show (CorrectWidth_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox82), CorrectWidth_spinbutton, FALSE, TRUE, 0);
  gtk_widget_set_size_request (CorrectWidth_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (CorrectWidth_spinbutton), TRUE);

  CorrectRange_label = gtk_label_new (_("mm(0.00 to 10.00)"));
  gtk_widget_show (CorrectRange_label);
  gtk_box_pack_start (GTK_BOX (hbox82), CorrectRange_label, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (CorrectRange_label), 7.45058e-09, 0.5);

  hseparator27 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox48), hseparator27, TRUE, TRUE, 0);

  dialog_action_area3 = GTK_DIALOG (BookletDlg)->action_area;
  gtk_widget_show (dialog_action_area3);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area3), GTK_BUTTONBOX_END);

  hbuttonbox10 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox10);
  gtk_container_add (GTK_CONTAINER (dialog_action_area3), hbuttonbox10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox10), GTK_BUTTONBOX_END);

  BookletDlgOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (BookletDlgOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox10), BookletDlgOK_button);
  GTK_WIDGET_SET_FLAGS (BookletDlgOK_button, GTK_CAN_DEFAULT);

  BookletDlgCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (BookletDlgCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox10), BookletDlgCancel_button);
  GTK_WIDGET_SET_FLAGS (BookletDlgCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) BookletDlg, "delete_event",
                    G_CALLBACK (on_BookletDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) BookletDlg, "destroy",
                    G_CALLBACK (on_BookletDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) BookletDlgOpening_combo_entry, "changed",
                    G_CALLBACK (on_BookletDlgOpening_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) CreepUse_checkbutton, "toggled",
                    G_CALLBACK (on_CreepUse_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) DeviceSetting_radiobutton, "toggled",
                    G_CALLBACK (on_DeviceSetting_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Auto_radiobutton, "toggled",
                    G_CALLBACK (on_Auto_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) Manual_radiobutton, "toggled",
                    G_CALLBACK (on_Manual_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CorrectWidth_spinbutton, "value_changed",
                    G_CALLBACK (on_CorrectWidth_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) BookletDlgOK_button, "clicked",
                    G_CALLBACK (on_BookletDlgOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) BookletDlgCancel_button, "clicked",
                    G_CALLBACK (on_BookletDlgCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (BookletDlg, BookletDlg, "BookletDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (BookletDlg, dialog_vbox3, "dialog_vbox3");
  GLADE_HOOKUP_OBJECT (BookletDlg, vbox48, "vbox48");
  GLADE_HOOKUP_OBJECT (BookletDlg, frame27, "frame27");
  GLADE_HOOKUP_OBJECT (BookletDlg, hbox31, "hbox31");
  GLADE_HOOKUP_OBJECT (BookletDlg, label86, "label86");
  GLADE_HOOKUP_OBJECT (BookletDlg, BookletDlgOpening_combo, "BookletDlgOpening_combo");
  GLADE_HOOKUP_OBJECT (BookletDlg, BookletDlgOpening_combo_entry, "BookletDlgOpening_combo_entry");
  GLADE_HOOKUP_OBJECT (BookletDlg, hseparator26, "hseparator26");
  GLADE_HOOKUP_OBJECT (BookletDlg, CreepUse_checkbutton, "CreepUse_checkbutton");
  GLADE_HOOKUP_OBJECT (BookletDlg, Creep_frame, "Creep_frame");
  GLADE_HOOKUP_OBJECT (BookletDlg, vbox73, "vbox73");
  GLADE_HOOKUP_OBJECT (BookletDlg, DeviceSetting_radiobutton, "DeviceSetting_radiobutton");
  GLADE_HOOKUP_OBJECT (BookletDlg, Auto_radiobutton, "Auto_radiobutton");
  GLADE_HOOKUP_OBJECT (BookletDlg, Manual_radiobutton, "Manual_radiobutton");
  GLADE_HOOKUP_OBJECT (BookletDlg, label207, "label207");
  GLADE_HOOKUP_OBJECT (BookletDlg, hbox82, "hbox82");
  GLADE_HOOKUP_OBJECT (BookletDlg, CorrectWidth_label, "CorrectWidth_label");
  GLADE_HOOKUP_OBJECT (BookletDlg, CorrectWidth_spinbutton, "CorrectWidth_spinbutton");
  GLADE_HOOKUP_OBJECT (BookletDlg, CorrectRange_label, "CorrectRange_label");
  GLADE_HOOKUP_OBJECT (BookletDlg, hseparator27, "hseparator27");
  GLADE_HOOKUP_OBJECT_NO_REF (BookletDlg, dialog_action_area3, "dialog_action_area3");
  GLADE_HOOKUP_OBJECT (BookletDlg, hbuttonbox10, "hbuttonbox10");
  GLADE_HOOKUP_OBJECT (BookletDlg, BookletDlgOK_button, "BookletDlgOK_button");
  GLADE_HOOKUP_OBJECT (BookletDlg, BookletDlgCancel_button, "BookletDlgCancel_button");

  return BookletDlg;
}

GtkWidget*
create_GutterSettingDlg (void)
{
  GtkWidget *GutterSettingDlg;
  GtkWidget *dialog_vbox4;
  GtkWidget *GutterSetting_frame;
  GtkWidget *hbox33;
  GtkWidget *label89;
  GtkObject *GutterSettingDlg_spinbutton_adj;
  GtkWidget *GutterSettingDlg_spinbutton;
  GtkWidget *GutterValue_label;
  GtkWidget *label184;
  GtkWidget *dialog_action_area4;
  GtkWidget *hbuttonbox11;
  GtkWidget *GutterSettingOK_button;
  GtkWidget *GutterSettingCancel_button;

  GutterSettingDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (GutterSettingDlg), _("Gutter Settings"));
  gtk_window_set_modal (GTK_WINDOW (GutterSettingDlg), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (GutterSettingDlg), 260, -1);
  gtk_window_set_resizable (GTK_WINDOW (GutterSettingDlg), FALSE);

  dialog_vbox4 = GTK_DIALOG (GutterSettingDlg)->vbox;
  gtk_widget_show (dialog_vbox4);

  GutterSetting_frame = gtk_frame_new (NULL);
  gtk_widget_show (GutterSetting_frame);
  gtk_box_pack_start (GTK_BOX (dialog_vbox4), GutterSetting_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (GutterSetting_frame), 5);

  hbox33 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox33);
  gtk_container_add (GTK_CONTAINER (GutterSetting_frame), hbox33);

  label89 = gtk_label_new (_("Gutter:"));
  gtk_widget_show (label89);
  gtk_box_pack_start (GTK_BOX (hbox33), label89, TRUE, TRUE, 5);
  gtk_misc_set_alignment (GTK_MISC (label89), 0, 0.5);

  GutterSettingDlg_spinbutton_adj = gtk_adjustment_new (0, 0, 30, 1, 10, 10);
  GutterSettingDlg_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (GutterSettingDlg_spinbutton_adj), 1, 0);
  gtk_widget_show (GutterSettingDlg_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox33), GutterSettingDlg_spinbutton, FALSE, FALSE, 0);

  GutterValue_label = gtk_label_new (_("mm [0 to 30]"));
  gtk_widget_show (GutterValue_label);
  gtk_box_pack_start (GTK_BOX (hbox33), GutterValue_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (GutterValue_label), 7.45058e-09, 0.5);

  label184 = gtk_label_new (_("Gutter Settings"));
  gtk_widget_show (label184);
  gtk_frame_set_label_widget (GTK_FRAME (GutterSetting_frame), label184);
  gtk_label_set_justify (GTK_LABEL (label184), GTK_JUSTIFY_LEFT);

  dialog_action_area4 = GTK_DIALOG (GutterSettingDlg)->action_area;
  gtk_widget_show (dialog_action_area4);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area4), GTK_BUTTONBOX_END);

  hbuttonbox11 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox11);
  gtk_container_add (GTK_CONTAINER (dialog_action_area4), hbuttonbox11);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox11), GTK_BUTTONBOX_END);

  GutterSettingOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (GutterSettingOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox11), GutterSettingOK_button);
  GTK_WIDGET_SET_FLAGS (GutterSettingOK_button, GTK_CAN_DEFAULT);

  GutterSettingCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (GutterSettingCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox11), GutterSettingCancel_button);
  GTK_WIDGET_SET_FLAGS (GutterSettingCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) GutterSettingDlg, "delete_event",
                    G_CALLBACK (on_GutterSettingDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) GutterSettingDlg, "destroy",
                    G_CALLBACK (on_GutterSettingDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) GutterSettingDlg_spinbutton, "value_changed",
                    G_CALLBACK (on_GutterSettingDlg_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) GutterSettingOK_button, "clicked",
                    G_CALLBACK (on_GutterSettingOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) GutterSettingCancel_button, "clicked",
                    G_CALLBACK (on_GutterSettingCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (GutterSettingDlg, GutterSettingDlg, "GutterSettingDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (GutterSettingDlg, dialog_vbox4, "dialog_vbox4");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, GutterSetting_frame, "GutterSetting_frame");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, hbox33, "hbox33");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, label89, "label89");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, GutterSettingDlg_spinbutton, "GutterSettingDlg_spinbutton");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, GutterValue_label, "GutterValue_label");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, label184, "label184");
  GLADE_HOOKUP_OBJECT_NO_REF (GutterSettingDlg, dialog_action_area4, "dialog_action_area4");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, hbuttonbox11, "hbuttonbox11");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, GutterSettingOK_button, "GutterSettingOK_button");
  GLADE_HOOKUP_OBJECT (GutterSettingDlg, GutterSettingCancel_button, "GutterSettingCancel_button");

  return GutterSettingDlg;
}

GtkWidget*
create_IdPassWdDlg (void)
{
  GtkWidget *IdPassWdDlg;
  GtkWidget *dialog_vbox5;
  GtkWidget *table21;
  GtkWidget *UsrName_ID_label;
  GtkWidget *Passwd_label;
  GtkWidget *UsrName_ID_Text_label;
  GtkWidget *PasswdText_label;
  GtkWidget *DocName_label;
  GtkWidget *DocName_entry;
  GtkWidget *PassWd_entry;
  GtkWidget *ID_entry;
  GtkWidget *dialog_action_area5;
  GtkWidget *hbuttonbox16;
  GtkWidget *IdPassWdOK_button;
  GtkWidget *IdPassWdCancel_button;

  IdPassWdDlg = gtk_dialog_new ();
  gtk_window_set_modal (GTK_WINDOW (IdPassWdDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (IdPassWdDlg), FALSE);

  dialog_vbox5 = GTK_DIALOG (IdPassWdDlg)->vbox;
  gtk_widget_show (dialog_vbox5);

  table21 = gtk_table_new (3, 3, FALSE);
  gtk_widget_show (table21);
  gtk_box_pack_start (GTK_BOX (dialog_vbox5), table21, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (table21), 6);

  UsrName_ID_label = gtk_label_new (_("User Name"));
  gtk_table_attach (GTK_TABLE (table21), UsrName_ID_label, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (UsrName_ID_label), 0, 0.5);

  Passwd_label = gtk_label_new (_("Password:"));
  gtk_table_attach (GTK_TABLE (table21), Passwd_label, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (Passwd_label), 1.04308e-07, 0.5);

  UsrName_ID_Text_label = gtk_label_new (_("Max 32 Characters"));
  gtk_table_attach (GTK_TABLE (table21), UsrName_ID_Text_label, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  PasswdText_label = gtk_label_new (_("[0 to 9999999]"));
  gtk_table_attach (GTK_TABLE (table21), PasswdText_label, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PasswdText_label), 0.05, 0.5);

  DocName_label = gtk_label_new (_("Document Name:"));
  gtk_table_attach (GTK_TABLE (table21), DocName_label, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (DocName_label), 0, 0.5);

  DocName_entry = gtk_entry_new ();
  gtk_table_attach (GTK_TABLE (table21), DocName_entry, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 5, 5);

  PassWd_entry = gtk_entry_new ();
  gtk_table_attach (GTK_TABLE (table21), PassWd_entry, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 5, 5);
  gtk_entry_set_max_length (GTK_ENTRY (PassWd_entry), 7);

  ID_entry = gtk_entry_new ();
  gtk_table_attach (GTK_TABLE (table21), ID_entry, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 5, 5);

  dialog_action_area5 = GTK_DIALOG (IdPassWdDlg)->action_area;
  gtk_widget_show (dialog_action_area5);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area5), GTK_BUTTONBOX_END);

  hbuttonbox16 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox16);
  gtk_container_add (GTK_CONTAINER (dialog_action_area5), hbuttonbox16);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox16), GTK_BUTTONBOX_END);

  IdPassWdOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (IdPassWdOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox16), IdPassWdOK_button);
  GTK_WIDGET_SET_FLAGS (IdPassWdOK_button, GTK_CAN_DEFAULT);

  IdPassWdCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (IdPassWdCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox16), IdPassWdCancel_button);
  GTK_WIDGET_SET_FLAGS (IdPassWdCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) IdPassWdDlg, "destroy",
                    G_CALLBACK (on_IdPassWdDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) IdPassWdDlg, "delete_event",
                    G_CALLBACK (on_IdPassWdDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) DocName_entry, "focus_out_event",
                    G_CALLBACK (on_DocName_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) DocName_entry, "changed",
                    G_CALLBACK (on_DocName_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) PassWd_entry, "changed",
                    G_CALLBACK (on_PassWd_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) PassWd_entry, "focus_out_event",
                    G_CALLBACK (on_PassWd_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) ID_entry, "focus_out_event",
                    G_CALLBACK (on_ID_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) ID_entry, "changed",
                    G_CALLBACK (on_ID_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) IdPassWdOK_button, "clicked",
                    G_CALLBACK (on_IdPassWdOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) IdPassWdCancel_button, "clicked",
                    G_CALLBACK (on_IdPassWdCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (IdPassWdDlg, IdPassWdDlg, "IdPassWdDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (IdPassWdDlg, dialog_vbox5, "dialog_vbox5");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, table21, "table21");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, UsrName_ID_label, "UsrName_ID_label");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, Passwd_label, "Passwd_label");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, UsrName_ID_Text_label, "UsrName_ID_Text_label");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, PasswdText_label, "PasswdText_label");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, DocName_label, "DocName_label");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, DocName_entry, "DocName_entry");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, PassWd_entry, "PassWd_entry");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, ID_entry, "ID_entry");
  GLADE_HOOKUP_OBJECT_NO_REF (IdPassWdDlg, dialog_action_area5, "dialog_action_area5");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, hbuttonbox16, "hbuttonbox16");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, IdPassWdOK_button, "IdPassWdOK_button");
  GLADE_HOOKUP_OBJECT (IdPassWdDlg, IdPassWdCancel_button, "IdPassWdCancel_button");

  return IdPassWdDlg;
}

GtkWidget*
create_BoxIdDlg (void)
{
  GtkWidget *BoxIdDlg;
  GtkWidget *vbox47;
  GtkWidget *vbox49;
  GtkWidget *frame42;
  GtkWidget *vbox50;
  GtkWidget *EnterName_radiobutton;
  GSList *EnterName_radiobutton_group = NULL;
  GtkWidget *EnterName_hbox;
  GtkWidget *label152;
  GtkWidget *EnterName_entry;
  GtkWidget *UseFileName_radiobutton;
  GtkWidget *label185;
  GtkWidget *BoxId_frame;
  GtkWidget *hbox60;
  GtkWidget *label136;
  GtkObject *BoxID_spinbutton_adj;
  GtkWidget *BoxID_spinbutton;
  GtkWidget *BoxID_label;
  GtkWidget *hbox59;
  GtkWidget *hbuttonbox17;
  GtkWidget *BoxIDOK_button;
  GtkWidget *BoxIDCancel_button;

  BoxIdDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (BoxIdDlg), _("Store Destination"));
  gtk_window_set_modal (GTK_WINDOW (BoxIdDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (BoxIdDlg), FALSE);

  vbox47 = GTK_DIALOG (BoxIdDlg)->vbox;
  gtk_widget_show (vbox47);

  vbox49 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox49);
  gtk_box_pack_start (GTK_BOX (vbox47), vbox49, TRUE, TRUE, 0);

  frame42 = gtk_frame_new (NULL);
  gtk_widget_show (frame42);
  gtk_box_pack_start (GTK_BOX (vbox49), frame42, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame42), 5);

  vbox50 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox50);
  gtk_container_add (GTK_CONTAINER (frame42), vbox50);

  EnterName_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Enter Name"));
  gtk_widget_show (EnterName_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox50), EnterName_radiobutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (EnterName_radiobutton), 5);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (EnterName_radiobutton), EnterName_radiobutton_group);
  EnterName_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (EnterName_radiobutton));

  EnterName_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (EnterName_hbox);
  gtk_box_pack_start (GTK_BOX (vbox50), EnterName_hbox, TRUE, TRUE, 0);

  label152 = gtk_label_new (_("Name: "));
  gtk_widget_show (label152);
  gtk_box_pack_start (GTK_BOX (EnterName_hbox), label152, TRUE, TRUE, 0);

  EnterName_entry = gtk_entry_new ();
  gtk_widget_show (EnterName_entry);
  gtk_box_pack_start (GTK_BOX (EnterName_hbox), EnterName_entry, TRUE, TRUE, 0);
  gtk_entry_set_max_length (GTK_ENTRY (EnterName_entry), 24);

  UseFileName_radiobutton = gtk_radio_button_new_with_mnemonic (NULL, _("Use File Name"));
  gtk_widget_show (UseFileName_radiobutton);
  gtk_box_pack_start (GTK_BOX (vbox50), UseFileName_radiobutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (UseFileName_radiobutton), 5);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (UseFileName_radiobutton), EnterName_radiobutton_group);
  EnterName_radiobutton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (UseFileName_radiobutton));

  label185 = gtk_label_new (_("Data Name"));
  gtk_widget_show (label185);
  gtk_frame_set_label_widget (GTK_FRAME (frame42), label185);
  gtk_label_set_justify (GTK_LABEL (label185), GTK_JUSTIFY_LEFT);

  BoxId_frame = gtk_frame_new (NULL);
  gtk_widget_show (BoxId_frame);
  gtk_box_pack_start (GTK_BOX (vbox49), BoxId_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BoxId_frame), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (BoxId_frame), GTK_SHADOW_NONE);

  hbox60 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox60);
  gtk_container_add (GTK_CONTAINER (BoxId_frame), hbox60);

  label136 = gtk_label_new (_("Mail Box"));
  gtk_widget_show (label136);
  gtk_box_pack_start (GTK_BOX (hbox60), label136, TRUE, TRUE, 5);
  gtk_misc_set_alignment (GTK_MISC (label136), 0, 0.5);

  BoxID_spinbutton_adj = gtk_adjustment_new (0, 0, 99, 1, 10, 10);
  BoxID_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (BoxID_spinbutton_adj), 1, 0);
  gtk_widget_show (BoxID_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox60), BoxID_spinbutton, FALSE, FALSE, 0);

  BoxID_label = gtk_label_new (_("0 - 99"));
  gtk_widget_show (BoxID_label);
  gtk_box_pack_start (GTK_BOX (hbox60), BoxID_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (BoxID_label), 0.07, 0.5);

  hbox59 = GTK_DIALOG (BoxIdDlg)->action_area;
  gtk_widget_show (hbox59);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbox59), GTK_BUTTONBOX_END);

  hbuttonbox17 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox17);
  gtk_container_add (GTK_CONTAINER (hbox59), hbuttonbox17);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox17), GTK_BUTTONBOX_END);

  BoxIDOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (BoxIDOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox17), BoxIDOK_button);
  GTK_WIDGET_SET_FLAGS (BoxIDOK_button, GTK_CAN_DEFAULT);

  BoxIDCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (BoxIDCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox17), BoxIDCancel_button);
  GTK_WIDGET_SET_FLAGS (BoxIDCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) BoxIdDlg, "destroy",
                    G_CALLBACK (on_BoxIdDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) BoxIdDlg, "delete_event",
                    G_CALLBACK (on_BoxIdDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) EnterName_radiobutton, "toggled",
                    G_CALLBACK (on_EnterName_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) EnterName_entry, "focus_out_event",
                    G_CALLBACK (on_EnterName_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) EnterName_entry, "changed",
                    G_CALLBACK (on_EnterName_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) UseFileName_radiobutton, "toggled",
                    G_CALLBACK (on_UseFileName_radiobutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) BoxID_spinbutton, "value_changed",
                    G_CALLBACK (on_BoxID_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) BoxIDOK_button, "clicked",
                    G_CALLBACK (on_BoxIDOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) BoxIDCancel_button, "clicked",
                    G_CALLBACK (on_BoxIDCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (BoxIdDlg, BoxIdDlg, "BoxIdDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (BoxIdDlg, vbox47, "vbox47");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, vbox49, "vbox49");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, frame42, "frame42");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, vbox50, "vbox50");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, EnterName_radiobutton, "EnterName_radiobutton");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, EnterName_hbox, "EnterName_hbox");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, label152, "label152");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, EnterName_entry, "EnterName_entry");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, UseFileName_radiobutton, "UseFileName_radiobutton");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, label185, "label185");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, BoxId_frame, "BoxId_frame");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, hbox60, "hbox60");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, label136, "label136");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, BoxID_spinbutton, "BoxID_spinbutton");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, BoxID_label, "BoxID_label");
  GLADE_HOOKUP_OBJECT_NO_REF (BoxIdDlg, hbox59, "hbox59");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, hbuttonbox17, "hbuttonbox17");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, BoxIDOK_button, "BoxIDOK_button");
  GLADE_HOOKUP_OBJECT (BoxIdDlg, BoxIDCancel_button, "BoxIDCancel_button");

  return BoxIdDlg;
}

GtkWidget*
create_FinDetail_dialog (void)
{
  GtkWidget *FinDetail_dialog;
  GtkWidget *dialog_vbox6;
  GtkWidget *frame45;
  GtkWidget *vbox54;
  GtkWidget *FinDetail_DetectPaper_checkbutton;
  GtkWidget *FinDetail_RotatePrint_checkbutton;
  GtkWidget *FinDetail_SkipBlank_checkbutton;
  GtkWidget *FinDetail_AdvancedSetting_frame;
  GtkWidget *vbox57;
  GtkWidget *hseparator17;
  GtkWidget *FinDetail_ImgRef_hbox;
  GtkWidget *label156;
  GtkWidget *FinDetail_Img_combo;
  GList *FinDetail_Img_combo_items = NULL;
  GtkWidget *FinDetail_Img_combo_entry;
  GtkWidget *FinDetail_FiximgMode_hbox;
  GtkWidget *label158;
  GtkWidget *FinDetail_Fix_combo;
  GList *FinDetail_Fix_combo_items = NULL;
  GtkWidget *FinDetail_Fix_combo_entry;
  GtkWidget *FinDetail_RevicePostcard_hbox;
  GtkWidget *label262;
  GtkWidget *FinDetail_RevicePostcard_combo;
  GList *FinDetail_RevicePostcard_combo_items = NULL;
  GtkWidget *FinDetail_RevicePostcard_combo_entry;
  GtkWidget *CaptFinDetail_Wrinkles_hbox;
  GtkWidget *CaptFinDetail_Wrinkles_label;
  GtkWidget *CaptFinDetail_Wrinkles_combo;
  GtkWidget *CaptFinDetail_Wrinkles_combo_entry;
  GtkWidget *hseparator18;
  GtkWidget *FinDetail_BackPrint_checkbutton;
  GtkWidget *CaptFinishingCurlCorrection_frame;
  GtkWidget *vbox72;
  GtkWidget *hseparator24;
  GtkWidget *CaptFinishingCurlCorrection_hbox;
  GtkWidget *label206;
  GtkWidget *CaptFinishingCurlCorrection_combo;
  GList *CaptFinishingCurlCorrection_combo_items = NULL;
  GtkWidget *CaptFinishingCurlCorrection_combo_entry;
  GtkWidget *hseparator25;
  GtkWidget *JobNote_frame;
  GtkWidget *vbox81;
  GtkWidget *JobNote_table;
  GtkWidget *JobNote_label;
  GtkWidget *JobDetails_label;
  GtkWidget *JobNote_entry;
  GtkWidget *JobDetails_scrolledwindow;
  GtkWidget *JobDetails_textview;
  GtkWidget *label249;
  GtkWidget *hseparator29;
  GtkWidget *TrustPrint_checkbutton;
  GtkWidget *CopyNumbering_frame;
  GtkWidget *CopyNumbering_vbox;
  GtkWidget *CopyNumbering_checkbutton;
  GtkWidget *StartNumber_hbox;
  GtkWidget *StartNumberDummy_label;
  GtkWidget *StartNumberTitle_label;
  GtkObject *StartNumber_spinbutton_adj;
  GtkWidget *StartNumber_spinbutton;
  GtkWidget *StartNumberRange_label;
  GtkWidget *label261;
  GtkWidget *label259;
  GtkWidget *dialog_action_area6;
  GtkWidget *hbuttonbox20;
  GtkWidget *FinDetail_OK_button;
  GtkWidget *FinDetail_Cancel_button;

  FinDetail_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (FinDetail_dialog), _("Finishing Details"));
  gtk_window_set_modal (GTK_WINDOW (FinDetail_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (FinDetail_dialog), FALSE);

  dialog_vbox6 = GTK_DIALOG (FinDetail_dialog)->vbox;
  gtk_widget_show (dialog_vbox6);

  frame45 = gtk_frame_new (NULL);
  gtk_widget_show (frame45);
  gtk_box_pack_start (GTK_BOX (dialog_vbox6), frame45, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame45), 3);
  gtk_frame_set_shadow_type (GTK_FRAME (frame45), GTK_SHADOW_NONE);

  vbox54 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox54);
  gtk_container_add (GTK_CONTAINER (frame45), vbox54);

  FinDetail_DetectPaper_checkbutton = gtk_check_button_new_with_mnemonic (_("Detect Paper Size"));
  gtk_box_pack_start (GTK_BOX (vbox54), FinDetail_DetectPaper_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_DetectPaper_checkbutton), 2);

  FinDetail_RotatePrint_checkbutton = gtk_check_button_new_with_mnemonic (_("Rotate Print Data 180 Degrees"));
  gtk_box_pack_start (GTK_BOX (vbox54), FinDetail_RotatePrint_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_RotatePrint_checkbutton), 2);

  FinDetail_SkipBlank_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Skip Blank Pages Mode"));
  gtk_box_pack_start (GTK_BOX (vbox54), FinDetail_SkipBlank_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_SkipBlank_checkbutton), 2);

  FinDetail_AdvancedSetting_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox54), FinDetail_AdvancedSetting_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_AdvancedSetting_frame), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (FinDetail_AdvancedSetting_frame), GTK_SHADOW_NONE);

  vbox57 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox57);
  gtk_container_add (GTK_CONTAINER (FinDetail_AdvancedSetting_frame), vbox57);

  hseparator17 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox57), hseparator17, TRUE, TRUE, 0);

  FinDetail_ImgRef_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox57), FinDetail_ImgRef_hbox, TRUE, TRUE, 0);

  label156 = gtk_label_new (_("Image Refinement  "));
  gtk_widget_show (label156);
  gtk_box_pack_start (GTK_BOX (FinDetail_ImgRef_hbox), label156, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label156), 0, 0.5);

  FinDetail_Img_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FinDetail_Img_combo)->popwin),
                     "GladeParentKey", FinDetail_Img_combo);
  gtk_widget_show (FinDetail_Img_combo);
  gtk_box_pack_start (GTK_BOX (FinDetail_ImgRef_hbox), FinDetail_Img_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_Img_combo), 2);
  FinDetail_Img_combo_items = g_list_append (FinDetail_Img_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FinDetail_Img_combo), FinDetail_Img_combo_items);
  g_list_free (FinDetail_Img_combo_items);

  FinDetail_Img_combo_entry = GTK_COMBO (FinDetail_Img_combo)->entry;
  gtk_widget_show (FinDetail_Img_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FinDetail_Img_combo_entry), FALSE);

  FinDetail_FiximgMode_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox57), FinDetail_FiximgMode_hbox, TRUE, TRUE, 0);

  label158 = gtk_label_new (_("Fixing Mode:"));
  gtk_widget_show (label158);
  gtk_box_pack_start (GTK_BOX (FinDetail_FiximgMode_hbox), label158, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label158), 0, 0.5);

  FinDetail_Fix_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FinDetail_Fix_combo)->popwin),
                     "GladeParentKey", FinDetail_Fix_combo);
  gtk_widget_show (FinDetail_Fix_combo);
  gtk_box_pack_start (GTK_BOX (FinDetail_FiximgMode_hbox), FinDetail_Fix_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_Fix_combo), 2);
  FinDetail_Fix_combo_items = g_list_append (FinDetail_Fix_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FinDetail_Fix_combo), FinDetail_Fix_combo_items);
  g_list_free (FinDetail_Fix_combo_items);

  FinDetail_Fix_combo_entry = GTK_COMBO (FinDetail_Fix_combo)->entry;
  gtk_widget_show (FinDetail_Fix_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FinDetail_Fix_combo_entry), FALSE);

  FinDetail_RevicePostcard_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox57), FinDetail_RevicePostcard_hbox, FALSE, FALSE, 0);

  label262 = gtk_label_new (_("Revice Postcard Fixed:"));
  gtk_widget_show (label262);
  gtk_box_pack_start (GTK_BOX (FinDetail_RevicePostcard_hbox), label262, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label262), 0, 0.5);

  FinDetail_RevicePostcard_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FinDetail_RevicePostcard_combo)->popwin),
                     "GladeParentKey", FinDetail_RevicePostcard_combo);
  gtk_widget_show (FinDetail_RevicePostcard_combo);
  gtk_box_pack_start (GTK_BOX (FinDetail_RevicePostcard_hbox), FinDetail_RevicePostcard_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FinDetail_RevicePostcard_combo), 2);
  FinDetail_RevicePostcard_combo_items = g_list_append (FinDetail_RevicePostcard_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FinDetail_RevicePostcard_combo), FinDetail_RevicePostcard_combo_items);
  g_list_free (FinDetail_RevicePostcard_combo_items);

  FinDetail_RevicePostcard_combo_entry = GTK_COMBO (FinDetail_RevicePostcard_combo)->entry;
  gtk_widget_show (FinDetail_RevicePostcard_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FinDetail_RevicePostcard_combo_entry), FALSE);

  CaptFinDetail_Wrinkles_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox57), CaptFinDetail_Wrinkles_hbox, FALSE, FALSE, 0);

  CaptFinDetail_Wrinkles_label = gtk_label_new (_("Wrinkles Correction at Output"));
  gtk_widget_show (CaptFinDetail_Wrinkles_label);
  gtk_box_pack_start (GTK_BOX (CaptFinDetail_Wrinkles_hbox), CaptFinDetail_Wrinkles_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (CaptFinDetail_Wrinkles_label), 0, 0.5);

  CaptFinDetail_Wrinkles_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (CaptFinDetail_Wrinkles_combo)->popwin),
                     "GladeParentKey", CaptFinDetail_Wrinkles_combo);
  gtk_widget_show (CaptFinDetail_Wrinkles_combo);
  gtk_box_pack_start (GTK_BOX (CaptFinDetail_Wrinkles_hbox), CaptFinDetail_Wrinkles_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptFinDetail_Wrinkles_combo), 2);

  CaptFinDetail_Wrinkles_combo_entry = GTK_COMBO (CaptFinDetail_Wrinkles_combo)->entry;
  gtk_widget_show (CaptFinDetail_Wrinkles_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (CaptFinDetail_Wrinkles_combo_entry), FALSE);

  hseparator18 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox57), hseparator18, FALSE, FALSE, 0);

  FinDetail_BackPrint_checkbutton = gtk_check_button_new_with_mnemonic (_("Print on the Back Printed Paper from the Multi-purpose Tray "));
  gtk_box_pack_start (GTK_BOX (vbox57), FinDetail_BackPrint_checkbutton, FALSE, FALSE, 0);

  CaptFinishingCurlCorrection_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox54), CaptFinishingCurlCorrection_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptFinishingCurlCorrection_frame), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (CaptFinishingCurlCorrection_frame), GTK_SHADOW_NONE);

  vbox72 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox72);
  gtk_container_add (GTK_CONTAINER (CaptFinishingCurlCorrection_frame), vbox72);
  gtk_container_set_border_width (GTK_CONTAINER (vbox72), 1);

  hseparator24 = gtk_hseparator_new ();
  gtk_widget_show (hseparator24);
  gtk_box_pack_start (GTK_BOX (vbox72), hseparator24, TRUE, TRUE, 0);

  CaptFinishingCurlCorrection_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox72), CaptFinishingCurlCorrection_hbox, TRUE, TRUE, 0);

  label206 = gtk_label_new (_("Paper Curl Correction at Output:"));
  gtk_widget_show (label206);
  gtk_box_pack_start (GTK_BOX (CaptFinishingCurlCorrection_hbox), label206, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label206), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label206), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label206), 0, 0.5);

  CaptFinishingCurlCorrection_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (CaptFinishingCurlCorrection_combo)->popwin),
                     "GladeParentKey", CaptFinishingCurlCorrection_combo);
  gtk_widget_show (CaptFinishingCurlCorrection_combo);
  gtk_box_pack_start (GTK_BOX (CaptFinishingCurlCorrection_hbox), CaptFinishingCurlCorrection_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (CaptFinishingCurlCorrection_combo), 2);
  CaptFinishingCurlCorrection_combo_items = g_list_append (CaptFinishingCurlCorrection_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (CaptFinishingCurlCorrection_combo), CaptFinishingCurlCorrection_combo_items);
  g_list_free (CaptFinishingCurlCorrection_combo_items);

  CaptFinishingCurlCorrection_combo_entry = GTK_COMBO (CaptFinishingCurlCorrection_combo)->entry;
  gtk_widget_show (CaptFinishingCurlCorrection_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (CaptFinishingCurlCorrection_combo_entry), FALSE);

  hseparator25 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox72), hseparator25, TRUE, TRUE, 0);

  JobNote_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox54), JobNote_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (JobNote_frame), GTK_SHADOW_NONE);

  vbox81 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox81);
  gtk_container_add (GTK_CONTAINER (JobNote_frame), vbox81);

  JobNote_table = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (JobNote_table);
  gtk_box_pack_start (GTK_BOX (vbox81), JobNote_table, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (JobNote_table), 5);
  gtk_table_set_row_spacings (GTK_TABLE (JobNote_table), 5);
  gtk_table_set_col_spacings (GTK_TABLE (JobNote_table), 10);

  JobNote_label = gtk_label_new (_("Job Note:"));
  gtk_widget_show (JobNote_label);
  gtk_table_attach (GTK_TABLE (JobNote_table), JobNote_label, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (JobNote_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (JobNote_label), 0, 0.5);

  JobDetails_label = gtk_label_new (_(" Details:"));
  gtk_widget_show (JobDetails_label);
  gtk_table_attach (GTK_TABLE (JobNote_table), JobDetails_label, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (JobDetails_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (JobDetails_label), 0, 0.5);

  JobNote_entry = gtk_entry_new ();
  gtk_widget_show (JobNote_entry);
  gtk_table_attach (GTK_TABLE (JobNote_table), JobNote_entry, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_entry_set_max_length (GTK_ENTRY (JobNote_entry), 32);

  JobDetails_scrolledwindow = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (JobDetails_scrolledwindow);
  gtk_table_attach (GTK_TABLE (JobNote_table), JobDetails_scrolledwindow, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (JobDetails_scrolledwindow), GTK_POLICY_NEVER, GTK_POLICY_AUTOMATIC);
  gtk_scrolled_window_set_shadow_type (GTK_SCROLLED_WINDOW (JobDetails_scrolledwindow), GTK_SHADOW_IN);

  JobDetails_textview = gtk_text_view_new ();
  gtk_widget_show (JobDetails_textview);
  gtk_container_add (GTK_CONTAINER (JobDetails_scrolledwindow), JobDetails_textview);
  gtk_widget_set_size_request (JobDetails_textview, 158, -1);
  gtk_text_view_set_wrap_mode (GTK_TEXT_VIEW (JobDetails_textview), GTK_WRAP_CHAR);

  label249 = gtk_label_new ("");
  gtk_widget_show (label249);
  gtk_frame_set_label_widget (GTK_FRAME (JobNote_frame), label249);
  gtk_label_set_justify (GTK_LABEL (label249), GTK_JUSTIFY_LEFT);

  hseparator29 = gtk_hseparator_new ();
  gtk_widget_show (hseparator29);
  gtk_box_pack_start (GTK_BOX (vbox54), hseparator29, TRUE, TRUE, 0);

  TrustPrint_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Secure Watermark Function of Device"));
  gtk_box_pack_start (GTK_BOX (vbox54), TrustPrint_checkbutton, FALSE, FALSE, 5);
  gtk_container_set_border_width (GTK_CONTAINER (TrustPrint_checkbutton), 2);

  CopyNumbering_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox54), CopyNumbering_frame, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (CopyNumbering_frame), GTK_SHADOW_NONE);

  CopyNumbering_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (CopyNumbering_vbox);
  gtk_container_add (GTK_CONTAINER (CopyNumbering_frame), CopyNumbering_vbox);

  CopyNumbering_checkbutton = gtk_check_button_new_with_mnemonic (_("Copy Set Numbering"));
  gtk_widget_show (CopyNumbering_checkbutton);
  gtk_box_pack_start (GTK_BOX (CopyNumbering_vbox), CopyNumbering_checkbutton, FALSE, FALSE, 0);

  StartNumber_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (StartNumber_hbox);
  gtk_box_pack_start (GTK_BOX (CopyNumbering_vbox), StartNumber_hbox, TRUE, TRUE, 0);

  StartNumberDummy_label = gtk_label_new ("");
  gtk_widget_show (StartNumberDummy_label);
  gtk_box_pack_start (GTK_BOX (StartNumber_hbox), StartNumberDummy_label, TRUE, FALSE, 0);

  StartNumberTitle_label = gtk_label_new (_("Starting Number:"));
  gtk_widget_show (StartNumberTitle_label);
  gtk_box_pack_start (GTK_BOX (StartNumber_hbox), StartNumberTitle_label, FALSE, FALSE, 0);

  StartNumber_spinbutton_adj = gtk_adjustment_new (1000, 1, 9999, 1, 10, 10);
  StartNumber_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (StartNumber_spinbutton_adj), 1, 0);
  gtk_widget_show (StartNumber_spinbutton);
  gtk_box_pack_start (GTK_BOX (StartNumber_hbox), StartNumber_spinbutton, FALSE, FALSE, 0);
  gtk_widget_set_size_request (StartNumber_spinbutton, 55, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (StartNumber_spinbutton), TRUE);

  StartNumberRange_label = gtk_label_new (_("(1 to 9999)"));
  gtk_widget_show (StartNumberRange_label);
  gtk_box_pack_start (GTK_BOX (StartNumber_hbox), StartNumberRange_label, FALSE, FALSE, 0);

  label261 = gtk_label_new ("");
  gtk_widget_show (label261);
  gtk_box_pack_start (GTK_BOX (StartNumber_hbox), label261, TRUE, FALSE, 0);

  label259 = gtk_label_new ("");
  gtk_frame_set_label_widget (GTK_FRAME (CopyNumbering_frame), label259);
  gtk_label_set_justify (GTK_LABEL (label259), GTK_JUSTIFY_LEFT);

  dialog_action_area6 = GTK_DIALOG (FinDetail_dialog)->action_area;
  gtk_widget_show (dialog_action_area6);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area6), GTK_BUTTONBOX_END);

  hbuttonbox20 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox20);
  gtk_container_add (GTK_CONTAINER (dialog_action_area6), hbuttonbox20);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox20), GTK_BUTTONBOX_END);

  FinDetail_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (FinDetail_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox20), FinDetail_OK_button);
  GTK_WIDGET_SET_FLAGS (FinDetail_OK_button, GTK_CAN_DEFAULT);

  FinDetail_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (FinDetail_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox20), FinDetail_Cancel_button);
  GTK_WIDGET_SET_FLAGS (FinDetail_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) FinDetail_dialog, "destroy",
                    G_CALLBACK (on_FinDetail_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_dialog, "delete_event",
                    G_CALLBACK (on_FinDetail_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_DetectPaper_checkbutton, "toggled",
                    G_CALLBACK (on_FinDetail_DetectPaper_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_RotatePrint_checkbutton, "toggled",
                    G_CALLBACK (on_FinDetail_RotatePrint_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_SkipBlank_checkbutton, "toggled",
                    G_CALLBACK (on_FinDetail_SkipBlank_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_Img_combo_entry, "changed",
                    G_CALLBACK (on_FinDetail_Img_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_Fix_combo_entry, "changed",
                    G_CALLBACK (on_FinDetail_Fix_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_RevicePostcard_combo_entry, "changed",
                    G_CALLBACK (on_FinDetail_RevicePostcard_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) CaptFinDetail_Wrinkles_combo_entry, "changed",
                    G_CALLBACK (on_CaptFinDetail_Wrinkles_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_BackPrint_checkbutton, "toggled",
                    G_CALLBACK (on_FinDetail_BackPrint_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CaptFinishingCurlCorrection_combo_entry, "changed",
                    G_CALLBACK (on_CaptFinishingCurlCorrection_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) JobNote_entry, "changed",
                    G_CALLBACK (on_JobNote_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) JobNote_entry, "focus_out_event",
                    G_CALLBACK (on_JobNote_entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) JobDetails_textview, "focus_out_event",
                    G_CALLBACK (on_JobDetails_textview_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) TrustPrint_checkbutton, "toggled",
                    G_CALLBACK (on_TrustPrint_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CopyNumbering_checkbutton, "toggled",
                    G_CALLBACK (on_CopyNumbering_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) StartNumber_spinbutton, "value_changed",
                    G_CALLBACK (on_StartNumber_spinbutton_changed),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_OK_button, "clicked",
                    G_CALLBACK (on_FinDetail_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) FinDetail_Cancel_button, "clicked",
                    G_CALLBACK (on_FinDetail_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (FinDetail_dialog, FinDetail_dialog, "FinDetail_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (FinDetail_dialog, dialog_vbox6, "dialog_vbox6");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, frame45, "frame45");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, vbox54, "vbox54");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_DetectPaper_checkbutton, "FinDetail_DetectPaper_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_RotatePrint_checkbutton, "FinDetail_RotatePrint_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_SkipBlank_checkbutton, "FinDetail_SkipBlank_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_AdvancedSetting_frame, "FinDetail_AdvancedSetting_frame");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, vbox57, "vbox57");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hseparator17, "hseparator17");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_ImgRef_hbox, "FinDetail_ImgRef_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label156, "label156");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_Img_combo, "FinDetail_Img_combo");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_Img_combo_entry, "FinDetail_Img_combo_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_FiximgMode_hbox, "FinDetail_FiximgMode_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label158, "label158");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_Fix_combo, "FinDetail_Fix_combo");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_Fix_combo_entry, "FinDetail_Fix_combo_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_RevicePostcard_hbox, "FinDetail_RevicePostcard_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label262, "label262");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_RevicePostcard_combo, "FinDetail_RevicePostcard_combo");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_RevicePostcard_combo_entry, "FinDetail_RevicePostcard_combo_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinDetail_Wrinkles_hbox, "CaptFinDetail_Wrinkles_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinDetail_Wrinkles_label, "CaptFinDetail_Wrinkles_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinDetail_Wrinkles_combo, "CaptFinDetail_Wrinkles_combo");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinDetail_Wrinkles_combo_entry, "CaptFinDetail_Wrinkles_combo_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hseparator18, "hseparator18");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_BackPrint_checkbutton, "FinDetail_BackPrint_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinishingCurlCorrection_frame, "CaptFinishingCurlCorrection_frame");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, vbox72, "vbox72");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hseparator24, "hseparator24");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinishingCurlCorrection_hbox, "CaptFinishingCurlCorrection_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label206, "label206");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinishingCurlCorrection_combo, "CaptFinishingCurlCorrection_combo");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CaptFinishingCurlCorrection_combo_entry, "CaptFinishingCurlCorrection_combo_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hseparator25, "hseparator25");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobNote_frame, "JobNote_frame");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, vbox81, "vbox81");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobNote_table, "JobNote_table");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobNote_label, "JobNote_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobDetails_label, "JobDetails_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobNote_entry, "JobNote_entry");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobDetails_scrolledwindow, "JobDetails_scrolledwindow");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, JobDetails_textview, "JobDetails_textview");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label249, "label249");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hseparator29, "hseparator29");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, TrustPrint_checkbutton, "TrustPrint_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CopyNumbering_frame, "CopyNumbering_frame");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CopyNumbering_vbox, "CopyNumbering_vbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, CopyNumbering_checkbutton, "CopyNumbering_checkbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, StartNumber_hbox, "StartNumber_hbox");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, StartNumberDummy_label, "StartNumberDummy_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, StartNumberTitle_label, "StartNumberTitle_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, StartNumber_spinbutton, "StartNumber_spinbutton");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, StartNumberRange_label, "StartNumberRange_label");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label261, "label261");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, label259, "label259");
  GLADE_HOOKUP_OBJECT_NO_REF (FinDetail_dialog, dialog_action_area6, "dialog_action_area6");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, hbuttonbox20, "hbuttonbox20");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_OK_button, "FinDetail_OK_button");
  GLADE_HOOKUP_OBJECT (FinDetail_dialog, FinDetail_Cancel_button, "FinDetail_Cancel_button");

  return FinDetail_dialog;
}

GtkWidget*
create_ProfileSettingsDlg (void)
{
  GtkWidget *ProfileSettingsDlg;
  GtkWidget *dialog_vbox7;
  GtkWidget *vbox60;
  GtkWidget *ProfileDlgProfSet_frame;
  GtkWidget *ProfileDlgProfSet_vbox;
  GtkWidget *ProfileDlgPBText_hbox;
  GtkWidget *ProfileDlgPBTextTitle_label;
  GtkWidget *ProfileDlgPBText_combo;
  GList *ProfileDlgPBText_combo_items = NULL;
  GtkWidget *ProfileDlgPBText_combo_entry;
  GtkWidget *ProfileDlgBOverprint_hbox;
  GtkWidget *ProfileDlgBOverprintTitle_label;
  GtkWidget *ProfileDlgBOverprint_combo;
  GList *ProfileDlgBOverprint_combo_items = NULL;
  GtkWidget *ProfileDlgBOverprint_combo_entry;
  GtkWidget *ProfileDlg_hseparator;
  GtkWidget *ProfileDlgRGB_frame;
  GtkWidget *ProfileDlgRGB_vbox;
  GtkWidget *ProfileDlgSourceProfile_hbox;
  GtkWidget *ProfileDlgSourceProfileTitle_label;
  GtkWidget *ProfileDlgSourceProfile_combo;
  GList *ProfileDlgSourceProfile_combo_items = NULL;
  GtkWidget *ProfileDlgSourceProfile_combo_entry;
  GtkWidget *ProfileDlgMatchingMethod_hbox;
  GtkWidget *ProfileDlgMatchingMethodTitle_label;
  GtkWidget *ProfileDlgMatchingMethod_combo;
  GList *ProfileDlgMatchingMethod_combo_items = NULL;
  GtkWidget *ProfileDlgMatchingMethod_combo_entry;
  GtkWidget *ProfileDlgRGBPBProcess_hbox;
  GtkWidget *ProfileDlgPBRGBProcessDummy_label;
  GtkWidget *ProfileDlgRGBPBProcess_checkbutton;
  GtkWidget *label186;
  GtkWidget *ProfileDlgCMYK_frame;
  GtkWidget *ProfileDlgCMYK_vbox;
  GtkWidget *ProfileDlgCMYKSimulation_hbox;
  GtkWidget *ProfileDlgCMYKSimulationTitle_label;
  GtkWidget *ProfileDlgCMYKSimulation_combo;
  GList *ProfileDlgCMYKSimulation_combo_items = NULL;
  GtkWidget *ProfileDlgCMYKSimulation_combo_entry;
  GtkWidget *ProfileDlgCMYKPBProcess_hbox;
  GtkWidget *ProfileDlgCMYKPBProcessDummy_label;
  GtkWidget *ProfileDlgCMYKPBProcess_checkbutton;
  GtkWidget *label187;
  GtkWidget *ProfileDlgGrayscale_frame;
  GtkWidget *ProfileDlgGrayscale_vbox;
  GtkWidget *ProfileDlgUseGrayscale_hbox;
  GtkWidget *ProfileDlgUseGrayscaleDummy_label;
  GtkWidget *ProfileDlgUseGrayscale_checkbutton;
  GtkWidget *label188;
  GtkWidget *ProfileDlg_hseparator2;
  GtkWidget *ProfileDlgOutput_frame;
  GtkWidget *ProfileDlgOutput_hbox;
  GtkWidget *ProfileDlgOutputTitle_label;
  GtkWidget *ProfileDlgOutput_combo;
  GList *ProfileDlgOutput_combo_items = NULL;
  GtkWidget *ProfileDlgOutput_combo_entry;
  GtkWidget *dialog_action_area7;
  GtkWidget *hbuttonbox21;
  GtkWidget *ProfileDlgOK_button;
  GtkWidget *ProfileDlgCancel_button;

  ProfileSettingsDlg = gtk_dialog_new ();
  gtk_widget_set_size_request (ProfileSettingsDlg, 520, -1);
  gtk_window_set_title (GTK_WINDOW (ProfileSettingsDlg), _("Profile Settings"));
  gtk_window_set_modal (GTK_WINDOW (ProfileSettingsDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (ProfileSettingsDlg), FALSE);

  dialog_vbox7 = GTK_DIALOG (ProfileSettingsDlg)->vbox;
  gtk_widget_show (dialog_vbox7);

  vbox60 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox60);
  gtk_box_pack_start (GTK_BOX (dialog_vbox7), vbox60, FALSE, FALSE, 0);

  ProfileDlgProfSet_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlgProfSet_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgProfSet_frame), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (ProfileDlgProfSet_frame), GTK_SHADOW_NONE);

  ProfileDlgProfSet_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgProfSet_vbox);
  gtk_container_add (GTK_CONTAINER (ProfileDlgProfSet_frame), ProfileDlgProfSet_vbox);

  ProfileDlgPBText_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgProfSet_vbox), ProfileDlgPBText_hbox, TRUE, TRUE, 0);

  ProfileDlgPBTextTitle_label = gtk_label_new (_("Pure Black Text:"));
  gtk_widget_show (ProfileDlgPBTextTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgPBText_hbox), ProfileDlgPBTextTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgPBTextTitle_label), 0, 0.5);

  ProfileDlgPBText_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgPBText_combo)->popwin),
                     "GladeParentKey", ProfileDlgPBText_combo);
  gtk_widget_show (ProfileDlgPBText_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgPBText_hbox), ProfileDlgPBText_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgPBText_combo), 5);
  ProfileDlgPBText_combo_items = g_list_append (ProfileDlgPBText_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgPBText_combo), ProfileDlgPBText_combo_items);
  g_list_free (ProfileDlgPBText_combo_items);

  ProfileDlgPBText_combo_entry = GTK_COMBO (ProfileDlgPBText_combo)->entry;
  gtk_widget_show (ProfileDlgPBText_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgPBText_combo_entry), FALSE);

  ProfileDlgBOverprint_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgProfSet_vbox), ProfileDlgBOverprint_hbox, TRUE, TRUE, 0);

  ProfileDlgBOverprintTitle_label = gtk_label_new (_("Black Overprint:"));
  gtk_widget_show (ProfileDlgBOverprintTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgBOverprint_hbox), ProfileDlgBOverprintTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgBOverprintTitle_label), 7.45058e-09, 0.5);

  ProfileDlgBOverprint_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgBOverprint_combo)->popwin),
                     "GladeParentKey", ProfileDlgBOverprint_combo);
  gtk_widget_show (ProfileDlgBOverprint_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgBOverprint_hbox), ProfileDlgBOverprint_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgBOverprint_combo), 5);
  ProfileDlgBOverprint_combo_items = g_list_append (ProfileDlgBOverprint_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgBOverprint_combo), ProfileDlgBOverprint_combo_items);
  g_list_free (ProfileDlgBOverprint_combo_items);

  ProfileDlgBOverprint_combo_entry = GTK_COMBO (ProfileDlgBOverprint_combo)->entry;
  gtk_widget_show (ProfileDlgBOverprint_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgBOverprint_combo_entry), FALSE);

  ProfileDlg_hseparator = gtk_hseparator_new ();
  gtk_widget_show (ProfileDlg_hseparator);
  gtk_box_pack_start (GTK_BOX (ProfileDlgProfSet_vbox), ProfileDlg_hseparator, TRUE, TRUE, 0);

  ProfileDlgRGB_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlgRGB_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgRGB_frame), 5);

  ProfileDlgRGB_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgRGB_vbox);
  gtk_container_add (GTK_CONTAINER (ProfileDlgRGB_frame), ProfileDlgRGB_vbox);

  ProfileDlgSourceProfile_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgRGB_vbox), ProfileDlgSourceProfile_hbox, TRUE, TRUE, 0);

  ProfileDlgSourceProfileTitle_label = gtk_label_new (_("Source Profile:"));
  gtk_widget_show (ProfileDlgSourceProfileTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgSourceProfile_hbox), ProfileDlgSourceProfileTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgSourceProfileTitle_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ProfileDlgSourceProfileTitle_label), 40, 0);

  ProfileDlgSourceProfile_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgSourceProfile_combo)->popwin),
                     "GladeParentKey", ProfileDlgSourceProfile_combo);
  gtk_widget_show (ProfileDlgSourceProfile_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgSourceProfile_hbox), ProfileDlgSourceProfile_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgSourceProfile_combo), 5);
  ProfileDlgSourceProfile_combo_items = g_list_append (ProfileDlgSourceProfile_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgSourceProfile_combo), ProfileDlgSourceProfile_combo_items);
  g_list_free (ProfileDlgSourceProfile_combo_items);

  ProfileDlgSourceProfile_combo_entry = GTK_COMBO (ProfileDlgSourceProfile_combo)->entry;
  gtk_widget_show (ProfileDlgSourceProfile_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgSourceProfile_combo_entry), FALSE);

  ProfileDlgMatchingMethod_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgRGB_vbox), ProfileDlgMatchingMethod_hbox, TRUE, TRUE, 0);

  ProfileDlgMatchingMethodTitle_label = gtk_label_new (_("Matching Method:"));
  gtk_widget_show (ProfileDlgMatchingMethodTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgMatchingMethod_hbox), ProfileDlgMatchingMethodTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgMatchingMethodTitle_label), 7.45058e-09, 0.5);
  gtk_misc_set_padding (GTK_MISC (ProfileDlgMatchingMethodTitle_label), 40, 0);

  ProfileDlgMatchingMethod_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgMatchingMethod_combo)->popwin),
                     "GladeParentKey", ProfileDlgMatchingMethod_combo);
  gtk_widget_show (ProfileDlgMatchingMethod_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgMatchingMethod_hbox), ProfileDlgMatchingMethod_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgMatchingMethod_combo), 5);
  ProfileDlgMatchingMethod_combo_items = g_list_append (ProfileDlgMatchingMethod_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgMatchingMethod_combo), ProfileDlgMatchingMethod_combo_items);
  g_list_free (ProfileDlgMatchingMethod_combo_items);

  ProfileDlgMatchingMethod_combo_entry = GTK_COMBO (ProfileDlgMatchingMethod_combo)->entry;
  gtk_widget_show (ProfileDlgMatchingMethod_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgMatchingMethod_combo_entry), FALSE);

  ProfileDlgRGBPBProcess_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgRGB_vbox), ProfileDlgRGBPBProcess_hbox, TRUE, TRUE, 0);

  ProfileDlgPBRGBProcessDummy_label = gtk_label_new ("");
  gtk_widget_show (ProfileDlgPBRGBProcessDummy_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgRGBPBProcess_hbox), ProfileDlgPBRGBProcessDummy_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ProfileDlgPBRGBProcessDummy_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgPBRGBProcessDummy_label), 7.45058e-09, 0.5);

  ProfileDlgRGBPBProcess_checkbutton = gtk_check_button_new_with_mnemonic (_("Pure Black Process"));
  gtk_widget_show (ProfileDlgRGBPBProcess_checkbutton);
  gtk_box_pack_start (GTK_BOX (ProfileDlgRGBPBProcess_hbox), ProfileDlgRGBPBProcess_checkbutton, TRUE, TRUE, 0);

  label186 = gtk_label_new (_("RGB"));
  gtk_widget_show (label186);
  gtk_frame_set_label_widget (GTK_FRAME (ProfileDlgRGB_frame), label186);
  gtk_label_set_justify (GTK_LABEL (label186), GTK_JUSTIFY_LEFT);

  ProfileDlgCMYK_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlgCMYK_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgCMYK_frame), 5);

  ProfileDlgCMYK_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgCMYK_vbox);
  gtk_container_add (GTK_CONTAINER (ProfileDlgCMYK_frame), ProfileDlgCMYK_vbox);

  ProfileDlgCMYKSimulation_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYK_vbox), ProfileDlgCMYKSimulation_hbox, TRUE, TRUE, 0);

  ProfileDlgCMYKSimulationTitle_label = gtk_label_new (_("Simulation Profile:"));
  gtk_widget_show (ProfileDlgCMYKSimulationTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYKSimulation_hbox), ProfileDlgCMYKSimulationTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgCMYKSimulationTitle_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ProfileDlgCMYKSimulationTitle_label), 40, 0);

  ProfileDlgCMYKSimulation_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgCMYKSimulation_combo)->popwin),
                     "GladeParentKey", ProfileDlgCMYKSimulation_combo);
  gtk_widget_show (ProfileDlgCMYKSimulation_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYKSimulation_hbox), ProfileDlgCMYKSimulation_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgCMYKSimulation_combo), 5);
  ProfileDlgCMYKSimulation_combo_items = g_list_append (ProfileDlgCMYKSimulation_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgCMYKSimulation_combo), ProfileDlgCMYKSimulation_combo_items);
  g_list_free (ProfileDlgCMYKSimulation_combo_items);

  ProfileDlgCMYKSimulation_combo_entry = GTK_COMBO (ProfileDlgCMYKSimulation_combo)->entry;
  gtk_widget_show (ProfileDlgCMYKSimulation_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgCMYKSimulation_combo_entry), FALSE);

  ProfileDlgCMYKPBProcess_hbox = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYK_vbox), ProfileDlgCMYKPBProcess_hbox, TRUE, TRUE, 0);

  ProfileDlgCMYKPBProcessDummy_label = gtk_label_new ("");
  gtk_widget_show (ProfileDlgCMYKPBProcessDummy_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYKPBProcess_hbox), ProfileDlgCMYKPBProcessDummy_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ProfileDlgCMYKPBProcessDummy_label, 40, -1);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgCMYKPBProcessDummy_label), 7.45058e-09, 0.5);

  ProfileDlgCMYKPBProcess_checkbutton = gtk_check_button_new_with_mnemonic (_("Pure Black Process"));
  gtk_widget_show (ProfileDlgCMYKPBProcess_checkbutton);
  gtk_box_pack_start (GTK_BOX (ProfileDlgCMYKPBProcess_hbox), ProfileDlgCMYKPBProcess_checkbutton, TRUE, TRUE, 0);

  label187 = gtk_label_new (_("CMYK"));
  gtk_widget_show (label187);
  gtk_frame_set_label_widget (GTK_FRAME (ProfileDlgCMYK_frame), label187);
  gtk_label_set_justify (GTK_LABEL (label187), GTK_JUSTIFY_LEFT);

  ProfileDlgGrayscale_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlgGrayscale_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgGrayscale_frame), 5);

  ProfileDlgGrayscale_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgGrayscale_vbox);
  gtk_container_add (GTK_CONTAINER (ProfileDlgGrayscale_frame), ProfileDlgGrayscale_vbox);

  ProfileDlgUseGrayscale_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgUseGrayscale_hbox);
  gtk_box_pack_start (GTK_BOX (ProfileDlgGrayscale_vbox), ProfileDlgUseGrayscale_hbox, TRUE, TRUE, 0);

  ProfileDlgUseGrayscaleDummy_label = gtk_label_new ("");
  gtk_widget_show (ProfileDlgUseGrayscaleDummy_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgUseGrayscale_hbox), ProfileDlgUseGrayscaleDummy_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ProfileDlgUseGrayscaleDummy_label, 40, -1);

  ProfileDlgUseGrayscale_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Grayscale Profile"));
  gtk_widget_show (ProfileDlgUseGrayscale_checkbutton);
  gtk_box_pack_start (GTK_BOX (ProfileDlgUseGrayscale_hbox), ProfileDlgUseGrayscale_checkbutton, TRUE, TRUE, 0);

  label188 = gtk_label_new (_("Grayscale"));
  gtk_widget_show (label188);
  gtk_frame_set_label_widget (GTK_FRAME (ProfileDlgGrayscale_frame), label188);
  gtk_label_set_justify (GTK_LABEL (label188), GTK_JUSTIFY_LEFT);

  ProfileDlg_hseparator2 = gtk_hseparator_new ();
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlg_hseparator2, TRUE, TRUE, 0);

  ProfileDlgOutput_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox60), ProfileDlgOutput_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgOutput_frame), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (ProfileDlgOutput_frame), GTK_SHADOW_NONE);

  ProfileDlgOutput_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ProfileDlgOutput_hbox);
  gtk_container_add (GTK_CONTAINER (ProfileDlgOutput_frame), ProfileDlgOutput_hbox);

  ProfileDlgOutputTitle_label = gtk_label_new (_("Output Profile:"));
  gtk_widget_show (ProfileDlgOutputTitle_label);
  gtk_box_pack_start (GTK_BOX (ProfileDlgOutput_hbox), ProfileDlgOutputTitle_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ProfileDlgOutputTitle_label), 0, 0.5);

  ProfileDlgOutput_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (ProfileDlgOutput_combo)->popwin),
                     "GladeParentKey", ProfileDlgOutput_combo);
  gtk_widget_show (ProfileDlgOutput_combo);
  gtk_box_pack_start (GTK_BOX (ProfileDlgOutput_hbox), ProfileDlgOutput_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ProfileDlgOutput_combo), 5);
  ProfileDlgOutput_combo_items = g_list_append (ProfileDlgOutput_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (ProfileDlgOutput_combo), ProfileDlgOutput_combo_items);
  g_list_free (ProfileDlgOutput_combo_items);

  ProfileDlgOutput_combo_entry = GTK_COMBO (ProfileDlgOutput_combo)->entry;
  gtk_widget_show (ProfileDlgOutput_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (ProfileDlgOutput_combo_entry), FALSE);

  dialog_action_area7 = GTK_DIALOG (ProfileSettingsDlg)->action_area;
  gtk_widget_show (dialog_action_area7);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area7), GTK_BUTTONBOX_END);

  hbuttonbox21 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox21);
  gtk_container_add (GTK_CONTAINER (dialog_action_area7), hbuttonbox21);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox21), GTK_BUTTONBOX_END);

  ProfileDlgOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (ProfileDlgOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox21), ProfileDlgOK_button);
  GTK_WIDGET_SET_FLAGS (ProfileDlgOK_button, GTK_CAN_DEFAULT);

  ProfileDlgCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (ProfileDlgCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox21), ProfileDlgCancel_button);
  GTK_WIDGET_SET_FLAGS (ProfileDlgCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) ProfileSettingsDlg, "delete_event",
                    G_CALLBACK (on_ProfileSettingsDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) ProfileSettingsDlg, "destroy",
                    G_CALLBACK (on_ProfileSettingsDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgPBText_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgPBText_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgBOverprint_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgBOverprint_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgSourceProfile_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgSourceProfile_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgMatchingMethod_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgMatchingMethod_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgRGBPBProcess_checkbutton, "toggled",
                    G_CALLBACK (on_ProfileDlgRGBPBProcess_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgCMYKSimulation_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgCMYKSimulation_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgCMYKPBProcess_checkbutton, "toggled",
                    G_CALLBACK (on_ProfileDlgCMYKPBProcess_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgUseGrayscale_checkbutton, "toggled",
                    G_CALLBACK (on_ProfileDlgUseGrayscale_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgOutput_combo_entry, "changed",
                    G_CALLBACK (on_ProfileDlgOutput_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgOK_button, "clicked",
                    G_CALLBACK (on_ProfileDlgOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) ProfileDlgCancel_button, "clicked",
                    G_CALLBACK (on_ProfileDlgCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (ProfileSettingsDlg, ProfileSettingsDlg, "ProfileSettingsDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (ProfileSettingsDlg, dialog_vbox7, "dialog_vbox7");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, vbox60, "vbox60");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgProfSet_frame, "ProfileDlgProfSet_frame");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgProfSet_vbox, "ProfileDlgProfSet_vbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgPBText_hbox, "ProfileDlgPBText_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgPBTextTitle_label, "ProfileDlgPBTextTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgPBText_combo, "ProfileDlgPBText_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgPBText_combo_entry, "ProfileDlgPBText_combo_entry");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgBOverprint_hbox, "ProfileDlgBOverprint_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgBOverprintTitle_label, "ProfileDlgBOverprintTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgBOverprint_combo, "ProfileDlgBOverprint_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgBOverprint_combo_entry, "ProfileDlgBOverprint_combo_entry");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlg_hseparator, "ProfileDlg_hseparator");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgRGB_frame, "ProfileDlgRGB_frame");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgRGB_vbox, "ProfileDlgRGB_vbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgSourceProfile_hbox, "ProfileDlgSourceProfile_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgSourceProfileTitle_label, "ProfileDlgSourceProfileTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgSourceProfile_combo, "ProfileDlgSourceProfile_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgSourceProfile_combo_entry, "ProfileDlgSourceProfile_combo_entry");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgMatchingMethod_hbox, "ProfileDlgMatchingMethod_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgMatchingMethodTitle_label, "ProfileDlgMatchingMethodTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgMatchingMethod_combo, "ProfileDlgMatchingMethod_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgMatchingMethod_combo_entry, "ProfileDlgMatchingMethod_combo_entry");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgRGBPBProcess_hbox, "ProfileDlgRGBPBProcess_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgPBRGBProcessDummy_label, "ProfileDlgPBRGBProcessDummy_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgRGBPBProcess_checkbutton, "ProfileDlgRGBPBProcess_checkbutton");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, label186, "label186");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYK_frame, "ProfileDlgCMYK_frame");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYK_vbox, "ProfileDlgCMYK_vbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKSimulation_hbox, "ProfileDlgCMYKSimulation_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKSimulationTitle_label, "ProfileDlgCMYKSimulationTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKSimulation_combo, "ProfileDlgCMYKSimulation_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKSimulation_combo_entry, "ProfileDlgCMYKSimulation_combo_entry");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKPBProcess_hbox, "ProfileDlgCMYKPBProcess_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKPBProcessDummy_label, "ProfileDlgCMYKPBProcessDummy_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCMYKPBProcess_checkbutton, "ProfileDlgCMYKPBProcess_checkbutton");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, label187, "label187");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgGrayscale_frame, "ProfileDlgGrayscale_frame");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgGrayscale_vbox, "ProfileDlgGrayscale_vbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgUseGrayscale_hbox, "ProfileDlgUseGrayscale_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgUseGrayscaleDummy_label, "ProfileDlgUseGrayscaleDummy_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgUseGrayscale_checkbutton, "ProfileDlgUseGrayscale_checkbutton");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, label188, "label188");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlg_hseparator2, "ProfileDlg_hseparator2");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOutput_frame, "ProfileDlgOutput_frame");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOutput_hbox, "ProfileDlgOutput_hbox");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOutputTitle_label, "ProfileDlgOutputTitle_label");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOutput_combo, "ProfileDlgOutput_combo");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOutput_combo_entry, "ProfileDlgOutput_combo_entry");
  GLADE_HOOKUP_OBJECT_NO_REF (ProfileSettingsDlg, dialog_action_area7, "dialog_action_area7");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, hbuttonbox21, "hbuttonbox21");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgOK_button, "ProfileDlgOK_button");
  GLADE_HOOKUP_OBJECT (ProfileSettingsDlg, ProfileDlgCancel_button, "ProfileDlgCancel_button");

  return ProfileSettingsDlg;
}

GtkWidget*
create_FrontBackCvrSetDlg (void)
{
  GtkWidget *FrontBackCvrSetDlg;
  GtkWidget *vbox63;
  GtkWidget *frame49;
  GtkWidget *vbox64;
  GtkWidget *FrontCvr_frame;
  GtkWidget *vbox65;
  GtkWidget *FrontCvr_checkbutton;
  GtkWidget *FrontCvrPrintSide_hbox;
  GtkWidget *FrontCvr_PrintOn_Label;
  GtkWidget *FrontCvrPrintSide_combo;
  GList *FrontCvrPrintSide_combo_items = NULL;
  GtkWidget *FrontCvrPrintSide_combo_entry;
  GtkWidget *FrontCvrPaperSrc_hbox;
  GtkWidget *FrontCvrPaperSrcTitle_Label;
  GtkWidget *FrontCvrPaperSrc_combo;
  GList *FrontCvrPaperSrc_combo_items = NULL;
  GtkWidget *FrontCvrPaperSrc_combo_entry;
  GtkWidget *BackCvr_frame;
  GtkWidget *vbox66;
  GtkWidget *BackCvr_checkbutton;
  GtkWidget *BackCvrPrintSide_hbox;
  GtkWidget *BackCvrPrintSideTitle_Label;
  GtkWidget *BackCvrPrintSide_combo;
  GList *BackCvrPrintSide_combo_items = NULL;
  GtkWidget *BackCvrPrintSide_combo_entry;
  GtkWidget *BackCvrPaperSrc_hbox;
  GtkWidget *BackCvrPaperSrcTitle_Label;
  GtkWidget *BackCvrPaperSrc_combo;
  GList *BackCvrPaperSrc_combo_items = NULL;
  GtkWidget *BackCvrPaperSrc_combo_entry;
  GtkWidget *hbox81;
  GtkWidget *hbuttonbox23;
  GtkWidget *FrontBackCvrSetDlgOK_button;
  GtkWidget *FrontBackCvrSetDlgCancel_button;

  FrontBackCvrSetDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (FrontBackCvrSetDlg), _("Front/Back Cover Settings"));
  gtk_window_set_modal (GTK_WINDOW (FrontBackCvrSetDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (FrontBackCvrSetDlg), FALSE);

  vbox63 = GTK_DIALOG (FrontBackCvrSetDlg)->vbox;
  gtk_widget_show (vbox63);

  frame49 = gtk_frame_new (NULL);
  gtk_widget_show (frame49);
  gtk_box_pack_start (GTK_BOX (vbox63), frame49, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame49), 3);
  gtk_frame_set_shadow_type (GTK_FRAME (frame49), GTK_SHADOW_NONE);

  vbox64 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox64);
  gtk_container_add (GTK_CONTAINER (frame49), vbox64);

  FrontCvr_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox64), FrontCvr_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FrontCvr_frame), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (FrontCvr_frame), GTK_SHADOW_NONE);

  vbox65 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox65);
  gtk_container_add (GTK_CONTAINER (FrontCvr_frame), vbox65);

  FrontCvr_checkbutton = gtk_check_button_new_with_mnemonic (_("Set Front Cover"));
  gtk_box_pack_start (GTK_BOX (vbox65), FrontCvr_checkbutton, FALSE, FALSE, 0);

  FrontCvrPrintSide_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox65), FrontCvrPrintSide_hbox, TRUE, TRUE, 0);

  FrontCvr_PrintOn_Label = gtk_label_new (_("Print On:"));
  gtk_widget_show (FrontCvr_PrintOn_Label);
  gtk_box_pack_start (GTK_BOX (FrontCvrPrintSide_hbox), FrontCvr_PrintOn_Label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (FrontCvr_PrintOn_Label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (FrontCvr_PrintOn_Label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (FrontCvr_PrintOn_Label), 20, 0);

  FrontCvrPrintSide_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FrontCvrPrintSide_combo)->popwin),
                     "GladeParentKey", FrontCvrPrintSide_combo);
  gtk_widget_show (FrontCvrPrintSide_combo);
  gtk_box_pack_start (GTK_BOX (FrontCvrPrintSide_hbox), FrontCvrPrintSide_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FrontCvrPrintSide_combo), 2);
  FrontCvrPrintSide_combo_items = g_list_append (FrontCvrPrintSide_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FrontCvrPrintSide_combo), FrontCvrPrintSide_combo_items);
  g_list_free (FrontCvrPrintSide_combo_items);

  FrontCvrPrintSide_combo_entry = GTK_COMBO (FrontCvrPrintSide_combo)->entry;
  gtk_widget_show (FrontCvrPrintSide_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FrontCvrPrintSide_combo_entry), FALSE);

  FrontCvrPaperSrc_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox65), FrontCvrPaperSrc_hbox, FALSE, FALSE, 0);

  FrontCvrPaperSrcTitle_Label = gtk_label_new (_("Paper Source:"));
  gtk_widget_show (FrontCvrPaperSrcTitle_Label);
  gtk_box_pack_start (GTK_BOX (FrontCvrPaperSrc_hbox), FrontCvrPaperSrcTitle_Label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (FrontCvrPaperSrcTitle_Label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (FrontCvrPaperSrcTitle_Label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (FrontCvrPaperSrcTitle_Label), 20, 0);

  FrontCvrPaperSrc_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (FrontCvrPaperSrc_combo)->popwin),
                     "GladeParentKey", FrontCvrPaperSrc_combo);
  gtk_widget_show (FrontCvrPaperSrc_combo);
  gtk_box_pack_start (GTK_BOX (FrontCvrPaperSrc_hbox), FrontCvrPaperSrc_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FrontCvrPaperSrc_combo), 2);
  FrontCvrPaperSrc_combo_items = g_list_append (FrontCvrPaperSrc_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (FrontCvrPaperSrc_combo), FrontCvrPaperSrc_combo_items);
  g_list_free (FrontCvrPaperSrc_combo_items);

  FrontCvrPaperSrc_combo_entry = GTK_COMBO (FrontCvrPaperSrc_combo)->entry;
  gtk_widget_show (FrontCvrPaperSrc_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (FrontCvrPaperSrc_combo_entry), FALSE);

  BackCvr_frame = gtk_frame_new (NULL);
  gtk_box_pack_start (GTK_BOX (vbox64), BackCvr_frame, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BackCvr_frame), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (BackCvr_frame), GTK_SHADOW_NONE);

  vbox66 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox66);
  gtk_container_add (GTK_CONTAINER (BackCvr_frame), vbox66);

  BackCvr_checkbutton = gtk_check_button_new_with_mnemonic (_("Set Back Cover"));
  gtk_box_pack_start (GTK_BOX (vbox66), BackCvr_checkbutton, FALSE, FALSE, 0);

  BackCvrPrintSide_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox66), BackCvrPrintSide_hbox, TRUE, TRUE, 0);

  BackCvrPrintSideTitle_Label = gtk_label_new (_("Print On:"));
  gtk_widget_show (BackCvrPrintSideTitle_Label);
  gtk_box_pack_start (GTK_BOX (BackCvrPrintSide_hbox), BackCvrPrintSideTitle_Label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (BackCvrPrintSideTitle_Label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (BackCvrPrintSideTitle_Label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (BackCvrPrintSideTitle_Label), 20, 0);

  BackCvrPrintSide_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BackCvrPrintSide_combo)->popwin),
                     "GladeParentKey", BackCvrPrintSide_combo);
  gtk_widget_show (BackCvrPrintSide_combo);
  gtk_box_pack_start (GTK_BOX (BackCvrPrintSide_hbox), BackCvrPrintSide_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BackCvrPrintSide_combo), 2);
  BackCvrPrintSide_combo_items = g_list_append (BackCvrPrintSide_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BackCvrPrintSide_combo), BackCvrPrintSide_combo_items);
  g_list_free (BackCvrPrintSide_combo_items);

  BackCvrPrintSide_combo_entry = GTK_COMBO (BackCvrPrintSide_combo)->entry;
  gtk_widget_show (BackCvrPrintSide_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BackCvrPrintSide_combo_entry), FALSE);

  BackCvrPaperSrc_hbox = gtk_hbox_new (TRUE, 0);
  gtk_box_pack_start (GTK_BOX (vbox66), BackCvrPaperSrc_hbox, FALSE, FALSE, 0);

  BackCvrPaperSrcTitle_Label = gtk_label_new (_("Paper Source:"));
  gtk_widget_show (BackCvrPaperSrcTitle_Label);
  gtk_box_pack_start (GTK_BOX (BackCvrPaperSrc_hbox), BackCvrPaperSrcTitle_Label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (BackCvrPaperSrcTitle_Label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (BackCvrPaperSrcTitle_Label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (BackCvrPaperSrcTitle_Label), 20, 0);

  BackCvrPaperSrc_combo = gtk_combo_new ();
  g_object_set_data (G_OBJECT (GTK_COMBO (BackCvrPaperSrc_combo)->popwin),
                     "GladeParentKey", BackCvrPaperSrc_combo);
  gtk_widget_show (BackCvrPaperSrc_combo);
  gtk_box_pack_start (GTK_BOX (BackCvrPaperSrc_hbox), BackCvrPaperSrc_combo, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BackCvrPaperSrc_combo), 2);
  BackCvrPaperSrc_combo_items = g_list_append (BackCvrPaperSrc_combo_items, (gpointer) "");
  gtk_combo_set_popdown_strings (GTK_COMBO (BackCvrPaperSrc_combo), BackCvrPaperSrc_combo_items);
  g_list_free (BackCvrPaperSrc_combo_items);

  BackCvrPaperSrc_combo_entry = GTK_COMBO (BackCvrPaperSrc_combo)->entry;
  gtk_widget_show (BackCvrPaperSrc_combo_entry);
  gtk_editable_set_editable (GTK_EDITABLE (BackCvrPaperSrc_combo_entry), FALSE);

  hbox81 = GTK_DIALOG (FrontBackCvrSetDlg)->action_area;
  gtk_widget_show (hbox81);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbox81), GTK_BUTTONBOX_END);

  hbuttonbox23 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox23);
  gtk_container_add (GTK_CONTAINER (hbox81), hbuttonbox23);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox23), GTK_BUTTONBOX_END);

  FrontBackCvrSetDlgOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (FrontBackCvrSetDlgOK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox23), FrontBackCvrSetDlgOK_button);
  GTK_WIDGET_SET_FLAGS (FrontBackCvrSetDlgOK_button, GTK_CAN_DEFAULT);

  FrontBackCvrSetDlgCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (FrontBackCvrSetDlgCancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox23), FrontBackCvrSetDlgCancel_button);
  GTK_WIDGET_SET_FLAGS (FrontBackCvrSetDlgCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) FrontBackCvrSetDlg, "destroy",
                    G_CALLBACK (on_FrontBackCvrSetDlg_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) FrontBackCvrSetDlg, "delete_event",
                    G_CALLBACK (on_FrontBackCvrSetDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) FrontCvr_checkbutton, "toggled",
                    G_CALLBACK (on_FrontCvr_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FrontCvrPrintSide_combo_entry, "changed",
                    G_CALLBACK (on_FrontCvrPrintSide_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FrontCvrPaperSrc_combo_entry, "changed",
                    G_CALLBACK (on_FrontCvrPaperSrc_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) BackCvr_checkbutton, "toggled",
                    G_CALLBACK (on_BackCvr_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) BackCvrPrintSide_combo_entry, "changed",
                    G_CALLBACK (on_BackCvrPrintSide_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) BackCvrPaperSrc_combo_entry, "changed",
                    G_CALLBACK (on_BackCvrPaperSrc_combo_entry_changed),
                    NULL);
  g_signal_connect ((gpointer) FrontBackCvrSetDlgOK_button, "clicked",
                    G_CALLBACK (on_FrontBackCvrSetDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) FrontBackCvrSetDlgCancel_button, "clicked",
                    G_CALLBACK (on_FrontBackCvrSetDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (FrontBackCvrSetDlg, FrontBackCvrSetDlg, "FrontBackCvrSetDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (FrontBackCvrSetDlg, vbox63, "vbox63");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, frame49, "frame49");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, vbox64, "vbox64");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvr_frame, "FrontCvr_frame");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, vbox65, "vbox65");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvr_checkbutton, "FrontCvr_checkbutton");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPrintSide_hbox, "FrontCvrPrintSide_hbox");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvr_PrintOn_Label, "FrontCvr_PrintOn_Label");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPrintSide_combo, "FrontCvrPrintSide_combo");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPrintSide_combo_entry, "FrontCvrPrintSide_combo_entry");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPaperSrc_hbox, "FrontCvrPaperSrc_hbox");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPaperSrcTitle_Label, "FrontCvrPaperSrcTitle_Label");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPaperSrc_combo, "FrontCvrPaperSrc_combo");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontCvrPaperSrc_combo_entry, "FrontCvrPaperSrc_combo_entry");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvr_frame, "BackCvr_frame");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, vbox66, "vbox66");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvr_checkbutton, "BackCvr_checkbutton");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPrintSide_hbox, "BackCvrPrintSide_hbox");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPrintSideTitle_Label, "BackCvrPrintSideTitle_Label");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPrintSide_combo, "BackCvrPrintSide_combo");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPrintSide_combo_entry, "BackCvrPrintSide_combo_entry");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPaperSrc_hbox, "BackCvrPaperSrc_hbox");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPaperSrcTitle_Label, "BackCvrPaperSrcTitle_Label");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPaperSrc_combo, "BackCvrPaperSrc_combo");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, BackCvrPaperSrc_combo_entry, "BackCvrPaperSrc_combo_entry");
  GLADE_HOOKUP_OBJECT_NO_REF (FrontBackCvrSetDlg, hbox81, "hbox81");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, hbuttonbox23, "hbuttonbox23");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontBackCvrSetDlgOK_button, "FrontBackCvrSetDlgOK_button");
  GLADE_HOOKUP_OBJECT (FrontBackCvrSetDlg, FrontBackCvrSetDlgCancel_button, "FrontBackCvrSetDlgCancel_button");

  return FrontBackCvrSetDlg;
}

GtkWidget*
create_HoldQueueDlg (void)
{
  GtkWidget *HoldQueueDlg;
  GtkWidget *dialog_vbox8;
  GtkWidget *frame50;
  GtkWidget *vbox71;
  GtkWidget *HoldQueue_EnterName_RadioButton;
  GSList *HoldQueue_EnterName_RadioButton_group = NULL;
  GtkWidget *HoldQueue_EnterName_HBox;
  GtkWidget *label171;
  GtkWidget *HoldQueue_EnterName_Entry;
  GtkWidget *HoldQueue_UseFileName_RadioButton;
  GtkWidget *label189;
  GtkWidget *hseparator23;
  GtkWidget *dialog_action_area8;
  GtkWidget *hbuttonbox25;
  GtkWidget *HoldQueue_OK_Button;
  GtkWidget *HoldQueue_Cancel_Button;

  HoldQueueDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (HoldQueueDlg), _("Name Setting"));
  gtk_window_set_modal (GTK_WINDOW (HoldQueueDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (HoldQueueDlg), FALSE);

  dialog_vbox8 = GTK_DIALOG (HoldQueueDlg)->vbox;
  gtk_widget_show (dialog_vbox8);

  frame50 = gtk_frame_new (NULL);
  gtk_widget_show (frame50);
  gtk_box_pack_start (GTK_BOX (dialog_vbox8), frame50, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame50), 5);

  vbox71 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox71);
  gtk_container_add (GTK_CONTAINER (frame50), vbox71);
  gtk_container_set_border_width (GTK_CONTAINER (vbox71), 5);

  HoldQueue_EnterName_RadioButton = gtk_radio_button_new_with_mnemonic (NULL, _("Enter Name"));
  gtk_widget_show (HoldQueue_EnterName_RadioButton);
  gtk_box_pack_start (GTK_BOX (vbox71), HoldQueue_EnterName_RadioButton, TRUE, TRUE, 0);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (HoldQueue_EnterName_RadioButton), HoldQueue_EnterName_RadioButton_group);
  HoldQueue_EnterName_RadioButton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (HoldQueue_EnterName_RadioButton));

  HoldQueue_EnterName_HBox = gtk_hbox_new (FALSE, 7);
  gtk_widget_show (HoldQueue_EnterName_HBox);
  gtk_box_pack_start (GTK_BOX (vbox71), HoldQueue_EnterName_HBox, TRUE, TRUE, 5);
  gtk_container_set_border_width (GTK_CONTAINER (HoldQueue_EnterName_HBox), 5);

  label171 = gtk_label_new (_("Name:  "));
  gtk_widget_show (label171);
  gtk_box_pack_start (GTK_BOX (HoldQueue_EnterName_HBox), label171, TRUE, TRUE, 5);

  HoldQueue_EnterName_Entry = gtk_entry_new ();
  gtk_widget_show (HoldQueue_EnterName_Entry);
  gtk_box_pack_start (GTK_BOX (HoldQueue_EnterName_HBox), HoldQueue_EnterName_Entry, TRUE, TRUE, 0);
  gtk_entry_set_max_length (GTK_ENTRY (HoldQueue_EnterName_Entry), 24);

  HoldQueue_UseFileName_RadioButton = gtk_radio_button_new_with_mnemonic (NULL, _("Use File Name"));
  gtk_widget_show (HoldQueue_UseFileName_RadioButton);
  gtk_box_pack_start (GTK_BOX (vbox71), HoldQueue_UseFileName_RadioButton, TRUE, TRUE, 3);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (HoldQueue_UseFileName_RadioButton), HoldQueue_EnterName_RadioButton_group);
  HoldQueue_EnterName_RadioButton_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (HoldQueue_UseFileName_RadioButton));

  label189 = gtk_label_new (_("Name of Data to Hold"));
  gtk_widget_show (label189);
  gtk_frame_set_label_widget (GTK_FRAME (frame50), label189);
  gtk_label_set_justify (GTK_LABEL (label189), GTK_JUSTIFY_LEFT);

  hseparator23 = gtk_hseparator_new ();
  gtk_widget_show (hseparator23);
  gtk_box_pack_start (GTK_BOX (dialog_vbox8), hseparator23, TRUE, TRUE, 0);

  dialog_action_area8 = GTK_DIALOG (HoldQueueDlg)->action_area;
  gtk_widget_show (dialog_action_area8);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area8), GTK_BUTTONBOX_END);

  hbuttonbox25 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox25);
  gtk_container_add (GTK_CONTAINER (dialog_action_area8), hbuttonbox25);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox25), GTK_BUTTONBOX_END);

  HoldQueue_OK_Button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (HoldQueue_OK_Button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox25), HoldQueue_OK_Button);
  GTK_WIDGET_SET_FLAGS (HoldQueue_OK_Button, GTK_CAN_DEFAULT);

  HoldQueue_Cancel_Button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (HoldQueue_Cancel_Button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox25), HoldQueue_Cancel_Button);
  GTK_WIDGET_SET_FLAGS (HoldQueue_Cancel_Button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) HoldQueueDlg, "destroy",
                    G_CALLBACK (on_HoldQueueDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) HoldQueueDlg, "delete_event",
                    G_CALLBACK (on_HoldQueueDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_EnterName_RadioButton, "toggled",
                    G_CALLBACK (on_HoldQueue_EnterName_RadioButton_toggled),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_EnterName_Entry, "changed",
                    G_CALLBACK (on_HoldQueue_EnterName_Entry_changed),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_EnterName_Entry, "focus_out_event",
                    G_CALLBACK (on_HoldQueue_EnterName_Entry_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_UseFileName_RadioButton, "toggled",
                    G_CALLBACK (on_HoldQueue_UseFileName_RadioButton_toggled),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_OK_Button, "clicked",
                    G_CALLBACK (on_HoldQueue_OK_Button_clicked),
                    NULL);
  g_signal_connect ((gpointer) HoldQueue_Cancel_Button, "clicked",
                    G_CALLBACK (on_HoldQueue_Cancel_Button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (HoldQueueDlg, HoldQueueDlg, "HoldQueueDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (HoldQueueDlg, dialog_vbox8, "dialog_vbox8");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, frame50, "frame50");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, vbox71, "vbox71");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_EnterName_RadioButton, "HoldQueue_EnterName_RadioButton");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_EnterName_HBox, "HoldQueue_EnterName_HBox");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, label171, "label171");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_EnterName_Entry, "HoldQueue_EnterName_Entry");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_UseFileName_RadioButton, "HoldQueue_UseFileName_RadioButton");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, label189, "label189");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, hseparator23, "hseparator23");
  GLADE_HOOKUP_OBJECT_NO_REF (HoldQueueDlg, dialog_action_area8, "dialog_action_area8");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, hbuttonbox25, "hbuttonbox25");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_OK_Button, "HoldQueue_OK_Button");
  GLADE_HOOKUP_OBJECT (HoldQueueDlg, HoldQueue_Cancel_Button, "HoldQueue_Cancel_Button");

  return HoldQueueDlg;
}

GtkWidget*
create_AdvancedSettingsDlg (void)
{
  GtkWidget *AdvancedSettingsDlg;
  GtkWidget *dialog_vbox9;
  GtkWidget *vbox78;
  GtkWidget *label234;
  GtkWidget *ShiftPosition_checkbutton;
  GtkWidget *table24;
  GtkWidget *FrontSide_frame;
  GtkWidget *FrontSide_table;
  GtkWidget *label231;
  GtkWidget *FrontLongEdge_label;
  GtkWidget *FrontShortEdge_label;
  GtkObject *FrontLong_spinbutton_adj;
  GtkWidget *FrontLong_spinbutton;
  GtkObject *FrontShort_spinbutton_adj;
  GtkWidget *FrontShort_spinbutton;
  GtkWidget *label230;
  GtkWidget *label223;
  GtkWidget *BackSide_frame;
  GtkWidget *BackSide_table;
  GtkWidget *label233;
  GtkWidget *BackLongEdge_label;
  GtkWidget *BackShortEdge_label;
  GtkObject *BackLong_spinbutton_adj;
  GtkWidget *BackLong_spinbutton;
  GtkObject *BackShort_spinbutton_adj;
  GtkWidget *BackShort_spinbutton;
  GtkWidget *label232;
  GtkWidget *label224;
  GtkWidget *label251;
  GtkWidget *dialog_action_area9;
  GtkWidget *AdvancedSettingsOK_button;
  GtkWidget *AdvancedSettingsCancel_button;

  AdvancedSettingsDlg = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (AdvancedSettingsDlg), _("Advanced Settings"));
  gtk_window_set_modal (GTK_WINDOW (AdvancedSettingsDlg), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (AdvancedSettingsDlg), FALSE);

  dialog_vbox9 = GTK_DIALOG (AdvancedSettingsDlg)->vbox;
  gtk_widget_show (dialog_vbox9);

  vbox78 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox78);
  gtk_box_pack_start (GTK_BOX (dialog_vbox9), vbox78, TRUE, TRUE, 0);

  label234 = gtk_label_new ("");
  gtk_widget_show (label234);
  gtk_box_pack_start (GTK_BOX (vbox78), label234, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label234), GTK_JUSTIFY_LEFT);

  ShiftPosition_checkbutton = gtk_check_button_new_with_mnemonic (_("Shift the Position to Start Printing"));
  gtk_widget_show (ShiftPosition_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox78), ShiftPosition_checkbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (ShiftPosition_checkbutton), 10);

  table24 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table24);
  gtk_box_pack_start (GTK_BOX (vbox78), table24, TRUE, TRUE, 0);
  gtk_table_set_row_spacings (GTK_TABLE (table24), 10);
  gtk_table_set_col_spacings (GTK_TABLE (table24), 10);

  FrontSide_frame = gtk_frame_new (NULL);
  gtk_widget_show (FrontSide_frame);
  gtk_table_attach (GTK_TABLE (table24), FrontSide_frame, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (FrontSide_frame), 5);

  FrontSide_table = gtk_table_new (2, 3, TRUE);
  gtk_widget_show (FrontSide_table);
  gtk_container_add (GTK_CONTAINER (FrontSide_frame), FrontSide_table);
  gtk_container_set_border_width (GTK_CONTAINER (FrontSide_table), 5);
  gtk_table_set_row_spacings (GTK_TABLE (FrontSide_table), 10);
  gtk_table_set_col_spacings (GTK_TABLE (FrontSide_table), 10);

  label231 = gtk_label_new (_("Short Edge:"));
  gtk_widget_show (label231);
  gtk_table_attach (GTK_TABLE (FrontSide_table), label231, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label231), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label231), 0, 0.5);

  FrontLongEdge_label = gtk_label_new (_("mm (-50 to 50)"));
  gtk_widget_show (FrontLongEdge_label);
  gtk_table_attach (GTK_TABLE (FrontSide_table), FrontLongEdge_label, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (FrontLongEdge_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (FrontLongEdge_label), 0, 0.5);

  FrontShortEdge_label = gtk_label_new (_("mm (-50 to 50)"));
  gtk_widget_show (FrontShortEdge_label);
  gtk_table_attach (GTK_TABLE (FrontSide_table), FrontShortEdge_label, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (FrontShortEdge_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (FrontShortEdge_label), 0, 0.5);

  FrontLong_spinbutton_adj = gtk_adjustment_new (0, -50, 50, 1, 10, 10);
  FrontLong_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (FrontLong_spinbutton_adj), 1, 0);
  gtk_widget_show (FrontLong_spinbutton);
  gtk_table_attach (GTK_TABLE (FrontSide_table), FrontLong_spinbutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  gtk_widget_set_size_request (FrontLong_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (FrontLong_spinbutton), TRUE);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (FrontLong_spinbutton), TRUE);

  FrontShort_spinbutton_adj = gtk_adjustment_new (0, -50, 50, 1, 10, 10);
  FrontShort_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (FrontShort_spinbutton_adj), 1, 0);
  gtk_widget_show (FrontShort_spinbutton);
  gtk_table_attach (GTK_TABLE (FrontSide_table), FrontShort_spinbutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  gtk_widget_set_size_request (FrontShort_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (FrontShort_spinbutton), TRUE);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (FrontShort_spinbutton), TRUE);

  label230 = gtk_label_new (_("Long Edge:"));
  gtk_widget_show (label230);
  gtk_table_attach (GTK_TABLE (FrontSide_table), label230, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label230), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label230), 0, 0.5);

  label223 = gtk_label_new (_("Front Side"));
  gtk_widget_show (label223);
  gtk_frame_set_label_widget (GTK_FRAME (FrontSide_frame), label223);
  gtk_label_set_justify (GTK_LABEL (label223), GTK_JUSTIFY_LEFT);
  gtk_misc_set_padding (GTK_MISC (label223), 0, 1);

  BackSide_frame = gtk_frame_new (NULL);
  gtk_widget_show (BackSide_frame);
  gtk_table_attach (GTK_TABLE (table24), BackSide_frame, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (BackSide_frame), 5);

  BackSide_table = gtk_table_new (2, 3, TRUE);
  gtk_widget_show (BackSide_table);
  gtk_container_add (GTK_CONTAINER (BackSide_frame), BackSide_table);
  gtk_container_set_border_width (GTK_CONTAINER (BackSide_table), 5);
  gtk_table_set_row_spacings (GTK_TABLE (BackSide_table), 10);
  gtk_table_set_col_spacings (GTK_TABLE (BackSide_table), 10);

  label233 = gtk_label_new (_("Short Edge:"));
  gtk_widget_show (label233);
  gtk_table_attach (GTK_TABLE (BackSide_table), label233, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label233), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label233), 0, 0.5);

  BackLongEdge_label = gtk_label_new (_("mm (-50 to 50)"));
  gtk_widget_show (BackLongEdge_label);
  gtk_table_attach (GTK_TABLE (BackSide_table), BackLongEdge_label, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (BackLongEdge_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (BackLongEdge_label), 0, 0.5);

  BackShortEdge_label = gtk_label_new (_("mm (-50 to 50)"));
  gtk_widget_show (BackShortEdge_label);
  gtk_table_attach (GTK_TABLE (BackSide_table), BackShortEdge_label, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (BackShortEdge_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (BackShortEdge_label), 0, 0.5);

  BackLong_spinbutton_adj = gtk_adjustment_new (0, 0, 100, 1, 10, 10);
  BackLong_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (BackLong_spinbutton_adj), 1, 0);
  gtk_widget_show (BackLong_spinbutton);
  gtk_table_attach (GTK_TABLE (BackSide_table), BackLong_spinbutton, 1, 2, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  gtk_widget_set_size_request (BackLong_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (BackLong_spinbutton), TRUE);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (BackLong_spinbutton), TRUE);

  BackShort_spinbutton_adj = gtk_adjustment_new (0, 0, 100, 1, 10, 10);
  BackShort_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (BackShort_spinbutton_adj), 1, 0);
  gtk_widget_show (BackShort_spinbutton);
  gtk_table_attach (GTK_TABLE (BackSide_table), BackShort_spinbutton, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  gtk_widget_set_size_request (BackShort_spinbutton, 62, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (BackShort_spinbutton), TRUE);
  gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON (BackShort_spinbutton), TRUE);

  label232 = gtk_label_new (_("Long Edge:"));
  gtk_widget_show (label232);
  gtk_table_attach (GTK_TABLE (BackSide_table), label232, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label232), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label232), 0, 0.5);

  label224 = gtk_label_new (_("Back Side"));
  gtk_widget_show (label224);
  gtk_frame_set_label_widget (GTK_FRAME (BackSide_frame), label224);
  gtk_label_set_justify (GTK_LABEL (label224), GTK_JUSTIFY_LEFT);
  gtk_misc_set_padding (GTK_MISC (label224), 0, 1);

  label251 = gtk_label_new ("");
  gtk_widget_show (label251);
  gtk_table_attach (GTK_TABLE (table24), label251, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label251), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label251), 0, 0.5);

  dialog_action_area9 = GTK_DIALOG (AdvancedSettingsDlg)->action_area;
  gtk_widget_show (dialog_action_area9);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area9), GTK_BUTTONBOX_END);

  AdvancedSettingsOK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (AdvancedSettingsOK_button);
  gtk_dialog_add_action_widget (GTK_DIALOG (AdvancedSettingsDlg), AdvancedSettingsOK_button, 0);
  GTK_WIDGET_SET_FLAGS (AdvancedSettingsOK_button, GTK_CAN_DEFAULT);

  AdvancedSettingsCancel_button = gtk_button_new_with_mnemonic (_("Cancel"));
  gtk_widget_show (AdvancedSettingsCancel_button);
  gtk_dialog_add_action_widget (GTK_DIALOG (AdvancedSettingsDlg), AdvancedSettingsCancel_button, 0);
  GTK_WIDGET_SET_FLAGS (AdvancedSettingsCancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) AdvancedSettingsDlg, "destroy",
                    G_CALLBACK (on_AdvancedSettingsDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) AdvancedSettingsDlg, "delete_event",
                    G_CALLBACK (on_AdvancedSettingsDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) ShiftPosition_checkbutton, "toggled",
                    G_CALLBACK (on_ShiftPosition_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) FrontLong_spinbutton, "value_changed",
                    G_CALLBACK (on_FrontLong_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) FrontShort_spinbutton, "value_changed",
                    G_CALLBACK (on_FrontShort_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) BackLong_spinbutton, "value_changed",
                    G_CALLBACK (on_BackLong_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) BackShort_spinbutton, "value_changed",
                    G_CALLBACK (on_BackShort_spinbutton_value_changed),
                    NULL);
  g_signal_connect ((gpointer) AdvancedSettingsOK_button, "clicked",
                    G_CALLBACK (on_AdvancedSettingsOK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) AdvancedSettingsCancel_button, "clicked",
                    G_CALLBACK (on_AdvancedSettingsCancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (AdvancedSettingsDlg, AdvancedSettingsDlg, "AdvancedSettingsDlg");
  GLADE_HOOKUP_OBJECT_NO_REF (AdvancedSettingsDlg, dialog_vbox9, "dialog_vbox9");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, vbox78, "vbox78");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label234, "label234");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, ShiftPosition_checkbutton, "ShiftPosition_checkbutton");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, table24, "table24");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontSide_frame, "FrontSide_frame");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontSide_table, "FrontSide_table");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label231, "label231");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontLongEdge_label, "FrontLongEdge_label");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontShortEdge_label, "FrontShortEdge_label");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontLong_spinbutton, "FrontLong_spinbutton");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, FrontShort_spinbutton, "FrontShort_spinbutton");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label230, "label230");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label223, "label223");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackSide_frame, "BackSide_frame");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackSide_table, "BackSide_table");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label233, "label233");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackLongEdge_label, "BackLongEdge_label");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackShortEdge_label, "BackShortEdge_label");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackLong_spinbutton, "BackLong_spinbutton");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, BackShort_spinbutton, "BackShort_spinbutton");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label232, "label232");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label224, "label224");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, label251, "label251");
  GLADE_HOOKUP_OBJECT_NO_REF (AdvancedSettingsDlg, dialog_action_area9, "dialog_action_area9");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, AdvancedSettingsOK_button, "AdvancedSettingsOK_button");
  GLADE_HOOKUP_OBJECT (AdvancedSettingsDlg, AdvancedSettingsCancel_button, "AdvancedSettingsCancel_button");

  return AdvancedSettingsDlg;
}

